Get Started with System Mechanic

Getting Started with iolo System Mechanic

This topic provides basic information to help users get started with System Mechanic.

Refer to Navigating iolo System Mechanic for a description of the interface.

Step 1: Analyze computer

Begin by running an analysis of your computer. From the Dashboard's Overview pane, click Analyze Now (or Re-analyze).

Once the analysis completes, you will see a snapshot of your PC's condition and see how many (if any) problems System Mechanic detected.

Step 2: Repair any problems

To quickly make repairs and optimizations, simply click Repair All.

To view the list of problems prior to repairs, click View Problems. The Problems pane will display, allowing you to view details about the problems and choose which ones you want to fix; simply click the action button to the right of the problem.

Step 3: Run any other desired tools

If you would like to run additional fixes and optimizations, choose from the Power Tools, which combine several related functions into one, or pick a specialized task from the Individual Tools.

For example, if you've noticed that your computer is running slower, you may want to run the PC Accelerator Power Tool or choose an individual tool from the Increase Performance category.

All users may wish to run PC TotalCare, which performs a complete computer tune-up that improves overall operation.

Step 4: Ongoing maintenance

As you continue to use System Mechanic, you'll discover additional ways to maintain your computer's performance. You can:

  • Set up automated monitoring and repairs in ActiveCare.

  • Manage your Internet protection.

  • Review system statistics for analysis and performance-tracking in the IntelliStatus and History panes.

  • Tailor System Mechanic settings to your preferences on the Options window.

  • Revert selected System Mechanic actions and system changes on the SafetyNet window.

  • Download software updates to keep up-to-date with the latest improvements and patches.

  • Register System Mechanic to receive discount offers and keep your licensing information on file.

Getting assistance

  • For task-related assistance, click Help on any of the System Mechanic windows to open this Help system.

  • For additional assistance, refer to our Web-based support or contact Technical support.

Related topics:

Detailed description of the interface

Run a system analysis and view status

Manage detected problems

Run the tools you specify


Home - Overview

Welcome to iolo System Mechanic

Use System Mechanic® to boost your PC's speed, diagnose and fix problems,

eliminate clutter, automatically repair errors, and more.

The Overview pane displays when you first open System Mechanic; it is your starting point for checking your PC's condition. Click here for instruction.

Click a link below for instructions on other features.

Description of the System Mechanic Interface
Dashboard Overview Problems | Analyze PC and repair problems Assess your computer's condition, view recommended optimizations, and run repairs.
ActiveCare Automated Tasks Internet Security | Automate maintenance and protection Automate system repairs and monitor your Internet security.
Tools Power Tools Individual Tools | Run specific tools to suit your needs Categorized access to all of the optimization, repair, security, and diagnostic tools.
Reports IntelliStatus History | View statistics and key system details Monitor system components that impact performance, and view System Mechanic activity.

Related topics:

Product description

What's new in System Mechanic

System requirements

How to use this Help system

Contact Technical Support


What's New in System Mechanic

What's New in iolo System Mechanic

System Mechanic includes the following new and enhanced features:

New Dashboard | The new Dashboard organizes the critical diagnostic and repair tasks into one convenient place. More about the Dashboard
Enhanced Repair Options | A revamped Problems list offers a variety of repair options, to suit users of all experience levels. More about repair options
Redesigned Interface | The interface has a streamlined display and intuitive navigation bar, for clear and fast access to functions. More about the System Mechanic interface
Restructured ActiveCare | Restructured ActiveCare simplifies set up of automated tasks. More about Automated Tasks
Reorganized Tools | A reorganized layout of tools makes it easy to locate the exact repair or optimization that's needed. More about Individual Tools
Updated Tools | Defragmenting drives and tailoring Windows settings is more versatile, with added drive options and restructured designs. More about the Defragment Hard Drive wizard More about the Customize Advanced Windows Settings tool
Fast Access to Power Tools | The popular Power Tools, which incorporate the essential fixes into one wizard, are now grouped together for simple access. More about Power Tools
Streamlined Internet Security | Streamlined Internet security information highlights the most important information about antivirus and firewall protection. More about Internet Security
More IntelliStatus Data | An Internet speed calculator is added to the IntelliStatus™ collection of real-time, performance tracking data. More about IntelliStatus
Updated Program Library | iolo's program library has been expanded, offering enhanced tracking of potentially dangerous software. More about IntelliStatus program categories
Revamped Statistics | The revised History pane provides statistics of actions made by System Mechanic, as well as convenient access to related tools. More about History
System Mechanic Professional | System Mechanic Professional users have access to an enhanced DriveScrubber application, with a new interface and more options for wiping drives and partitions.

In the Help system, topics that describe new and enhanced features are indicated with an Updated icon:

Related topics:

Navigating System Mechanic

Product Overview – System Mechanic


System Mechanic Home Page - Overview of Interface

  • To re-size the window: Place your mouse pointer over a border of the window. When the pointer becomes a double-headed arrow, press and hold the left mouse button and move your mouse in the direction you want the border to move. When the border is at the desired location, release the mouse button.

  • To move the window: Place your mouse pointer in the title bar ("iolo System Mechanic" or "iolo System Mechanic Professional"). Press and hold the left mouse button and move your mouse in the direction you want the window to move. When the window is at the desired location, release the mouse button.

Navigating iolo System Mechanic

The System Mechanic interface provides simples access to all the analysis, repair, and optimization features in the program.

Click on an area in the below image to read more information.

Navigation bar and Content pane

  • The navigation bar, on the left, is how you access all the major functions in System Mechanic.

  • The content pane, on the right, displays the function currently selected.

Click on a category from the navigation bar to expand (or collapse) the list of relevant links. Then click on a link to display its functions in the content pane.

Categories and links are as follows:

Dashboard

  • Overview. Run an analysis of your PC and see a snapshot view of your computer's condition.

  • Problems. View and repair any problems detected in the last analysis.

ActiveCare

  • Automated Tasks. Designate issues that you want System Mechanic to monitor and automatically repair.

  • Internet Security. View information about the status of your antivirus and firewall protection.

Tools

  • Power Tools. Access System Mechanic's all-in-one solutions.

  • Individual Tools. Access System Mechanic's individual repair and optimization tools to meet a specific need.

Reports

  • IntelliStatus. View key system details and access the relevant optimization and management tools.

  • History. View statistics of the repairs and optimizations made by System Mechanic.

Go back to the top of the topic

Menu bar

The menu bar contains the following options:

  • SafetyNet. Opens the SafetyNet window, which allows you to undo selected System Mechanic actions and revert your PC to its prior state. (This menu option is accessible only from the Home page, not from within specific tools.)

  • Options. Open the Options window, which allows you to change various default settings in System Mechanic.

  • Help. Opens the Help menu, which offers access to the in-product help you're currently reading, help resources on the Web, software downloads and download settings, and your licensing information.

Note: Task-specific help is also available within each window and tool; look for the Help button on the bottom of the screen.

  • Home icon. To return to the Home page from within a tool window, click the Home icon on the left side of the menu bar.

Go back to the top of the topic

Title bar

The title bar offers the following standard Windows buttons:

  • Minimize. Click the dash (—) to reduce the window to a button on your taskbar.

  • Maximize/Restore. Click the single square to fill the screen with the window. Click the double square to restore the window to its previous size.

  • Exit. Click the X to close System Mechanic.

Note: You can also move and re-size the window with standard dragging operations.

Related topics:

Overview: Getting started

Run a system analysis and view status

Manage detected problems

Run the tools you specify

Get more help


Product Overview

iolo System Mechanic and iolo System Mechanic Professional

iolo System Mechanic

See also: iolo System Mechanic Web page

System Mechanic provides the tools you need to keep your PC running in peak condition. Fix problems, clean out clutter, boost performance, eliminate crashes, remove dangerous spyware, and much more.

To follow are a few examples of what you can do in this one versatile product:

  • View any problems detected by System Mechanic and decide which ones you want to fix.

  • Enable ActiveCare to perform the automated housekeeping tasks that you specify.

  • Remove performance drains and adapt settings to boost PC and Web speed.

  • Eliminate dangerous spyware.

  • Block hidden malware from altering your system settings.

  • Repair security vulnerabilities that leave your system open to attack.

  • Defragment hard drives to improve performance and extend the life of drives.

  • Backup, repair, and restore the vital system registry.

  • Erase temporary and other junk files to reduce clutter and increase drive capacity.

  • Delete the cookies you don't need, but keep the ones you find beneficial.

  • Customize the behavior of over 100 Windows features.

  • Repair hard drive errors that cause computer crashes and lock-ups.

  • Recover from disaster if your computer ever becomes severely damaged.

  • Access advanced tools for system troubleshooting and detailed configurations.

iolo System Mechanic Professional

See also: iolo System Mechanic Professional Web page

iolo System Mechanic Professional brings you all the power of System Mechanic plus four other products, all integrated into one easy-to-use interface. System Mechanic Professional is the most comprehensive arsenal of repair, optimization, and security tools available.

If you are a System Mechanic Professional user, you have all the benefits of System Mechanic, plus you can:

  • Shield your PC from viruses, worms, and other Internet threats, with real-time detection, email protection, and scheduled scanning. (iolo AntiVirus)

  • Keep your information safe from hackers and identity thieves by blocking unwanted communication to and from your PC. (iolo Personal Firewall)

  • Find and recover deleted files, email, photos, and more, from any drive or digital device. (Search and Recover)

  • Copy the entire contents of a drive or disk into a drive image for backups and restorations. (Search and Recover)

  • Securely wipe deleted files from drives, or completely erase hard drives so that no data can be recovered. (DriveScrubber)

Related topics:

System Requirements

Tour of the System Mechanic Home page


Installation

From your Windows taskbar, click Start, then Run. Type [drive]:\setup.exe and click OK.

(For example, if your CD drive is drive D, type d:\setup.exe.)

  • Make sure no spaces are entered; spaces in the User ID or Serial Number will cause an error.

  • Make sure you type the entire User ID. If your User ID includes a hyphen "–" and a number at the end, all of this information is necessary.

Correct: johndoe@domain.com-3

Incorrect: johndoe@domain.com

Incorrect: johndoe

[Not the complete User ID]

Incorrect: johndoe@domain.com - 3

[Has spaces]

Incorrect: JohnDoe@domain.com-3

[Case does not match; the User ID field is case-sensitive]

  • Verify that you typed the license information exactly as shown. Some characters (such as the number 0 and the letter O) can look very similar.

Try double-checking the following: the letters O, l (lower-case L), I (capital i); and the numbers 0 (zero) and 1 (one).

  • If your User ID contains an e-mail address, it must be the original address shown on your invoice. Do not substitute a different e-mail address for the one shown.

  • Make sure you are entering license information for System Mechanic. License information for one iolo product is not interchangeable with another iolo product.

  • Make sure that you have not exceeded the allowed number of installations. You may install System Mechanic on up to, but not exceeding, 3 computers.

  • If you are still seeing invalid license information messages, please contact iolo.

Installing System Mechanic

See also: System Requirements

Installation Instructions

  1. Uninstall any other previous version of System Mechanic you have installed.

  2. Ensure that your Internet connection is on.

  3. If you are installing from:

  4. A CD, insert the System Mechanic CD into your CD drive. The installation wizard will automatically open for most users. If the installation wizard does not open:

  5. A download, double-click on the downloaded .exe file. The installation wizard will open.

  4. Read and accept the license agreement. You must accept the license terms to install System Mechanic.

  5. Continue to follow the on-screen instructions to complete the installation.

Notes:

  • Licensed users: The User ID and Serial Number is either on the CD case/sleeve or in the email message you received with license information.

    • In the User ID field, completely type all letters, numbers, and hyphens, exactly as shown. This field is case-sensitive.

    • In the Serial # field, completely type all letters and numbers, exactly as shown. (The hyphens will be automatically entered.) This field is case-sensitive.

    • After entering the license information, click Next. I see an incorrect or invalid license information message.

  • System Mechanic Professional users: System Mechanic Professional is a suite of tools that includes System Mechanic plus four other products: Search and Recover (data recovery), DriveScrubber (permanent data deletion), and iolo AntiVirus and iolo Personal Firewall (Internet security). You will be given the option to select which of these products you want to install.

  • ActiveCare Email Reports. To receive reports about your PC's condition and maintenance, enter your email address on the appropriate screen; if you do not want the reports, clear the check box. (You can also turn the receipt of reports on or off or change the email address from within the installed System Mechanic.)

  6. On the last screen of the installation wizard, click Finish. You can restart your computer at that time or restart it later. You must restart your computer to complete the installation.

Related topics:

Tour of the System Mechanic Home page

Getting started

System Requirements


System requirements

Operating System. One of the following Microsoft operating systems:

  • Windows Vista

  • Windows XP (Home Edition or Professional)

  • Windows 2000

Note: iolo's products are not guaranteed to be compatible with 64-bit operating systems, such as Windows XP x64. It is recommended that System Mechanic not be used in a 64-bit environment. 64-bit compatibility is being researched and may be included in future versions.

Hardware

  • System Mechanic: at least 30 MB available hard drive space

System Mechanic Professional: at least 60 MB available hard drive space

  • 256 MB RAM

  • 400 MHz processor

Software

  • Microsoft Internet Explorer 6, with Service Pack 1 or later

Related topics:

Install System Mechanic

License Agreement

Product Overview


License Agreement

END USER LICENSE AGREEMENT FOR iolo technologies, LLC

IMPORTANT--READ CAREFULLY--READ THIS END USER LICENSE AGREEMENT ("LICENSE") CAREFULLY, BECAUSE BY DOWNLOADING, INSTALLING, COPYING OR USING THE SOFTWARE OR ATTEMPTING TO DO ANY OF THESE THINGS, YOU ARE AGREEING TO BE BOUND BY THESE TERMS AND CONDITIONS. IF YOU DO NOT AGREE TO ALL OF THESE TERMS AND CONDITIONS OR DO NOT WISH TO BE BOUND BY THIS LICENSE, DO NOT DOWNLOAD, INSTALL, COPY, TRANSMIT OR USE THE SOFTWARE.

This License governs your use of the SOFTWARE made available for your use by iolo technologies, LLC ("iolo"). All iolo applications (and third-party software included therein) downloaded, copied or otherwise obtained from the Websites owned and operated by or on behalf of iolo, all updates, patches, fixes, modifications and enhancements thereto, including releases of new versions (even if you allow us to provide these to you automatically), any associated media, any printed materials, any online or electronic documentation, as well as related services, shall hereinafter be collectively referred to as the "SOFTWARE". By installing, copying, downloading, or otherwise using the SOFTWARE, you agree to be bound by the terms of this License.

This License covers only the SOFTWARE. During the process of downloading and installing the SOFTWARE, there may be components that are proprietary to Microsoft or other third party providers and which iolo provides to you under a license or other grant of rights from them. There may be circumstances in which those other third parties may require you, during the download or installation process, to acknowledge and agree specifically to certain terms and conditions that apply to those components. If that is the case, you should review those terms and conditions carefully, since by continuing the download and installation process you will also be agreeing to them and you will be acknowledging and agreeing that those other parties, not iolo, are responsible for any questions, complaints or claims you may have related to any or all of those components.

SOFTWARE LICENSE

The SOFTWARE is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The SOFTWARE is licensed, not sold.

GRANT OF LICENSE

Subject to your agreement and compliance with the terms and conditions of this License, iolo grants you a limited, personal, non-transferable, non-exclusive and revocable license to use the Software. This License gives you the right to:

1) Install and use the SOFTWARE solely for your individual use and not for any other purpose or use whatsoever;

2) Copy the SOFTWARE to the hard disk or other fixed storage medium of a maximum of three (3) digital processors or computers that you own or that are under your control; and

3) Make one copy of the SOFTWARE solely for the purposes of back-up to the installed SOFTWARE.

RESERVATION OF RIGHTS, REQUIREMENTS, RESTRICTIONS, AND LIMITATIONS

Reservation of Rights. The license grants above are the only rights granted to you in connection with this License and your use of the SOFTWARE and any and all rights not expressly granted to you by the license grants, iolo expressly and fully reserves. Other than those license rights granted to you in this License or for backup or archival purposes specifically permitted by law, you may not use or make any other copies of the SOFTWARE.

Storage/Network Use. You may not use the SOFTWARE over a network or distribute the SOFTWARE to other computers over a network except as specifically described in documentation provided with the SOFTWARE.

No Reverse Engineering, Decompilation, and Disassembly. You are not permitted to tamper with or attempt to bypass, modify, defeat or otherwise circumvent the operation of the SOFTWARE or alter, reverse engineer, decompile, disassemble or otherwise attempt to discover or disclose the

SOFTWARE source code or underlying programming.

Separation of Components. The SOFTWARE is licensed as a single product. You may not separate its component parts unless expressly authorized by iolo.

Data Files. The SOFTWARE may create data files automatically for use with the SOFTWARE. Any such data files will be deemed part of the SOFTWARE.

No Rental or Resale. You are not permitted to distribute, transmit, sublicense, lease, sell or rent the SOFTWARE to any other person, firm or enterprise.

Termination. Without prejudice to any other rights, iolo may terminate this License if iolo reasonably believes that you fail to comply with the terms and conditions of the License. In such event, you must stop all use of the SOFTWARE and you must destroy the SOFTWARE and all copies of the SOFTWARE and all of the component parts thereof.

Confidentiality. You agree to keep information contained in the SOFTWARE that is not publicly known confidential to yourself and to not disclose such information to others without iolo’s prior written approval.

Dependent Software. The software, network services, or other products other than the SOFTWARE upon which the SOFTWARE’s performance depends might be interrupted or discontinued at the discretion of the suppliers (software suppliers, service providers, or iolo). iolo and its suppliers do not warrant that those software products, network services, or other products will continue to be available or that they will operate without interruption or modification.

COPYRIGHT

All title and copyrights in and to the SOFTWARE (including but not limited to any images, photographs, animation, video, audio, music, text, "applets" or other content or materials contained and/or incorporated therein) and any copies thereof, are owned by iolo and/or its suppliers.

USE OF SOFTWARE WITH COPYRIGHTED MATERIALS

The SOFTWARE may be used by you to store, process, and use content created by you and third parties. Such content may be protected by copyright, other intellectual property laws, and/or agreements. You agree to use the SOFTWARE only in compliance with all such laws and agreements that apply to such content. You further agree that iolo may take appropriate measures to protect copyrights or content stored, processed, or used by the SOFTWARE. Such measures include, but are not limited to, counting the frequency of your backup and restoration activities through certain SOFTWARE features, refusal to accept your request to enable restoration of data based on information from certain SOFTWARE features, and termination of this License in the event of your illegitimate use of the SOFTWARE.

U.S. GOVERNMENT RESTRICTED RIGHTS

The SOFTWARE is provided with RESTRICTED RIGHTS. Any use, duplication, or disclosure by the United States Government is subject to restrictions as set forth in subparagraph (c) (1) and (2) of the Commercial Computer Software&emdash;Restricted Rights at 48 CFR 52.227-19, as applicable. The manufacturer is iolo technologies, LLC, 7470 North Figueroa Street, Los Angeles, CA, 90041.

REPLACEMENT OF DEFECTIVE CD-ROM MEDIA

In situations where a back-up copy of the SOFTWARE is furnished to you by iolo on CD-ROM media, as your sole and exclusive remedy, for a period of ninety (90) days from the date of its delivery to you the CD-ROM media on which the back-up copy of the SOFTWARE is furnished iolo will replace any defective CD-ROM media used under conditions of normal use. This remedy extends only to you as the original licensee and represents iolo’s entire liability and your sole and exclusive remedy. Defective CD-ROMS must be returned to iolo within the 90-day period with proof of purchase in the form of a bill of sale (which is evidence that the CD-ROM media is within the warranty period). iolo will have no obligation to replace a disk, which, in its reasonable determination, has been damaged by accident, abuse, or misapplication.

DISCLAIMER OF WARRANTIES

YOU EXPRESSLY ACKNOWLEDGE AND AGREE THAT USE OF THE SOFTWARE IS AT YOUR SOLE RISK. THE SOFTWARE IS PROVIDED "AS IS" AND WITHOUT WARRANTY OF ANY KIND, AND IOLO, ITS AFFILIATES AND THEIR RESPECTIVE LICENSORS (HEREINAFTER, COLLECTIVELY REFERRED TO AS "IOLO") EXPRESSLY DISCLAIM ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE OR ANY WARRANTIES OF TITLE AND/OR NON-INFRINGEMENT.. IOLO DOES NOT WARRANT THAT THE FUNCTIONS CONTAINED IN THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR THAT THE OPERATION OF THE SOFTWARE WILL BE CORRECTED. FURTHERMORE, IOLO DOES NOT WARRANT OR MAKE ANY REPRESENTATIONS REGARDING THE USE OR THE RESULTS OF THE USE OF THE SOFTWARE IN TERMS OF ITS CORRECTNESS, ACCURACY, OR RELIABILITY, OR IN ANY OTHER TERMS. NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN BY IOLO, AN IOLO AUTHORIZED REPRESENTATIVE OR ANY OTHER PARTY SHALL CREATE ANY WARRANTY WITH RESPECT TO THE SOFTWARE. SHOULD THE SOFTWARE PROVE DEFECTIVE, YOU (AND NOT IOLO OR AN IOLO AUTHORIZED REPRESENTATIVE) ASSUME THE ENTIRE COST OF ALL NECESSARY SERVICING, REPAIR, OR CORRECTION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF CERTAIN WARRANTIES. ACCORDINGLY, SOME OF THE EXCLUSIONS DESCRIBED IN THIS LICENSE MAY NOT APPLY TO YOU.

IOLO PROVIDES NO WARRANTY THAT ANY COMPUTER HARDWARE OR SOFTWARE WILL NOT BE DAMAGED BY THE SOFTWARE OR ANY DATA YOU DOWNLOAD USING THE SOFTWARE. YOU ASSUME THE ENTIRE RISK OF DOWNLOADING, INSTALLING, COPYING, OPERATING AND USING THE SOFTWARE. IOLO STRONGLY RECOMMENDS YOU PERFORM A VIRUS CHECK OF ALL SOFTWARE BEFORE INSTALLATION OR USE.

LIMITATION OF LIABILITY

YOU ACKNOWLEDGE AND AGREE THAT TO THE FULLEST EXTENT PERMISSIBLE BY LAW, NEITHER IOLO, NOR ANY OF ITS AFFILIATES, ITS OR THEIR RESPECTIVE OFFICERS, DIRECTORS, EMPLOYEES, AGENTS, REPRESENTATIVES, SUPPLIERS, LICENSORS AND CONTRACTORS SHALL BE LIABLE FOR ANY LOSS OR DAMAGE, OF ANY KIND, DIRECT OR INDIRECT, INCLUDING, BUT NOT LIMITED TO, COMPENSATORY, CONSEQUENTIAL, INCIDENTAL, DIRECT, INDIRECT, SPECIAL, EXEMPLARY OR PUNITIVE DAMAGES, IN CONNECTION WITH OR ARISING FROM USE OF THE SOFTWARE OR OTHERWISE IN CONNECTION WITH THIS LICENSE.. IN ALL CASES, IOLO’S ENTIRE LIABILITY UNDER ANY PROVISION OF THIS LICENSE SHALL BE LIMITED TO THE AMOUNT ACTUALLY PAID ALLOCABLE TO THE ASSOCIATED SOFTWARE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF OR CERTAIN LIMITATIONS ON DAMAGES AND REMEDIES. ACCORDINGLY, SOME OF THE EXCLUSIONS AND LIMITATIONS DESCRIBED IN THIS LICENSE MAY NOT APPLY TO YOU.

INDEMNIFICATION

You agree to defend iolo, its affiliates and its and/or their respective successors and assigns, as well as their respective officers, directors, employees, agents, licensors, representatives, operational service providers and suppliers against any and all claims, demand and/or actions and indemnify and hold iolo, its affiliates and its and/or their respective successors and assigns, as well as their respective officers, directors, employees, agents, representatives, suppliers, licensors and contractors harmless from and against any and all losses, damages, costs and expenses (including reasonable attorneys' fees), resulting from your breach or violation of this License, infringement, misappropriation or your violation of the rights of any other party, your violation or non-compliance with any law or regulation, or your alteration or export of the SOFTWARE. iolo reserves the right to assume, at its expense, the exclusive defense and control of any claims or actions and all negotiations for settlement or compromise, and you agree to fully cooperate with iolo upon its request.

SOFTWARE DATA COLLECTION AND MONITORING

The SOFTWARE contains features that allow iolo and/or third parties to collect data from, control, and/or monitor computers and devices running or interacting with the SOFTWARE in order to prevent unlicensed or illegal use of the SOFTWARE. The SOFTWARE may contain enforcement technology that imposes limits on the ability to install and uninstall the SOFTWARE to not more than a finite number of times on a finite number of machines. The SOFTWARE containing enforcement technology requires licensing as set forth during the installation process and in the documentation, and the SOFTWARE will only operate for a finite period of time prior to licensing by the user. If you do not complete licensing during the finite time period set forth in the documentation or as prompted by the SOFTWARE, the SOFTWARE will cease to function until licensing is complete. Under this License, you hereby agree that the activities described above may occur.

AUTOMATIC UPDATE FEATURE

From time to time, iolo or third parties may automatically update or otherwise modify the SOFTWARE. One, but not the only, example of when this may happen is for purposes of enhancement of security functions, error correction, and improvement of functions, at such time as you interact with iolo’s or third-parties’ servers, or otherwise. Such updates or modifications may delete or change the nature of features or other aspects of the SOFTWARE, including functions you may rely upon. You hereby agree that such activities may occur at iolo’s sole discretion and that iolo may condition continued use of the SOFTWARE upon your complete installation or acceptance of such updates or modifications.

SEVERABILITY

If any part of this License is held invalid or unenforceable, the remaining provisions of this License shall be unimpaired and remain in full force and effect.

GOVERNING LAW AND JURISDICTION, JURY TRIAL WAIVER

This agreement shall be governed by the laws of the State of California and the United States of America, without regard to conflict-of-laws provisions. Any disputes arising out of this License shall be subject to the exclusive venue of the state and federal courts of Los Angeles County, California, and the parties hereby consent to the venue and jurisdiction of such courts. THE PARTIES HERETO WAIVE TRIAL BY JURY WITH RESPECT TO ANY MATTERS ARISING UNDER OR RELATING TO THIS LICENSE. IOLO RESERVES THE RIGHT TO AMEND THE SPECIFIC TERMS OF THE LICENSE REGARDING THE SOFTWARE AT ITS SOLE DISCRETION BY NOTICE TO YOU AT THE E-MAIL ADDRESS YOU HAVE PROVIDED TO IOLO AS PART OF YOUR REGISTRATION, OR ANY OTHER LEGALLY RECOGNIZABLE FORM OF NOTICE. If you do not agree to the terms to be amended, of which you shall be notified by iolo before they take effect, you must return the entire SOFTWARE product and any other related materials bundled in the package at the time of purchase, together with any software you have obtained from the iolo Website, for refund pursuant to the terms in the first paragraph of this License, titled "IMPORTANT&emdash;READ CAREFULLY." Your continued use of the SOFTWARE after notice shall be deemed agreement to be bound by such amendment.

THIRD-PARTY BENEFICIARY

For all purposes of this License, each of iolo's third-party licensors of any of the SOFTWARE shall be expressly deemed an intended third-party beneficiary of this License and shall have the right to enforce the terms and conditions of this License.

QUESTIONS OR COMMENTS

Should you have any questions concerning this License or the limited warranty, you may contact iolo in writing at, 7470 North Figueroa Street, Los Angeles, California, 90041.

Copyright 2008 iolo technologies, LLC. iolo, iolo AntiVirus, iolo Personal Firewall, DriveScrubber, Search and Recover, Macro Magic, System Shield, System Mechanic, and System Mechanic Professional are trademarks or registered trademarks of iolo technologies, LLC. All other trademarks are the property of their respective owners.


Dashboard - Overview pane

Dashboard [image] Overview

Overview - Analyze PC and view status

To access:

Under Dashboard on the navigation bar, click Overview.

What it does:

The Overview pane on the Dashboard is your starting point for using System Mechanic - you find out the condition of your PC, and System Mechanic gets the information it needs to make specific recommendations for repairs.

Quick instructions:

Click Analyze Now, and after a few minutes you will see if any problems are detected. You can then use the pane in one of two ways, to suit your working style.

  • One-step. Simply click Repair All. System Mechanic will automatically repair the detected problems, using default settings. This is the fastest and easiest way to keep your PC in top condition.

  • Detail: If you want to look "under the hood" and see more information prior to running any repairs, click View Problems to see detailed results on the Problems pane. This gives you total control over System Mechanic's actions, as well as more information about your computer's condition.

Detailed instructions below provides more in-depth instruction on using the Overview pane.

Detailed instructions:

From the Overview pane, you can analyze your computer, repair or view any detected problems, manage your product subscription, and view messages from iolo.

Analyze your PC

  1. Click Analyze Now (or Re-analyze) and then choose to run either a quick or a deep analysis:

  • Perform Quick Analysis. A quick analysis runs a fast check of your computer. A quick analysis takes approximately 2 minutes to complete.

  • Perform Deep Analysis. A deep analysis is a more comprehensive check of your computer. A deep analysis takes more time to perform than a quick analysis; approximately 7 minutes.

  2. When the analysis completes, your computer's status displays. Statuses are based on the number of problems detected and their severity. You will see:

  3. The overall health and security of your computer, with graphic indicators similar to a car's speedometer.

  4. An overall status message with one of the following: Good, Fair, Poor, or Critical

  3. If problems are detected, System Mechanic will display the number of problems found and offer two actions:

  4. Repair All. Click Repair All to have System Mechanic automatically repair all the problems, using default settings.

  5. View Problems. To view a list of all the problems that System Mechanic detected, click View Problems. The Problems pane will display, listing each problem and allowing you to pick and choose the desired repairs, if any. Refer to the Problems pane topic for continuing instruction.

Other information:

The analysis section also shows:

  • How long it has been since the last analysis, and may recommend that another analysis be run.

  • If a system restart is required for any repairs to take effect.

Go back to the top of the topic

Manage your subscription

The Subscriptions Status section shows the status of your product subscription.

  • If you do not have a subscription, click Tell Me More to read more about iolo's product subscriptions.

  • If you have a subscription, this section displays how much time remains on it. Clicking Options offer the following functions:

  • To extend your subscription, click Extend This Subscription. The Extend Subscription page on iolo's Web site will open, providing you more details on your existing subscription and allowing to securely purchase an extension.

  • To access features in your iolo Account, click Manage My Account. The Account page on iolo's Web site will open; you can access your existing iolo Account or create an iolo Account.

Note: Purchasing System Mechanic does not automatically create an iolo Account, but sign-up takes only a few moments. An iolo Account allows you to securely manage all your iolo products from one location; you can update subscription preferences, track pending orders, view purchase history, and more.

Read messages from iolo

The Hints and Tips section will display if iolo has any messages for you, such as product offers. This section only displays if there is a message.

Related topics:

Getting started with System Mechanic

Problems pane


Dashboard - Problems pane

Dashboard [image] Problems

Problems - Manage and repair detected problems

To access:

Under Dashboard on the navigation bar, click Problems.

What it does:

The Problems pane displays the problems detected in the last system analysis and allows you to view and run repairs.

Note: If you haven't recently run an analysis, a "System Analysis is Required" message will display. Click Analyze Now. (More on analyses.)

Instructions:

From the Problems pane, you can view detected problems, decide which ones you want to fix, and then run the applicable repairs and optimizations.

View problems

The Problems pane displays any detected problems along with a brief explanation of the risk and how a repair or optimization can help your computer.

  • Critical problems, shown in red, are detrimental to your computer's performance, security, or stability.

  • Other problems, shown in black, are not as severe, but may be reducing your computer's performance, security, or stability.

  • The Warning section provides recommendations that you may consider to improve your computer's performance, security, or stability.

Go back to the top of the topic

Make repairs and optimizations

You can run a one-click fix to run repairs using default settings, or you can run repairs individually with the settings that you specify.

Repair problems with one click

To quickly make repairs and optimizations, use the Repair Selected or Repair All button at the top of the pane.

  • To repair all the problems listed, click Repair All.

  • To repair the problems you designate, select the check box next to each problem you want to fix and then click Repair Selected.

System Mechanic then automatically makes the repairs and optimizations using default settings.

Note: By default, a confirmation message displays prior to running repairs. You can turn these messages off by selecting the "Do not show this prompt again" check box on the message, or by making changes on the Dashboard tab of the Options window.

Individual fixes: Basic options

(See also Advanced options below.)

Click on the action button next to a problem, such as Repair or Optimize, and you then have the option to:

  • Resolve problem immediately. System Mechanic automatically makes the necessary repairs or optimizations using default settings.

  • Resolve problem using advanced options. Opens the System Mechanic tool that can perform the repairs or optimizations. Selecting this option allows you to configure settings to suit your preferences.

Note: For some problems (such as not having an antivirus program) a Repair button will not be available, but System Mechanic can still help by providing recommendations; click the More Info button to read recommendations from iolo.

Go back to the top of the topic

Individual fixes: Advanced options

Click the drop-down arrow on the action button next to a problem, such as Repair or Optimize, and you then can choose from up to four options (varies by problem):

  • Run action now. System Mechanic automatically makes the necessary repairs or optimizations using default settings.

  • Start wizard. Opens the System Mechanic tool that can perform the applicable repair or optimization. Selecting this option allows you to configure settings to suit your preferences.

  • Hide this problem/warning. Hidden problems and warnings are not displayed or included in System Mechanic's computations of system status. You can choose to hide a problem/warning for 1, 3, or 7 days, or choose to never have the issue tracked.

Note: Hidden problems/warnings can be re-displayed from the Dashboard tab of the Options window.

  • Automatically repair when detected. Many problems also have an "Automatically" check box. Select the check box if you want to have this problem automatically fixed when the problem is detected; this setup is also available on the Automated Tasks pane. Read more about Automated Tasks.

Related topics:

Overview pane - Run system analysis and view status

Dashboard tab of Options window

Automated Tasks pane


Active Care - Automated Tasks pane

ActiveCare [image] Automated Tasks

Automated Tasks - Automatic monitoring and repairs

To access:

Under ActiveCare on the navigation bar, click Automated Tasks.

What it does:

ActiveCare's Automated Tasks monitors your PC's performance and then automatically runs any needed repairs on-the-spot.

  • Automated analysis. System Mechanic analyzes your computer behind the scenes, while it is idle. This allows for background monitoring of your PC's health and security, without interfering with resources as you work.

  • Automated repairs. If during the analysis, a problem that you designated for automatic fixes is detected, System Mechanic will automatically run the repair.

For example: You can have ActiveCare automatically defragment your computer's memory when it detects that the system memory falls too low.

Instructions:

The Automated Tasks pane gives you complete control over what automated tasks are run (Tasks Performed Automatically) and whether you receive ActiveCare status reports (ActiveCare Email Reports).

ActiveCare Email Reports

System Mechanic can send you status reports about ActiveCare activity, including recently repaired problems and recommended optimizations. If you have elected to:

  • Receive these reports, an Enabled status message will display, along with your email address.

  • Not receive these reports, a Disabled status message will display.

To turn the receipt of reports on or off, or to change your email address, click Configure. The ActiveCare tab of the Options window will open, allowing you to change settings.

Go back to the top of the topic

Tasks Performed Automatically

Click the toggle button next to a task to Enable or Disable the automated repair. The following tasks can be automated:

Automatically clean up excessive system clutter

With regular usage, temporary files and other unneeded debris accumulate.

It is recommended that excessive amounts of system clutter be deleted to reclaim disk space and speed overall processing.

Automatically repair spyware infections

Installed without your knowledge, spyware can reveal your Internet activity and waste system resources.

Removing spyware protects your privacy and reclaims valuable memory.

Automatically repair registry problems

Over time, the Windows registry can become corrupt, leading to degraded performance and system crashes.

Removing obsolete and invalid entries improves overall PC efficiency and stability.

Automatically optimize startup configuration

Various programs and services load when Windows starts.

Eliminating startup items that are unneeded or potentially dangerous boosts overall PC speed and reclaims valuable memory.

Automatically repair hard drive errors

A damaged hard drive can prevent files from being accessed or saved and can cause system crashes.

Repairing hard drive errors protects your data and improves overall PC stability.

Automatically repair security vulnerabilities

Viruses and other malicious programs exploit known security vulnerabilities in operating systems and Web browsers.

Repairing security flaws protects your computer and your data.

Automatically repair unoptimized Internet configuration

The Optimize Internet Settings/Net Booster tool optimizes various settings to suit your type of Internet connection.

Adapting these settings boosts Web download rates and improves overall Internet speed and stability.

Automatically repair drive fragmentation problems

When a drive becomes highly fragmented, files take longer to open and PC performance declines.

Defragmenting reorganizes scattered data, which boosts file access speed and increases drive efficiency.

Automatically repair low memory problems

When available memory is too low, overall PC performance declines.

Defragmenting reclaims valuable memory and improves PC efficiency, stability, and speed.

Automatically repair broken shortcuts

Broken shortcuts occur when the target files have been moved or deleted.

Repairing these shortcuts speeds processing and eliminates unexpected errors.

Automatically back up registry every 14 days

The Windows registry is vital to your computer’s ability to run correctly. Backups allow you to restore the registry if it ever becomes damaged.

It is recommended that you back up the registry every 14 days.

Automatically compact registry every 14 days

Compacting the Windows registry reorganizes entries, which improves the efficiency and speed of vital registry processing.

It is recommended that you compact the registry every 14 days.

Note: You can also designate individual problems for automated repair on the Dashboard's Problems pane.

Related topics:

Configure ActiveCare Reports


ActiveCare - Internet Security pane

An antivirus blocks computer infections, and detects and removes any existing infections.

A firewall puts up a barrier against hackers and other intruders, while allowing the Internet access that you do want.

Click Open iolo AntiVirus to open the program in a separate window. (If the program was shut down, click Start iolo AntiVirus.)

With iolo AntiVirus, you can run virus scans on-demand, set up scheduled scanning, monitor antivirus activity, access iolo's Threat Center, and configure various settings to suit your preferences.

For at-a-glance information and fast access to commonly used functions, the following also displays:

Field name

Information displayed

Actions available

Last full scan

Displays the last date a full scan was run.

A full scan is a complete scan for viruses on your computer. It checks memory, boot records, and all files and folders.

Click Scan now to run a full scan of your system.

Real-time Protection

The status of your real-time protection, which is either Enabled or Disabled.

It is recommended that real-time protection be enabled for continual protection.

  • If disabled, you can click Enable to turn on the protection.

  • If enabled, you can click Disable to turn off the protection.

Email Protection

The status of your email protection, which is either Enabled or Disabled.

It is recommended that email protection be enabled for continual protection.

  • If disabled, you can click Enable to turn on the protection.

  • If enabled, you can click Disable to turn off the protection.

Definitions

Displays the date of the last virus definitions downloaded along with their status, such as Up-to-date.

Click Check for updates to check for and download new virus definitions.

To stay protected, it is important that you regularly download the latest virus definitions and updates.

Version

The version of iolo AntiVirus you are running.

---

Click Open iolo Personal Firewall to open the program in a separate window. (If the program was shut down, click Start iolo Personal Firewall.)

With iolo Personal Firewall, you can monitor firewall activity, establish security levels, block or allow access for specific programs, designate specific Web sites as "trusted", and tailor various other firewall settings.

For at-a-glance information and fast access to commonly used functions, the following also displays:

Field name

Information displayed

Relevant Actions

Firewall status

The status of your firewall protection, which is either Enabled or Disabled.

  • If disabled, you can click Enable to turn on the protection.

  • If enabled, you can click Disable to turn off the protection.

IntelliDefense status

The status of your IntelliDefense protection, which is either Enabled or Disabled.

IntelliDefense uses threat-assessment technology to detect risks and provide smarter control of program communication.

  • If disabled, you can click Enable to turn on the protection.

  • If enabled, you can click Disable to turn off the protection.

Internet Zone Security

The security setting for the Internet Zone displays.

The Internet Zone is for all the computers, networks, and sites that are not in the Trusted Zone.

To change Zone security or view detailed Zone security settings:

  1. Click Open iolo Personal Firewall to open the program.

  2. Access the Zone Security pane on the top, left side.

Trusted Zone Security

The security setting for the Trusted Zone displays.

The Trusted Zone is for those computers, networks, and sites that are explicitly designated as trusted.

Product version

The version of iolo Personal Firewall you are running.

---

ActiveCare [image] Internet Security

Internet Security - Know the condition your protection

To access:

Under ActiveCare on the navigation bar, click Internet Security.

What it does:

The Internet Security pane provides information about the status of your antivirus and firewall protection.

Why use it:

Both antivirus and firewall protection are vital to secure Internet activity, and staying informed about the status of this protection is essential to safe computing.

Instructions:

Information about the status of your Internet security displays in the AntiVirus and Firewall sections.

AntiVirus section

The functions available to you depend on what type of antivirus program, if any, you have installed.

  • If you have iolo AntiVirus, the program is integrated into System Mechanic for seamless updates and configurations. You can open the iolo AntiVirus program, view key settings, and access commonly used functions. Click here for more instruction.

  • If you have a 3rd party antivirus, System Mechanic can detect the installation of most programs. However, due to differentiation among software vendors, System Mechanic cannot verify if the software is activated or enabled, or if the virus definitions are current.

To ensure you are protected, verify that your antivirus software is activated and up-to-date with its virus definitions.

  • If System Mechanic does not detect antivirus software, a security recommendation displays, noting that your computer is vulnerable to infection. Click More Info to read product information about iolo AntiVirus.

Go back to the top of the topic

Firewall section

The functions available to you depend on what type of firewall program, if any, you have installed.

  • If you have iolo Personal Firewall, the program is integrated for seamless updates and configurations. You can open the iolo Personal Firewall program, view key settings, and access commonly used functions. Click here for more instruction.

  • If you have 3rd party firewall software, System Mechanic can detect the installation of most programs. However, due to differentiation among software vendors, System Mechanic cannot verify if the firewall is activated or enabled.

To ensure you are protected, verify that your firewall software is activated.

  • If System Mechanic does not detect firewall software, a security recommendation displays, noting that your computer may be vulnerable to attack. Click More Info to read product information about iolo Personal Firewall.

Go back to the top of the topic

Related topics:

Overview of iolo's products

Information about security and performance issues


Tools - Power Tools pane

Tools [image] Power Tools

Power Tools - All-in-one solutions

To access:

Under Tools on the navigation bar, click Power Tools.

What they do:

Power Tools incorporate all the essential fixes and optimizations into one easy-to-use wizard, taking the guesswork out of computer maintenance and repair.

The following Power Tools are offered; click a link below for detailed instruction.

Power Tool | Purpose | Benefit
PC TotalCare | Combines the most critical repair, speed-boosting, cleanup, and protection tools into one wizard. | A complete tune-up that will improve the overall operation of your computer.
PC Accelerator | Runs all the essential speed-boosting tools at once to achieve maximum gains in performance. | Improved Web download rates; programs will work faster and with greater reliability.
PC Repair | Diagnoses and fixes errors in the registry, hard drives, software, and hardware. | Detection and repair of critical system problems.
PC Security | Protects the vital registry and repairs security flaws and vulnerabilities that leave computers open to attack. | Increased level of protection.
PC Cleanup | Finds and removes the debris left behind by temporary files, cache files, untidy programs, and system freezes. | Elimination of unneeded clutter that can overtax a computer's resources.

Related topics:

Individual Tools


PC TotalCare - Overview

PC TotalCare

To access:

From the Power Tools pane, click Start PC TotalCare.

What it does:

PC TotalCare™ combines the most critical repair, speed-boosting, cleanup, and protection tools into one wizard.

Why use it:

One click does it all with PC TotalCare. PC TotalCare performs a complete tune-up that will improve the overall operation of your computer.

Instructions:

The wizard has two screens to guide you through the process. Click a screen name below for more information:

  1. Select Actions

  2. Optimize

Related topics:

Power Tools

Individual Tools

Navigating within Wizards


TotalCare - Select Actions

PC TotalCare

Select Actions

Overview of PC TotalCare

The Select Actions screen allows you to designate which repairs and optimizations PC TotalCare performs.

The functions available to you depend on whether or not a system analysis has recently been run:

  • If there has not been a recent analysis, you will see an "A system analysis needs to be performed" message; No recent analysis performed below provides instruction.

  • If there has been a recent analysis, you will see a list of actions; Action list based on analysis results below provides instruction.

Note: Based on the analysis, PC TotalCare can run using recommended actions and you do not have to make selections. To use the default actions, simply click Next to start the repairs and optimizations.

No recent analysis performed

If a system analysis has not been recently performed, you can either:

  • Run an analysis. Click either Perform Quick Analysis or Perform Deep Analysis. When the analysis completes, the screen will display actions, as described in Action list based on analysis results below.

  • Skip the analysis and run the actions you specify. Click Let me choose which actions to perform. All of the available PC TotalCare actions will display. To help you decide which ones you want to run, detailed descriptions are provided; see View details about actions for instruction.

Select the check box next to each desired action and then click Next to start the repairs and optimizations.

Go back to the top of the topic

Action list based on analysis results

System Mechanic suggests recommended actions based on the last system analysis.

Note: If a deep analysis has not been run, a Reanalyze link allows you to do so.

You can view information about each action and then select the ones you want. If you want PC TotalCare to run using its default recommended selections, you can simply click Next to start the repairs and optimizations.

View details about actions

To help you decide which actions you want to run, click on an action to show the following details:

  • A general explanation of the problem the action can resolve.

  • The date the selected action was last done (or "Never Performed" will display).

Many actions will also display related statistics specific to your computer. For example, for the "Empty Recycle Bin" action, the amount of data in your Recycle Bin will display.

Select actions

Select the check box next to each action you want to run. To the right of each action is an estimated time for how long it will take. Using information from the last analysis, actions are grouped as follows:

  • Recommended Actions. These are actions determined to be essential to improving your computer's operation. By default, all recommended actions are selected, but you can clear selections as desired.

  • Optional Actions. These actions are not as vital as the recommended actions, but may still improve your computer's operation. Select optional actions as desired.

Once you've made your selections, click Next. On the Optimize screen, PC TotalCare runs the selected repairs and optimizations.


TotalCare - Run

PC TotalCare

Optimize

Overview of PC TotalCare

On the last screen, PC TotalCare shows the progress of the repairs and optimizations, and then displays the results.

Note: The Action pane shows the progress and results of each individual action.

When you are finished, you can do one of the following:

  • Click Exit on the bottom of the screen to return to the Home page.

  • Click the Close icon (X) at the top of the screen to close System Mechanic.


PC Accelerator - Overview

PC Accelerator

To access:

From the Power Tools pane, click Start next to PC Accelerator.

What it does:

PC Accelerator combines all the essential speed-boosting tools into one wizard.

You can defragment hard drives and memory, compact the registry, and optimize your Windows startup and Internet settings. PC Accelerator also makes specific recommendations based on an analysis of your computer's needs.

Why use it:

Use PC Accelerator to achieve maximum gains in performance and speed. Your programs will launch quicker, work faster, operate more smoothly, and perform with greater reliability.

Instructions:

The wizard has two screens to guide you through the process. Click a screen name below for more information:

  1. Select Actions

  2. Optimize

Related topics:

Power Tools

Individual Tools

Navigating within Wizards


PC Accelerator - Select Actions

PC Accelerator

Select Actions

Overview of PC Accelerator

The Select Actions screen allows you to designate which repairs and optimizations PC Accelerator performs.

The functions available to you depend on whether or not a system analysis has recently been run:

  • If there has not been a recent analysis, you will see an "A system analysis needs to be performed" message; No recent analysis performed below provides instruction.

  • If there has been a recent analysis, you will see a list of actions; Action list based on analysis results below provides instruction.

Note: Based on the analysis, PC Accelerator can run using recommended actions and you do not have to make selections. To use the default actions, simply click Next to start the repairs and optimizations on the Optimize screen.

No recent analysis performed

If a system analysis has not been recently performed, you can either:

  • Run an analysis. Click either Perform Quick Analysis or Perform Deep Analysis. When the analysis completes, the screen will display actions, as described in Action list based on analysis results below.

  • Skip the analysis and run the actions you specify. Click Let me choose which actions to perform. All of the available PC Accelerator actions will display. To help you decide which ones you want to run, detailed descriptions are provided; see View details about actions for instruction.

Select the check box next to each desired action and then click Next to start the repairs and optimizations.

Go back to the top of the topic

Action list based on analysis results

System Mechanic suggests recommended actions based on the last system analysis.

Note: If a deep analysis has not been run, a Reanalyze link allows you to do so.

You can view information about each action and then select the ones you want. If you want PC Accelerator to run using its default recommended selections, you can simply click Next to start the repairs and optimizations on the Optimize screen.

View details about actions

To help you decide which actions you want to run, click on an action to show the following details:

  • A general explanation of the problem the action can resolve.

  • The date the selected action was last done (or "Never Performed" will display).

Many actions will also display related statistics specific to your computer. For example, for the "Optimize Windows Startup" action, the number of dangerous or unnecessary startup items will display.

Select actions

Select the check box next to each action you want to run. To the right of each action is an estimated time for how long it will take. Using information from the last analysis, actions are grouped as follows:

  • Recommended Actions. These are actions determined to be essential to improving your computer's performance and speed. By default, all recommended actions are selected, but you can clear selections as desired.

  • Optional Actions. These actions are not as vital as the recommended actions, but may still improve your computer's performance and speed. Select optional actions as desired.

Once you've made your selections, click Next. On the Optimize screen, PC Accelerator runs the selected repairs and optimizations.


PC Accelerator - Optimize

PC Accelerator

Optimize

Overview of PC Accelerator

On the last screen, PC Accelerator shows the progress of the repairs and optimizations, and then displays the results.

Note: The Action pane shows the progress and results of each individual action.

When you are finished, you can do one of the following:

  • Click Exit on the bottom of the screen to return to the Home page.

  • Click the Close icon (X) at the top of the screen to close System Mechanic.


PC Repair Wizard - Overview

Power Tools - PC Repair

To access:

From the Power Tools pane, click Start next to PC Repair.

What it does:

PC Repair combines several essential diagnostic and repair tools into one wizard.

You can repair registry errors and hard drive problems, remove invalid installation files, remove spyware, and remove broken shortcuts.

Why use it:

Use PC Repair to diagnose and fix hundreds of problems with hard drives, system components, software, and hardware.

Instructions:

The wizard has two screens to guide you through the process. Click a screen name below for more information:

  1. Select Actions

  2. Optimize

Related topics:

Power Tools

Individual Tools

Navigating within Wizards


PC Repair Wizard - Select Actions

PC Repair Wizard

Select Actions

Overview of PC Repair Wizard

The Select Actions screen allows you to designate which repairs the PC Repair Wizard performs.

The functions available to you depend on whether or not a system analysis has recently been run:

  • If there has not been a recent analysis, you will see an "A system analysis needs to be performed" message; No recent analysis performed below provides instruction.

  • If there has been a recent analysis, you will see a list of actions; Action list based on analysis results below provides instruction.

Note: Based on the analysis, the PC Repair Wizard can run using recommended actions and you do not have to make selections. To use the default actions, simply click Next to start the repairs.

No recent analysis performed

If a system analysis has not been recently performed, you can either:

  • Run an analysis. Click either Perform Quick Analysis or Perform Deep Analysis. When the analysis completes, the screen will display actions, as described in Action list based on analysis results below.

  • Skip the analysis and run the actions you specify. Click Let me choose which actions to perform. All of the available PC Repair Wizard actions will display. To help you decide which ones you want to run, detailed descriptions are provided; see View details about actions for instruction.

Select the check box next to each desired action and then click Next to start the repairs.

Go back to the top of the topic

Action list based on analysis results

System Mechanic suggests recommended actions based on the last system analysis.

Note: If a deep analysis has not been run, a Reanalyze link allows you to do so.

You can view information about each action and then select the ones you want. If you want the PC Repair Wizard to run using its default recommended selections, you can simply click Next to start the repairs.

View details about actions

To help you decide which actions you want to run, click on an action to show the following details:

  • A general explanation of the problem the action can resolve.

  • The date the selected action was last done (or "Never Performed" will display).

Many actions will also display related statistics specific to your computer. For example, for the "Repair Broken Shortcuts" action, the number of broken shortcuts will display.

Select actions

Select the check box next to each action you want to run. To the right of each action is an estimated time for how long it will take. Using information from the last analysis, actions are grouped as follows:

  • Recommended Actions. These are actions determined to be essential to repairing problems on your computer. By default, all recommended actions are selected, but you can clear selections as desired.

  • Optional Actions. These actions are not as vital as the recommended actions, but may improve your computer's stability. Select optional actions as desired.

Once you've made your selections, click Next. On the Optimize screen, the PC Repair Wizard runs the selected repairs.


PC Repair Wizard - Run

PC Repair Wizard

Optimize

Overview of PC Repair Wizard

On the last screen, the PC Repair Wizard shows the progress of the repairs, and then displays the results.

Note: The Action pane shows the progress and results of each individual action.

When you are finished, you can do one of the following:

  • Click Exit on the bottom of the screen to return to the Home page.

  • Click the Close icon (X) at the top of the screen to close System Mechanic.


PC Security Wizard - Overview

Power Tools - PC Security

To access:

From the Power Tools pane, click Start next to PC Security.

What it does:

PC Security combines the essential protection tools into one wizard.

You can back up the system registry and repair security flaws that leave you open to attack. PC Security also makes specific recommendations based on an analysis of your computer's current protection.

Why use it:

Use PC Security to bolster the defense of your computer.

Instructions:

The wizard has two screens to guide you through the process. Click a screen name below for more information:

  1. Select Actions

  2. Optimize

Related topics:

Power Tools

Individual Tools

Navigating within Wizards


PC Security Wizard - Select Actions

PC Security Wizard

Select Actions

Overview of PC Security Wizard

The Select Actions screen allows you to designate which repairs and optimizations the PC Security Wizard performs.

The functions available to you depend on whether or not a system analysis has recently been run:

  • If there has not been a recent analysis, you will see an "A system analysis needs to be performed" message; No recent analysis performed below provides instruction.

  • If there has been a recent analysis, you will see a list of actions; Action list based on analysis results below provides instruction.

Note: Based on the analysis, the PC Security Wizard can run using recommended actions and you do not have to make selections. To use the default actions, simply click Next to start the repairs and optimizations.

No recent analysis performed

If a system analysis has not been recently performed, you can either:

  • Run an analysis. Click either Perform Quick Analysis or Perform Deep Analysis. When the analysis completes, the screen will display actions, as described in Action list based on analysis results below.

  • Skip the analysis and run the actions you specify. Click Let me choose which actions to perform. All of the available PC Security Wizard actions will display. To help you decide which ones you want to run, detailed descriptions are provided; see View details about actions for instruction.

Select the check box next to each desired action and then click Next to start the repairs and optimizations.

Go back to the top of the topic

Action list based on analysis results

System Mechanic suggests recommended actions based on the last system analysis.

Note: If a deep analysis has not been run, a Reanalyze link allows you to do so.

You can view information about each action and then select the ones you want. If you want the PC Security Wizard to run using its default recommended selections, you can simply click Next to start the repairs and optimizations.

View details about actions

To help you decide which actions you want to run, click on an action to show the following details:

  • A general explanation of the problem the action can resolve.

  • The date the selected action was last done (or "Never Performed" will display).

Select actions

Select the check box next to each action you want to run. To the right of each action is an estimated time for how long it will take. Using information from the last analysis, actions are grouped as follows:

  • Recommended Actions. These are actions determined to be essential to enhancing your computer's protection. By default, all recommended actions are selected, but you can clear selections as desired.

  • Optional Actions. These actions are not as vital as the recommended actions, but may still enhance your computer's protection. Select optional actions as desired.

Once you've made your selections, click Next. On the Optimize screen, the PC Security Wizard runs the selected repairs and optimizations.


PC Security Wizard - Run

PC Security Wizard

Optimize

Overview of PC Security Wizard

On the last screen, the PC Security Wizard shows the progress of the repairs and optimizations, and then displays the results.

Note: The Action pane shows the progress and results of each individual action.

When you are finished, you can do one of the following:

  • Click Exit on the bottom of the screen to return to the Home page.

  • Click the Close icon (X) at the top of the screen to close System Mechanic.


PC Cleanup - Overview

Power Tools - PC Cleanup

To access:

From the Power Tools pane, click Start next to PC Cleanup.

What it does:

PC Cleanup combines all the essential cleanup tools into one wizard.

You can empty the Recycle Bin, and remove cookies, offline files, cache files, temporary files, and unused downloaded program files. PC Cleanup also makes specific recommendations based on an analysis of your computer's level of clutter.

Why use it:

Unneeded files clutter your computer and overtax its resources. Use PC Cleanup to eliminate this debris.

Instructions:

The wizard has two screens to guide you through the process. Click a screen name below for more information:

  1. Select Actions

  2. Optimize

Related tasks:

To have System Mechanic automatically run PC Cleanup when excessive clutter is detected, enable Automatically clean up excessive system clutter on the Automated Tasks pane.

Related topics:

Power Tools

Individual Tools

Automated Tasks

Navigating within Wizards


PC Cleanup - Select Actions

PC Cleanup Wizard

Select Actions

Overview of PC Cleanup Wizard

The Select Actions screen allows you to designate which optimizations the PC Cleanup Wizard performs.

The functions available to you depend on whether or not a system analysis has recently been run:

  • If there has not been a recent analysis, you will see an "A system analysis needs to be performed" message; No recent analysis performed below provides instruction.

  • If there has been a recent analysis, you will see a list of actions; Action list based on analysis results below provides instruction.

Note: Based on the analysis, the PC Cleanup Wizard can run using recommended actions and you do not have to make selections. To use the default actions, simply click Next to start the optimizations.

No recent analysis performed

If a system analysis has not been recently performed, you can either:

  • Run an analysis. Click either Perform Quick Analysis or Perform Deep Analysis. When the analysis completes, the screen will display actions, as described in Action list based on analysis results below.

  • Skip the analysis and run the actions you specify. Click Let me choose which actions to perform. All of the available PC Cleanup Wizard actions will display. To help you decide which ones you want to run, detailed descriptions are provided; see View details about actions for instruction.

Select the check box next to each desired action and then click Next to start the optimizations.

Go back to the top of the topic

Action list based on analysis results

System Mechanic suggests recommended actions based on the last system analysis.

Note: If a deep analysis has not been run, a Reanalyze link allows you to do so.

You can view information about each action and then select the ones you want. If you want the PC Cleanup Wizard to run using its default recommended selections, you can simply click Next to start the repairs and optimizations.

View details about actions

To help you decide which actions you want to run, click on an action to show the following details:

  • A general explanation of the problem the action can resolve.

  • The date the selected action was last done (or "Never Performed" will display).

Many actions will also display related statistics specific to your computer. For example, for the "Remove Internet Cache Files" action, the amount of Internet cache clutter will display.

Select actions

Select the check box next to each action you want to run. To the right of each action is an estimated time for how long it will take. Using information from the last analysis, actions are grouped as follows:

  • Recommended Actions. These are actions determined to be essential to freeing up drive space on your computer. By default, all recommended actions are selected, but you can clear selections as desired.

  • Optional Actions. These actions are not as vital as the recommended actions, but may still free up drive space on your computer. Select optional actions as desired.

Once you've made your selections, click Next. On the Optimize screen, the PC Cleanup Wizard runs the selected optimizations.


PC Cleanup - Run

PC Cleanup Wizard

Optimize

Overview of PC Cleanup Wizard

On the last screen, the PC Cleanup Wizard shows the progress of the optimizations, and then displays the results.

Note: The Action pane shows the progress and results of each individual action.

When you are finished, you can do one of the following:

  • Click Exit on the bottom of the screen to return to the Home page.

  • Click the Close icon (X) at the top of the screen to close System Mechanic.


Tools - Individual Tools pane

Tools [image] Individual Tools

Individual Tools – Get the right tool for the job

To access:

Under Tools on the navigation bar, click Individual Tools.

What it does:

The Individual Tools pane provides simple, categorized access to all the System Mechanic repair, optimization, and monitoring tools.

Why use it:

You can run the exact tools that suit your needs.

  • Step-by-step wizards give you total control over what actions are run, with the settings that you specify.

  • System configuration tools allow you to monitor and fine-tune settings so that your PC is tailored to your specifications.

  • Diagnostic tools provide detailed system reporting and allow for advanced troubleshooting.

Instructions:

  1. From the left side of the pane, click on the function category that suits your needs. All the tools associated with that function will display on the right side of the pane.

  2. Click Start next to the desired tool to open and run it.

The pane has the following function categories and tools; click any link below for detailed instruction.

Function Category | Benefit | Tools
Increase Performance | Resolve performance-draining issues and maximize the speed and performance of your PC. | Defragment Hard Drive Optimize Windows Startup Optimize Internet Settings Defragment Memory Compact Registry Configure Boot-Time Defragmentation Configure Right-Click Defragmentation
Enhance Protection | Increase the level of protection and strengthen the defense of your computer. | Fix Security Vulnerabilities Backup or Restore Registry Configure Automatic System Defense Professional users only: Configure Virus Protection Configure Internet Firewall
Free Up Drive Space | Clean out PC clutter, which frees up drive space and other system resources. | Remove Junk Files Remove Internet Debris
Repair Problems | Fix PC problems and reduce computer crashes and failures. | Remove Spyware Repair Registry Problems Repair Broken Shortcuts Repair Hard Drive Problems Repair an Unbootable PC Troubleshoot System Problems
Ensure Personal Privacy | Permanently erase the tracks of Internet activity and deleted data. | Clear Internet Browsing Tracks Securely Delete Files Configure Desktop File Incinerator Professional users only: Permanently Remove Deleted File Traces Permanently Wipe All Data from a Drive
Manage System Configuration | Manage and configure various internal settings for your computer. | Configure Windows Startup Manage Running Programs Customize Advanced Windows Settings Customize Advanced Internet Settings Find Duplicate Files Remove Installed Programs
Perform Diagnostics | Run a variety of system reports, for performance-tracking or troubleshooting. | View System Information Report Measure Internet Download Speed Track System Changes
The below function category is specific to System Mechanic Professional users:
Recover Deleted Data | Reclaim lost or deleted files, pictures, email messages, and more. | Recover all Data on a Drive or Disk Recover Deleted Files Recover Deleted Pictures and Movies Recover Deleted Songs and Sounds Recover Deleted E-mail

Related topics:

Power Tools


Increase Performance

Increase Performance tools

To access:

From the Individual Tools pane, click Increase Performance.

What they do:

The Increase Performance tools maximize the speed of your computer and improve overall performance.

Why use them:

Various inefficiencies can bring your computer's processing to a crawl, including fragmented hard drives, splintered system memory, scattered registry entries, and unneeded programs starting with Windows.

Use the Increase Performance tools to resolve these performance-draining issues and boost the speed and performance of your PC.

Tools:

  • Defragment Hard Drive. Defragment drives to increase PC speed and drive reliability.

  • Optimize Windows Startup. Boot faster by eliminating unneeded or malicious startup files.

  • Optimize Internet Settings. Increase Internet speed up to 300% by optimizing connection settings.

  • Defragment Memory. Defragment the RAM to improve overall speed and stability.

  • Compact Registry. Defragment the registry to boost performance and reclaim lost space.

  • Configure Boot-Time Defragmentation. Designate frequently used files that you want to be automatically defragmented at startup.

  • Configure Right-Click Defragmentation. Set up the ability to quickly defragment files on demand.

Related tasks:

The PC Accelerator Power Tool combines the essential speed-boosting tools into one wizard.

Related topics:

Power Tools

Individual Tools


Defragment Hard Drive - Overview

Defragment Hard Drive

To access:

From the Individual Tools pane, click Increase Performance and then click Start next to Defragment Hard Drive.

What it does:

The Defragment Hard Drive wizard guides you through defragmenting selected hard drives with the settings you specify.

Why use it:

Defragmenting hard drives reorganizes scattered data, which boosts file access speed and extends the life of the drive. To maintain system performance and prevent data corruption, it is recommended that you periodically defragment your hard drive.

Instructions:

The wizard has three screens to guide you through the process. Click a screen name below for more information:

  1. Select Drives to Defragment

  2. Configure Defragmentation Options

  3. Defragment Selected Drives

Related tasks:

To have System Mechanic automatically defragment drives when fragmentation is detected as being high, enable Automatically repair drive fragmentation problems on the Automated Tasks pane.

Related topics:

Configure Boot-Time Defragmentation

Configure Right-Click Defragmentation

Automated Tasks

Navigating within Wizards


Defragment Hard Drive - Select Drive

Defragment Hard Drive

Select Drives to Defragment

Overview of Defragment Hard Drive wizard

On the first screen of the Defragment Hard Drive wizard, select the one or more drives that you want to defragment.

When you have made your selections, you can either analyze a drive (see Optional below), or click Next to configure defragmentation options.

Optional: Analyze Drive

If desired, you can analyze a drive to see the level of fragmentation to determine whether defragmentation is needed.

To run the analysis, click Analyze Now (or Re-analyze) and then click one of the following options:

  • Perform Quick Analysis (faster). A quick analysis runs a fast check of the drive. A quick analysis takes approximately 1 to 2 minutes to complete.

  • Perform Deep Analysis (more detailed). A deep analysis is a more comprehensive check of the drive. A deep analysis takes more time to perform than a quick analysis; approximately 5 minutes.

A progress window will display as System Mechanic examines the drive. When the analysis completes, a snapshot of the results will display, including:

  • The number of fragmented files

  • The percentage of the drive that is fragmented.

  • A recommendation on whether the drive should be defragmented. If fragmentation exceeds 15%, you may wish to include defragment the drive.

To access a more detailed report, click View report. The System Mechanic Fragmentation Report window will open, displaying details about the files checked.

When you are ready to proceed, click Next to configure options.


System Mechanic Defragmentation Report

System Mechanic Drive Fragmentation Report - Fragmentation Analysis

The System Mechanic Drive Fragmentation Report displays details about the files checked for fragmentation levels; this report can be accessed after running an analysis from the Select Drives to Defragment screen.

Note: To instead read instructions on the using the Defragmentation report that is available after running defragmentation, click here.

View graphic overview

The top of the report displays a graphic showing the current fragmentation of the drive.

View detail

For the files checked, the detailed list shows the file name, folder location, file type, size, number of fragments, and the percentage of the file that is fragmented.

The number of files that display in the report depend on the type of analysis that was run. If you ran a:

  • Quick Analysis, the 30 most defragmented files display.

  • Deep Analysis, all of the defragmented files display.

Close report

Click Close to close the report and return to the Select Drives to Defragment screen.


Defragment Hard Drive - Select Options

Defragment Hard Drive

Configure Defragmentation Options

Overview of Defragment Hard Drive wizard

On the second screen of the Defragment Hard Drive wizard, the following options are available:

  • Perform Deep Defragmentation (takes much longer to complete). Select this check box to run a significantly more thorough defragmentation. This method creates free space at the end of the drive while it defragments files, which:

  • Reduces the tendency for future fragmentation to occur and ensures that data remains defragmented for a longer time.

  • Can take a long time (up to two days in extreme cases) depending on the fragmentation of the drive and the speed of your PC.

If you do not select this option, files will be defragmented to areas where contiguous free space already exists.

  • Delete junk files before defragmenting drives. Select this check box to have System Mechanic run the PC Cleanup Wizard prior to defragmentation. This eliminates useless and unneeded files from being defragmented, which can speed up the defragmentation process.

  • Automatically defragment locked files next time Windows starts. Select this check box to have System Mechanic automatically defragment locked files the next time you start or restart your computer.

When you are ready to proceed, click Next to run the defragmentation.


Defragment Hard Drive - Run Defragmentation

Defragment Hard Drive

Defragmenting Selected Drives / Defragment Summary

Overview of Defragment Hard Drive wizard

The Defragmenting Selected Drives screen initially shows the progress of the defragmentation, including:

  • A real-time graphical presentation of the defragmentation in progress.

  • An incremental progress bar with the percentage of processing complete.

You can click Pause to temporarily halt the process (click Resume to restart), or click Cancel to stop the process (click Start Over to restart from the first screen of the wizard).

Optional: Set Automatic Restart/Shut down

If you wish to leave your PC for an extended period time and want the PC or System Mechanic to shut down, click More Options and select one of the following:

  • Restart my computer automatically after defragmentation finishes

  • Shut down my computer automatically after defragmentation finishes

  • Shut down System Mechanic automatically after defragmentation finishes

Complete

When the defragmentation has completed (or been canceled), the screen displays a snapshot of the results, including:

  • The number of files defragmented.

  • The percentage decrease in defragmentation.

To view more information, click View defragmentation report. You can view the previous fragmentation compared to the current, see any files that were not defragmented (due to being locked or in use), and schedule those files to be defragmented the next time your start or restart your computer. Refer to System Mechanic Defragmentation Report for detailed instruction.

Close

When you are finished, you can do one of the following:

  • Click Exit on the bottom of the screen to return to the Home page.

  • Click the Close icon (X) at the top of the screen to close System Mechanic.


System Mechanic Defragmentation Report

Making selections:

You can designate the files you want to defragment in one of several ways:

  • Click on one row to select it.

  • Select the one or more check boxes [image] next to each file.

  • Choose one of the following options from the Select menu:

  • Select all. Selects the check boxes for all rows.

  • Select none. Clears the check boxes for all rows.

Making selections:

You can designate the files you want to work with in one of several ways:

  • Click on one row to select it.

  • Select the one or more check boxes [image] next to each file.

  • Choose one of the following options from the Select menu:

  • Select all. Selects the check boxes for all rows.

  • Select none. Clears the check boxes for all rows.

System Mechanic Defragmentation Report - Defragmentation Results

The System Mechanic Defragmentation Report is available after running (or canceling) a defragmentation, and it:

  • Compares the current fragmentation levels to the levels prior to running the defragmentation.

  • Shows any files that were not defragmented (due to being locked or in use) and allows you to schedule those files to be defragmented the next time your start or restart your computer.

The Report is divided as follows:

Current Fragmentation

Click Show Drive Map to view a graphical presentation of the current fragmentation. (Clicking Hide Drive Map will collapse the view.)

Original Fragmentation

Click Show Drive Map to view a graphical presentation of the fragmentation prior to running the defragmentation. (Clicking Hide Drive Map will collapse the view.)

[X] files were not defragmented

Click Show files to view a list of any files that were not defragmented, because they were locked or in use. If desired, you can schedule these files to be defragmented the next time your start or restart your computer.

To schedule defragmentation at next restart:

  1. Select or check the files you want to be defragmented at the next restart.

  2. Click one of the options from the Schedule menu:

  3. Defragment [File name]. Schedules the selected file for defragmentation.

  4. Defragment selected. Schedules all checked [image] files for defragmentation.

  3. The files will be defragmented the next time you start or restart your computer.

Note: If you want to schedule these files to be defragmented every time you restart your computer, files designated here will display on the Configure Boot-time Defragmentation window, on either the Custom List tab or the System Files tab (depending on the type of file).

To cancel scheduled defragmentation:

Once you have scheduled files for defragmentation, an [X] files will be defragmented at restart section will display at the bottom of the report. This section allows to review the files you have selected for defragmentation and cancel the process, if desired.

  1. If the section is not expanded, click Show files.

  2. Select or check the files you want to cancel the defragmentation for.

  3. Click one of the options from the Remove menu:

  • [File name]. Cancels the defragmentation for the selected file.

  • Selected. Cancels the defragmentation for all checked [image] files.

  4. The files will be removed from the defragmentation schedule and will not be defragmented the next time you start or restart your computer.

Close report

Click Close to close the report and return to the Defragmentation Summary screen.


Optimize Windows Startup - Overview

Optimize Windows Startup

To access:

From the Individual Tools pane, click Increase Performance and then click Start next to Optimize Windows Startup.

What it does:

The Optimize Windows Startup wizard eliminates startup items that are unnecessary.

Why use it:

Various programs and services are set to load when Windows loads. Some of these programs, such as antivirus protection, are desired, but many are useless.

Removing the unneeded startup items will boost your PC's speed, particularly the time it takes to boot, and will also eliminate potentially dangerous programs.

Instructions:

The wizard has several screens to guide you through the process. Click a screen name below for more information:

  • Operation Mode

If you select the Automatic mode, the following screen displays:

  • Search for Problems

If you select the Custom mode, the following screens display:

  • Select Search Locations

  • Search for Problems

  • Remove Problems

Related tasks:

  • The Configure Windows Startup feature lists all the items currently configured to start when Windows loads. You can enable and disable items, view detailed file properties, create startup profiles, run reports, and more.

  • To have System Mechanic automatically remove unneeded startup items when detected, enable Automatically optimize startup configuration on the Automated Tasks pane.

Related topics:

Automated Tasks

Navigating within Wizards


Optimize Windows Startup - Operation Mode

Optimize Windows Startup

Operation Mode

Overview of Optimize Windows Startup wizard

On the first screen of the Optimize Windows Startup wizard, select a mode.

Automatic Modes

With the automatic modes, System Mechanic uses default settings to search for startup items. The items it detects as unneeded are then automatically removed from startup.

The two automatic modes differ in what areas are searched. Click to see a list of the areas searched for Quick Optimization and Deep Optimization.

When you have made your selection, click Next to run the search and removal of unneeded startup items.

Custom Mode

For the custom mode, you define what areas to search. The items System Mechanic detects as unneeded are displayed, and then you designate which items you want to remove from startup.

Select Custom Optimization and then click Next to select search locations.


Optimize Windows Startup - Quick Mode

Quick Optimization

The Quick Optimization mode searches the following locations:

  • "Current User" startup settings and "All Users" startup settings in the Windows registry.

Once System Mechanic identifies unneeded startup items, it will automatically remove them from startup.


Optimize Windows Startup - Deep Mode

Deep Optimization

The Deep Optimization mode searches the following locations:

  • "Current User" startup settings and "All Users" startup settings in the Windows registry

  • The Startup Folder for the current user and for all users

  • Browser Extensions (Internet Explorer)

  • Startup Libraries

Once System Mechanic identifies unneeded startup items, it will automatically remove them from startup.


Optimize Windows Startup - Custom Mode

Custom Optimization

The Custom Optimization mode allows you to choose which of the following locations are searched:

  • "Current User" startup settings and "All Users" startup settings in the Windows registry

  • The Startup Folder for the current user and for all users

  • Browser Extensions (Internet Explorer)

  • Startup Libraries

Once System Mechanic identifies unneeded startup items, you can also choose which ones you wish to remove from startup.


Optimize Windows Startup - Automatic - Search for Problems

Optimize Windows Startup

Automatic - Search for Problems

Overview of Optimize Windows Startup wizard

For the automatic modes, the Search for Problems screen shows the progress of the search and removal, and then displays the results.

View progress

A progress bar shows the percentage of the process that is complete. The Status pane shows the estimated time remaining and provides a running total of the number of unneeded startup items found and removed from startup.

Note: To stop the search prior to its completion, click Cancel. The screen will display any items that were detected or removed from startup prior to the cancellation.

View results

When the process is finished (or cancelled), the screen displays the number of startup items that were detected and removed from startup.

View additional details:

To view more information, click Show repaired problems. For each item, the screen displays the location where it was found and a description of what the file does. Items are grouped as follows:

  • Warnings. Programs and files that were not dangerous, but were determined to be unnecessary. The program or file still resides on your computer, but is no longer a part of startup.

  • Critical problems. The programs and files that were detected as being unsafe.

Close

When you are finished viewing the repairs, you can do one of the following:

  • Click Start a new search; you will return to the first screen of the Optimize Windows Startup wizard.

  • Click Exit on the bottom of the screen to return to the Home page.

  • Click the Close icon (X) at the top of the screen to close System Mechanic.


Optimize Windows Startup - Custom Select Location

Optimize Windows Startup

Custom - Select Search Locations

Overview of Optimize Windows Startup wizard

On the Select Search Locations screen, select the check box next to each startup location you want searched.

  • Registry: Current User startup settings

  • Registry: All Users startup settings

  • Startup Folder: Current User

  • Startup Folder: All Users

  • Browser Extensions (Internet Explorer)

  • Startup Libraries

When you have made your selections, click Next to run the search.


Optimize Windows Startup - Custom - Search for Problems

Optimize Windows Startup

Custom - Search for Problems

Overview of Optimize Windows Startup wizard

On the Search for Problems screen, the wizard searches the selected areas for unneeded start up items. There is no action for you to take on this screen (unless you wish to cancel the search).

When the search is complete, the next and final screen will automatically open, displaying results and allowing you to remove selected items.

View Progress

A progress bar shows the percentage of the search that is complete. The Status pane shows the estimated time remaining and provides a running total of the number of unneeded startup items found.

Cancel Search

To stop the search prior to its completion, click Cancel. The final Remove Problems screen will open if any items were found prior to the cancellation. If no problems were found, you remain on this screen.


Optimize Windows Startup - Custom - Remove Problems

Optimize Windows Startup

Custom - Remove Problems

Overview of Optimize Windows Startup wizard

Once the search is completed (or cancelled), the final screen lists all the startup items that System Mechanic detected as being unneeded.

View results

For each item, the screen displays the location where it was found and a description of what the file does. Items are grouped as follows:

  • Warnings. The programs and files are not dangerous, but may not be necessary. Remove each item that you do not want to load at start up. (The program or file will still reside on your computer.)

  • Critical problems. The programs and files have been detected as being unsafe. It is recommended that they be removed.

For a selected item, the Tools menu allows you to view specific information:

  • Open containing folder. Opens the standard Windows Explorer window that allows you to browse and navigate folders.

  • Open reference. Opens the Registry Editor to the selected reference.

  • Startup item properties. Opens a standard Windows Properties window that provides file details.

Remove selected items

The Remove menu option removes selected items from startup.

  1. Select the items you want to remove.

  2. To select a single item, click on the row to highlight it .

  3. To select multiple items, select the check box [image] next to each item.

  4. To select all of the displayed items, click Select All from the Edit menu. All of the check boxes will be selected. ("Select None" clears all selections.)

  2. Remove the selected items. If you have:

  • A single item highlighted : From the Remove menu, click the item name.

  • Single or multiple items selected [image]: From the Remove menu, click Selected (X items) [where X is the number of items you have selected].

As items are removed from startup, a progress window displays and then the screen displays a Repaired message next to each item no longer included in startup.

Close

When you are finished, you can do one of the following:

  • Click Exit on the bottom of the screen to return to the Home page.

  • Click the Close icon (X) at the top of the screen to close System Mechanic.


Optimize Internet Speed - Overview

Optimize Internet Settings

To access:

From the Individual Tools pane, click Increase Performance and then click Start next to Optimize Internet Settings.

What it does:

The Optimize Internet Settings "NetBooster" wizard tailors various Windows settings to suit your type of Internet connection. Adapting these settings boosts Web download rates and improves Internet and network speed.

Why use it:

When Windows is installed, the default settings are not necessarily optimized for your specific Internet connection. This can prevent you from reaching maximum download and upload speeds.

NetBooster allows the transferring of more data over your existing connection, resulting in faster and more reliable access. Many people experience increases in speed of up to 300% after running these optimizations.

Instructions:

The wizard has several screens to guide you through the process. Click a screen name below for more information:

  1. Select Procedure

  2. Connection Type

  3. Optimize/Restore

Related tasks:

The Configure Advanced Internet Settings feature allows system administrators and expert users to edit advanced Internet and network settings.

Related topics:

Navigating within Wizards


Optimize Internet Speed - Select Procedure

Optimize Internet Settings

Select Procedure

Overview of Optimize Internet Settings wizard

On the first screen of the wizard, select a procedure.

  • Optimize your Internet and network connection speed. Run the NetBooster optimization wizard. Most users will select this option. Click Next to select a connection type.

  • Restore original settings. Restores settings to the Windows default. Click Next to run the restoration.


Optimize Internet Speed - Connection Type

Optimize Internet Settings

Connection Type

Overview of Optimize Internet Settings wizard

On the Connection Type screen, specify the type of Internet connection that most closely matches yours.

Specifying the correct Internet connection type is important to achieve the best Internet performance. If you are unsure of your connection type, ask your Internet Service Provider or other knowledgeable source.

  1. Select one of the connection types:

  • High-speed or broadband: LAN, Cable, DSL, Satellite, ISDN, T1, or Wireless or other high speed connection

  • High-speed or broadband: Cable, DSL or Satellite, or Wireless running PPPoE

Note: If your connection is running PPPoE, you likely use a separate program to log on to the Internet. If you are unsure of this setting, check with your Internet service provider before using this tool.

  • Dial-up: 56 BS (or higher) modem connection

  2. Click Next to run the optimization.


Optimize Internet Speed - Optimize

Optimize Internet Settings

Optimize/Restore

Overview of Optimize Internet Settings wizard

On the last screen, NetBooster shows the progress of the modifications, and then displays the results.

  • For an optimization, an Optimization Complete message will display.

  • For a restoration, an Original Settings Successfully Restored message will display.

The changed settings will take effect once you restart your computer. You can restart now or later.

When you are finished, you can do one of the following:

  • Click the Restart Now to restart your computer.

  • Click Exit on the bottom of the screen to return to the Home page.

  • Click the Close icon (X) at the top of the screen to close System Mechanic.


Optimize

Optimize your Internet and network connection speed

Select this option to run the NetBooster optimization wizard.

Most users will select this option.


Restore

Restore original settings

Select this option to restore changed settings back to the Windows defaults.


Defragment Memory - Overview

Defragment Memory

To access:

From the Individual Tools pane, click Increase Performance and then click Start next to Defragment Memory.

What it does:

The Defragment Memory wizard defragments your computer's memory. (More on memory defragmentation.)

Why use it:

A shortage of memory has a significantly negative impact on a computer's performance. Defragmenting reclaims valuable memory and improves PC efficiency, stability, and speed.

Instructions:

The wizard has several screens to guide you through the process. Click a screen name below for more information:

  1. Current Memory Levels

  2. Defragment Memory

  3. Summary

Related tasks:

To have System Mechanic automatically defragment the memory when memory is detected as being low, enable Automatically repair low memory problems on the Automated Tasks pane.

Related topics:

Automated Tasks

Navigating within Wizards


Defragment Memory - Current Level

Defragment Memory

Current Memory Levels

Overview of Defragment Memory wizard

The first screen shows an analysis of the current memory usage, divided into the memory in use and the available memory.

If your available system memory is less than 60%, you may wish to consider running this wizard.

Click Next to start the defragmentation process.


Defragment Memory - Run Defragmentation

Defragment Memory

Defragment Memory

Overview of Defragment Memory wizard

The progress of the memory defragmentation displays. There is no action for you to take on this screen (unless you wish to cancel).

When the defragmentation is complete, the next and final screen will automatically open, displaying results.

View Progress

A progress bar and a graphic presentation of the progress show the amount of the search that is complete. The estimated time remaining also displays.

Cancel Defragmentation

To stop the defragmentation prior to its completion, click Cancel. The final Summary screen will open, displaying an updated analysis of memory usage.


Defragment Memory - Summary

Defragment Memory

Summary

Overview of Defragment Memory wizard

The last screen displays the amount of memory you reclaimed through defragmentation and shows an updated analysis of the memory usage.

The graphic shows how much memory was recovered by fragmentation and is now available, as compared to the amount of memory in use and the amount originally available.

When you are finished viewing the results, you can do one of the following:

  • Click Defragment system memory again; you will return to the first screen of the Defragment Memory wizard.

  • Click Exit on the bottom of the screen to return to the Home page.

  • Click the Close icon (X) at the top of the screen to close System Mechanic.


What is Memory Defragmentation?

Memory fragmentation occurs over time as memory is allocated and released by programs. Your computer may have many unused blocks of memory mixed in with the used blocks of memory.

Programs need a contiguous area of memory (memory usage by a program cannot be fragmented like data on a disk). When memory becomes highly fragmented and Windows runs out of free memory, programs do not have enough memory to function properly. Overall PC performance declines, and programs may not open or may run slower or frequently crash.

See also: Defragment memory wizard


Compact Registry - Overview

Compact Registry

To access:

From the Individual Tools pane, click Increase Performance and then click Start next to Compact Registry.

What it does:

Compacting the Windows registry reorganizes entries and defragments the registry files.

Note: This feature is only available for computers running Windows 2000, Windows XP, or Windows Vista.

Why use it:

Compacting improves the efficiency and speed of vital registry processing. We recommend that you compact the registry every 14 days.

Instructions:

The process of compacting the registry runs prior to the computer booting and Windows loading.

To schedule the compacting, select the Compact system registry the next time computer is restarted check box. The compacting will occur the next time you start or restart your computer.

Related tasks:

To have System Mechanic automatically compact the registry every 14 days, enable Automatically compact registry every 14 days on the Automated Tasks pane.

Related topics:

Automated Tasks

Backup or Restore Registry


Boot Time Defragmentation - Overview

Configure Boot-Time Defragmentation

To access:

From the Individual Tools pane, click Increase Performance and then click Start next to Configure Boot-Time Defragmentation.

What it does:

The Configure Boot-Time Defragmentation window allows you to specify files and folders that you want defragmented prior to Windows loading.

Note: This feature is only available for computers running Windows 2000, Windows XP, or Windows Vista.

Why use it:

When files and folders become highly fragmented, computer performance is significantly slowed. Regular defragmentation helps you maintain system performance and prevent data corruption.

For the best results, defragment your frequently used files at boot-time; this runs the defragmentation prior to other programs accessing the files or otherwise hindering the process. Further, certain frequently used system files can only be defragmented before Windows is loaded.

Instructions:

The Configure Boot-Time Defragmentation window comprises two tabs. Click a tab name below for more information:

  • Custom List. Enter the files that you specify.

  • System Files. Select from a list of Windows system files.

Any designated files will be defragmented the next time you start or restart your computer.

Prior to Windows loading, you will see an informational message indicating that defragmenting is in progress. When the defragmentation is complete, Windows will continue to load as it normally does.

Related topics:

Defragment Hard Drive

Configure Right-Click Defragmentation


Boot Time Defragmentation - Custom List

Configure Boot-Time Defragmentation

Custom List Tab

Overview of Configure Boot-Time Defragmentation window

On the Custom tab, you can designate the files that you want to be defragmented at boot-time.

To designate Windows system files for defragmentation, use the System Files tab.

Add a file

  1. Click Add file(s). The Add Boot-time Defrag Item window opens.

  2. Click Browse to open a standard Browse window. You can select multiple files as you normally do in Windows, using the CTRL and SHIFT keys. Navigate to the desired file and click OK.

  3. Repeat step 2 for every file you want to add. If you change your mind about adding a file, select it and click Remove.

  4. To set the frequency of the defragmentation, select one or more files, click Options, and then select one of these two options from the menu:

  5. Defrag selected at each restart. The selected file or files will be defragmented every time you start or restart your computer. This option is recommended for frequently used files.

  6. Defrag selected on next restart only. The selected file or files will be defragmented the next time your start or restart your computer. This sets up the boot-time defragmentation for one use.

Note: You can select multiple files as you normally do in Windows using the CTRL and SHIFT keys.

  5. When you are finished making your selections, click OK to close the Add Boot-time Defrag Item window.

Note: The final screen of the Defragment Hard Drives wizard also allows you to designate files for boot-time defragmentation. If you added any files through that wizard, they will display here and will be defragmented at boot-time once. You can change settings for these files as described below.

Managing a list of files

Make bulk selections

You can designate the files you want to work with in one of several ways:

  • Click on the rows to select them. You can select multiple files as you normally do in Windows using the CTRL and SHIFT keys.

  • Make one of the following selections from the Tools menu:

  • Select all files. Selects all rows.

  • Invert selection. Where a row is selected , this option clears them; where a row is not selected, this option selects them.

Note: Selecting the check boxes enables the defragmentation; check box selections [image] are not synonymous with row selections . See Disable or enable defragmentation below for more information on check box selections.

Set defragmentation schedule

  • Defrag selected at each restart. The selected file or files will be defragmented every time you start or restart your computer. This option is recommended for frequently used files.

  • Defrag selected on next restart only. The selected file or files will be defragmented the next time your start or restart your computer. This sets up the boot-time defragmentation for one use.

Remove files

To remove an file from boot-time defragmentation and remove it from displaying on the window:

  • Select the one or more files you want to remove, click Remove and then click Selected item(s). You can also press Delete on your keyboard to remove selected files.

  • Click Remove and then All items to remove all the files from the list.

Click Yes on the confirmation window to complete the removal.

Disable and enable defragmentation

By default, all files that you add have their check mark selected [image], which indicates that the defragmentation is enabled. If you want to disable the defragmentation for a file, but still want to keep it on the list, you can disable the defragmentation.

To enable or disable files, click one of these options from the Tools menu:

  • Disable selected item(s) or Disable all items. Either disables fragmentation for the files you have selected or disables fragmentation for all files on the window.

  • Enable selected item(s) or Enable all items. Either enables fragmentation for the files you have selected or enables fragmentation for all files on the window.

View additional information

  • Get file properties. Opens a standard Properties window that shows file properties for the selected file.

  • Open Explorer to file location. Opens a Windows Explorer window, showing the folder that contains the selected file.


Boot Time Defragmentation - CustomList - Add Item Window

Configure Boot-Time Defragmentation

Custom List Tab > Add Boot-time Defrag Item Window

Overview of Configure Boot-Time Defragmentation window

The Add Boot-time Defrag Item window allows you to add the files that you want to be defragmented at boot-time. The window opens by clicking Add Item(s) from the Custom List.

  1. Click Browse to open a standard Browse window. Navigate to the desired file and click OK. You can select multiple files as you normally do in Windows using the CTRL and SHIFT keys.

  2. Repeat step 1 for every item you want to add. If you change your mind about adding an item, select it and click Remove.

  3. To set the frequency of the defragmentation, select one or more items, click Options, and then select one of these two options from the menu:

  4. Defrag selected at each restart. The selected file or files will be defragmented every time you start or restart your computer. This option is recommended for frequently used files.

  5. Defrag selected on next restart only. The selected file or files will be defragmented the next time your start or restart your computer. This sets up the boot-time defragmentation for one use.

Note: You can select multiple files or folders as you normally do in Windows, using the CTRL and SHIFT keys.

  4. When you are finished making your selections, click OK to return to the Custom List tab.


Boot Time Defragmentation - System Files

Configure Boot-Time Defragmentation

System Files Tab

Overview of Configure Boot-Time Defragmentation window

Certain versions of Windows (Windows 2000 and later) contain system files that cannot be accessed when Windows is loaded. Because these system files are used constantly and are dynamically growing and shrinking in size every day, they can become highly fragmented over time.

Once Windows has started, it locks these files, so the defragmentation of these files has to run at boot-time. The System File tab allows you to set up boot-time defragmentation for the system files you specify.

Boot-time defragmentation system file options

Select the one or more types of system files that you want to be defragmented:

  • Defragment the Registry Hives. Registry Hives are the Windows main storage area for all system configuration data. Windows constantly accesses and modifies these files, and they can become highly fragmented over time.

  • Defragment the System Page File. The system page file is a large file where Windows store its virtual memory data. Because this file grows as you use your PC, it can become quickly become fragmented.

  • Defragment the MFT. The MFT (master file table) is a large database that stores information about all the files on your system. It is used very frequently by Windows and can become highly fragmented.

System file defragmentation frequency

Set the frequency of the defragmentation by selecting one of these two options:

  • Next restart only. The selected file or files will be defragmented the next time your start or restart your computer. This sets up the boot-time defragmentation for one use.

  • Each restart. The selected file or files will be defragmented every time you start or restart your computer.


Hives Option Defined

Registry Hives

Registry Hives are the Windows main storage area for all system configuration data.

Windows constantly accesses and modifies these files, and they can become highly fragmented over time. It is recommended that these files be set up for boot-time defragmentation.


Page File Option Defined

Page File

The system page file is a large file where Windows store its virtual memory data. See the glossary definition of page file for more information.

Because this file grows as you use your PC, it can become quickly become fragmented. It is recommended that this file be set up for boot-time defragmentation.


MFT Option Defined

MFT (Master File Table)

The MFT (master file table) is a large database that stores information about all the files on your system.

Because it is used very frequently by Windows, it is recommended that this file be set up for boot-time defragmentation.


Right-Click Defragmentation

Configure Right-Click Defragmentation

To access:

From the Individual Tools pane, click Increase Performance and then click Start next to Configure Right-Click Defragmentation.

What it does:

The Configure Right-Click Defragmentation window gives you the ability to quickly defragment frequently used files. When enabled, a Defragment menu option is added to your Windows right-click menu.

Why use it:

When files and folders become highly fragmented, computer performance is significantly slowed. Regular defragmentation helps you maintain system performance and prevent data corruption.

The Configure Right-Click Defragmentation feature allows you to quickly defragment files and folders on-demand, and can be useful for maintaining your large or frequently accessed data.

Instructions:

Select the Right-Click Menu Defragmentation check box to enable the feature and add "Defragment" to your right-click menu. Clear the check box to disable it.

Using the Right-Click Defragmentation feature:

When enabled, the ability to defragment files and folders is integrated into your Windows operating system. System Mechanic does not need to be open to use this feature.

  1. In Windows (such as through Windows Explorer), right-click on the folder or file you want to defragment. You can also select multiple files or folders as you normally would using the CTRL and SHIFT keys, and then right-click.

  2. Click Defragment from the right-click menu.

  3. A Confirmation message displays to confirm that you wish to defragment. Click Yes to continue.

  4. A progress window displays, showing the progress of the fragmentation. You can click Hide to close the window or click Cancel to stop the process.

Note: Defragment is available in your right-click menu when accessing Windows operating system functions, such as Windows Explorer or icons on your desktop. A Defragment menu will not display when you right-click inside of an application.

Related topics:

Configure Boot-Time Defragmentation

Defragment Hard Drive


Enhance Protection

Enhance Protection tools

To access:

From the Individual Tools pane, click Enhance Protection.

What they do:

The Enhance Protection tools increase the level of protection and strengthen the defense of your computer.

Why use them:

Antivirus and firewall protection are the first lines of defense against Internet dangers. To bolster this protection, use the Enhance Protection tools to close security holes, block unwanted adware, and protect your registry's vital settings.

Tools:

  • Fix Security Vulnerabilities. Find and repair Windows security flaws that leave your system open to attack.

  • Backup or Restore Registry. Protect the registry by scheduling regular backups or by doing backups and restorations on demand.

  • Configure Automatic System Defense. Stop malicious programs from changing key settings without your knowledge.

* System Mechanic Professional users have two additional tools:

  • Configure Virus Protection. Configure iolo AntiVirus settings, run virus scans, download the latest virus updates, and more.

  • Configure Internet Firewall. Configure iolo Personal Firewall settings and filtering rules, monitor Internet activity, update software, and more.

Related tasks:

The PC Security Power Tool combines the essential protection tools into one wizard.

Related topics:

Power Tools

Individual Tools

Overview of iolo product line


Fix Security Vulnerabilities - Overview

Fix Security Vulnerabilities

To access:

From the Individual Tools pane, click Enhance Protection and then click Start next to Fix Security Vulnerabilities.

What it does:

The Fix Security Vulnerabilities wizard can find and repair Windows security flaws that leave your system open to attack.

Why use it:

Viruses and other malicious programs exploit security vulnerabilities in operating systems and Web browsers. Repairing these security flaws protects your computer and your data.

Instructions:

The wizard has several screens to guide you through the process. Click a screen name below for more information:

  • Operation Mode

If you select one of the Automatic modes, the following screen displays:

  • Inspect and Optimize

If you select the Advanced/Custom mode, the following screens display:

  • Tests

  • Options

  • Inspect and Optimize

Related tasks:

To have System Mechanic automatically fix security vulnerabilities when detected, enable Automatically repair security vulnerabilities on the Automated Tasks pane.

Related topics:

Automated Tasks

Navigating within Wizards


Fix Security Vulnerabilities - Operation Mode

Fix Security Vulnerabilities

Operation Mode

Overview of Fix Security Vulnerabilities wizard

On the first screen of the Fix Security Vulnerabilities wizard, select a mode.

With the automatic modes, System Mechanic will automatically repair the items it can fix. For the advanced custom mode, you specify what tests to run and then repair the items you designate.

Automatic

With the automatic modes, System Mechanic automatically repairs detected flaws. The two options differ in the tests that the wizard runs to detect flaws.

  • Quick Security Optimization. Uses the most common tests to detect flaws.

  • Complete Security Optimization. Allows you to designate what tests to use to search for flaws. Click Customize to open the Security Optimizer Automatic Complete Options window, which allows you to select which tests you want to run.

Click Options to open the Automatic Optimization and Repair Options window, which allows you to set general options.

If you select one of the automatic modes, click Next to run the search and repair.

Advanced

For the Custom inspection and report mode, you define what tests to run. The items System Mechanic detects as flaws are displayed, and then you designate which items you want to repair.

If you select the custom mode, click Next to designate the tests to run.


Quick Mode Defined

Quick Security Optimization

The Quick Security Optimization mode runs the following tests:

  • Windows Automatic Updates

  • Windows Remote Registry Service

  • Windows Messenger Service

  • Web Content Zone Security Settings &endash; Internet

  • Web Content Zone Security Settings &endash; Local Intranet

  • Web Content Zone Security Settings &endash; Trusted Sites

  • Web Content Zone Security Settings &endash; Restricted Sites

  • Trusted Sites

  • Trusted Publishers

  • Null Sessions

  • Denial of Service Attack

  • Hosts File Redirection

  • Dangerous File Types

It does not test the Default Home Page and Default Search Page or do a check for antivirus or firewall software, as the Complete Security Optimization mode does.


Complete Mode Defined

Complete Security Optimization

The Complete Security Optimization mode runs the following tests by default:

  • Windows Automatic Updates

  • Windows Remote Registry Service

  • Windows Messenger Service

  • Null Sessions

  • Denial of Service Attack

  • Hosts File Redirection

  • Web Content Zone Security Settings &endash; Internet

  • Web Content Zone Security Settings &endash; Local Intranet

  • Web Content Zone Security Settings &endash; Trusted Sites

  • Web Content Zone Security Settings &endash; Restricted Sites

  • Trusted Sites

  • Trusted Publishers

  • Default Home Page

  • Default Search Page

  • Dangerous File Type

  • Firewall Check

  • Antivirus Check


Custom Mode Defined

Custom inspection and report

The Custom Inspection and Report tool allows you to define what tests to run.

The items System Mechanic detects as flaws will be displayed, and then you designate which items you want to repair.


Automatic Options Window

Fix Security Vulnerabilities

Automatic Optimization and Repair Options Window

Overview of Fix Security Vulnerabilities wizard

The Automatic Optimization and Repair window allows you to set options for the Quick Security Optimization or Complete Security Optimization modes.

The fields on the window are described below.

Fix

Select the Automatically fix all detected security problems (recommended) check box to have detected problems automatically fixed. Clear the check box if you want to first review a list of detected problems, and then repair the problems you select.

Ignore List

If you ignored a problem during a previous run of the wizard, the Ignore lists will retain that information.

To clear the lists and no longer ignore the problems, click Clear Ignore Lists. Leave the list intact if you want to continue to disregard ignored problems.


Custom Options Window

Fix Security Vulnerabilities

Security Optimizer Automatic Complete Options

Overview of Fix Security Vulnerabilities wizard

The Security Optimizer Automatic Complete Options window allows you to set testing options for the Complete Security Optimization mode.

Select the check box next to each test you want to run. Refer to the on-screen descriptions for details about each test.

Note: The "Denial of Service Attack" test and the "Dangerous File Types" test allow additional configuration. Click the Customize link next to each field to open a window with additional options. Click a link below for more information:

  • Customize Denial of Service Attack Test

Note that running a Denial of Service Attack test could potentially disable access to shared files and printers on your network.

  • Customize Dangerous File Types

When you are finished, click OK to save your changes and return to the Operation Mode screen.


Fix Security Vulnerabilities - Custom - Tests

Fix Security Vulnerabilities

Custom - Tests

Overview of Fix Security Vulnerabilities wizard

For the Custom inspection and report mode, select which tests you want to run on the Tests tab.

Select the check box next to each test you want to run. Refer to the on-screen descriptions for information about each test.

Note: The "Denial of Service Attack" test and the "Dangerous File Types" test allow additional configuration. Click the Customize link next to each field to open a window with additional options. Click a link below for more information:

  • Customize Denial of Service Attack Test

Note that running a Denial of Service Attack test could potentially disable access to shared files and printers on your network.

  • Customize Dangerous File Types

When you are finished, click Next to designate options.


Fix Security Vulnerabilities - Customize Test - Denial of Service Attack

Customize Test - Denial of Service Attack

Select the check box for each test you want to run as part of a "Denial of Service Attack" test.

Running a Denial of Service Attack test could potentially disable access to shared files and printers on your network.

Below are descriptions of each type of Denial of Service attack that the test can detect.

Dead Gateway

Dead Gateway detection is used by the TCP component of Windows TCP/IP to detect the failure of the default gateway and to adjust the IP routing table to use the next default gateway (if multiple default gateways are configured).

Although helpful in specific circumstances, this automated detection and subsequent compensation is often not required and may put your system at risk for unwanted IP re-routes as a direct result of attacks from remote hackers. This can amount to intermittent Internet connectivity.

Name release on demand

The NBNS (NetBIOS Name Server) protocol allows network peers to assist in managing machine name conflicts.

Since the protocol is unauthenticated, it could be easy to spoof by anyone with remote access to the configuration. A remote attacker could use the Name Conflict and Name Release mechanisms to cause another computer on a network to conclude that its name was in conflict with one or more peers. The machine may also be unable to register a name on the network and/or may relinquish a name it already registered. As a result, the machine does not respond to requests sent to the newly conflicted name.

SYN Attack Protection

This parameter determines the number of times TCP will retransmit a connect request (SYN) before aborting the attempt. The retransmission time-out is doubled with each successive retransmission in a given connect attempt.

An attacker can flood your PC with TCP SYN requests in a Denial of Service attack. With this is mind, an attacker can flood your computer with constant TCP SYN requests, thereby exhausting system ports and decreasing available network bandwidth.

TCP Keep-alive time

Keep Alive Time designates how often your computer's TCP verifies that an idle connection is still intact. To do this, Keep-Alive packets are sent from the TCP at a rate designated by the configured Keep-Alive Time settings.

In certain instances, attackers may use this vulnerability to adversely affect network settings and communications by exhausting system ports and decreasing available network bandwidth.


Fix Security Vulnerabilities - Customize Test - Dangerous File Types

.ade files provide added tools and features for use with Microsoft Access database files. These files are dangerous because they may include instructions for anything from routine maintenance tasks to file deletion and corruption.

.adp files contain database details about data currently being indexed by Microsoft Access. These files are dangerous because they may include instructions for anything from routine maintenance tasks to file deletion and corruption.

Batch Files provide support for automated tasks initialized by applications without user interface or intervention. They contain a set of commands that, when initialized, execute sequentially to perform a task.

Command scripts are used to initialize commands in a command prompt environment.

MS-DOS applications run without using the Windows interface and are used for gaming, system configuration, and maintenance. These files can access the file system and other system components, so launching them may inadvertently change system settings without your knowledge or consent.

Security Certificates hold information regarding trusted sites and publishers. Launching them may unknowingly add permissions for files and programs to be automatically installed on your computer.

.hta files are programs delivered as a combination of Web pages and script. These files can access the file system and other system components, so launching them may inadvertently change system settings without your knowledge or consent.

.inf files can hold information about anything from system settings to application code. Launching them may inadvertently change system settings without your knowledge or consent.

.ins files generally contain information about network settings and preferences. Launching them may inadvertently change system settings without your knowledge or consent.

.isp files generally contain information regarding network settings and preferences. Launching them may inadvertently change system settings without your knowledge or consent.

.js files are written as standalone JavaScript handlers that typically render graphics and/or perform specific functions in applications or Web sites. These files access the file system and other system components, so launching them may inadvertently change system settings without your knowledge or consent.

.jse files are written as standalone JavaScript handlers that typically render graphics and/or perform specific functions in applications or Web sites. These files access the file system and other system components, so launching them may inadvertently change system settings without your knowledge or consent.

.mdb files contain database details about data currently being indexed by Microsoft Access. These files are dangerous because they may include instructions for anything from routine maintenance tasks to file deletion and corruption.

.mde files contain database details about data currently being indexed by Microsoft Access. These files are dangerous because they may include instructions for anything from routine maintenance tasks to file deletion and corruption.

.msi files are used by the Windows Installer to initialize and manage automated program installations or updates. These files can access the file system and other system components, so launching them may inadvertently change system settings without your knowledge or consent.

.msp files are used by the Windows Installer to initialize and manage automated program installations or updates. These files can access the file system and other system components, so launching them may inadvertently change system settings without your knowledge or consent.

.pif files contain shortcut information to launch MS-DOS applications. MS-DOS applications run without using the Windows interface and are used for routine maintenance tasks, system configuration, and maintenance. These files can access the file system and other system components, so launching them may inadvertently change system settings without your knowledge or consent.

.reg files contain scripts for adding keys and values to your System Registry. Launching them may inadvertently change system settings without your knowledge or consent.

.scr files typically contain information about screen savers. However, these files may also house malicious code such as Viruses, Worms, and Spyware. Launching these file types may inadvertently change system settings without your knowledge or consent.

.sct files contain Windows Scripts that interact with the file system and installed programs. These files are dangerous because they may include instructions for anything from routine maintenance tasks to file deletion and corruption.

.shs files are MS Windows OLE/2 files capable of containing any range of data. The data may include code to delete files or execute programs.

.shb files typically contain shortcut information for specific areas within a document. However, these files may also include code for performing other unintended tasks. Launching these file types may inadvertently change system settings without your knowledge or consent.

.vbe files contain scripts developed by a Visual Basic coding editor. These files are dangerous because they may include instructions for anything from routine maintenance tasks to file deletion and corruption.

.vbe files contain scripts developed by a Visual Basic coding editor. These files are dangerous because they may include instructions for anything from routine maintenance tasks to file deletion and corruption.

.wsc files contain Windows Scripts that interact with the file system and installed programs. These files are dangerous because they may include instructions for anything from routine maintenance tasks to file deletion and corruption.

.wsf files contain Windows Scripts that interact with the file system and installed programs. These files are dangerous because they may include instructions for anything from routine maintenance tasks to file deletion and corruption.

.wsh files contain Windows Scripts that interact with the file system and installed programs. These files are dangerous because they may include instructions for anything from routine maintenance tasks to file deletion and corruption.

Customize Test - Dangerous File Types

Select the check box next to each file type that you want to test as part of the "Dangerous File Types" test. Clear a check box if you do not want to include a type in the test.

To restore selections to their defaults, click Restore Default Settings.

Below are description of the file types on the window. Click an extension for more details.

ade (Microsoft Access Project Extension)

.adp (Microsoft Access Project)

.bat (MS-DOS Batch File)

.cmd (Command Script)

.com (MS-DOS Application)

.crt (Security Certificate)

.hta (HTML Application)

.inf (Setup Information)

.ins (Internet Communication Settings)

.isp (Internet Communication Settings)

.js (JScript Script File)

.jse (JScript Encoded Script File)

.mdb (Microsoft Access Database)

.mde (Microsoft Access MDE Database)

.msi (Windows Installer Package)

.msp (Windows Installer Patch)

.pif (Shortcut to MS-DOS Program)

.reg (Registration Entries)

.scr (Screen Saver)

.sct (Windows Script Component)

.shs (Scrap Object)

.shb (Shortcut into a Document)

.vbe (VBScript Encoded File)

.vbs (VBScript File)

.wsc (Windows Script Component)

.wsf (Windows Script Component)

.wsh (Windows Script Host Settings)


Fix Security Vulnerabilities - Custom - Options

Fix Security Vulnerabilities

Custom - Options

Overview of Fix Security Vulnerabilities wizard

For the Custom inspection and report mode, the Options screen allows you to set various repair options.

Search and Repair

Select one of the following options:

  • Display all detected security problems and allow advanced repair (default). Select this option if you want to first review a list of detected problems, and then repair the problems you select.

  • Automatically repair all detected security problems that can be fixed immediately. Select this option to automatically fix any problems that can be fixed immediately.

Ignore List

If you ignored a problem during a previous run of the wizard, the Ignore lists will retain that information.

To clear the lists and no longer ignore the problems, click Clear Ignore Lists. Leave the list intact if you want to continue to disregard ignored problems.

When you are finished, click Next to run the search for vulnerabilities.


Fix Security Vulnerabilities - Inspect and Optimize

The screen displays all the tests that were run and shows the status for each.

  • Passed. No problems detected.

  • Failed. Problems detected. Depending on the options you selected, these items either could not be automatically repaired or are being displayed to you to make desired repairs on demand.

  • Repaired. Problem was repaired. This will display if you elected to have System Mechanic make automatic repairs.

  • Not tested. Test was not run based on selected options.

To filter results, you can clear or select one of the following options from the View menu: Passed, Failed, Repaired, and Untested. As a default, all items are selected. Click on a selection to clear it and filter it out of the display (the check mark will no longer display).

Repair

To run repairs (available if you elected to not use automatic repairs)

  • On the row for the problem and click the Repair link; or

  • Click Fix All to repair all detected problems that were not repaired.

Close

When you are finished, you can do one of the following:

  • Click Perform another Security Optimization to return to the first screen of the wizard.

  • Click Exit on the bottom of the screen to return to the Home page.

  • Click the Close icon (X) at the top of the screen to close System Mechanic.

With these modes, the items System Mechanic detected as flaws are displayed, and then you designate which items you want to repair.

View and sort information

Each detected problem displays the following:

  • Problem. Short name for the problem.

  • Vulnerability. Information about the potential risk the problem poses.

  • Threat Level. A graphic representation of the threat level.

  • Suggestion. Click the link to access additional information about the suggested repair.

To view Help topics specific to the issue, select the problem and either click the More Info link, or from the right-click menu, click Learn more about selected.

Using the Sort menu, you can sort by Problem name, Problem threat level, and Problem repair status.

Make selections

You can designate the problems you want to work with in one of several ways:

  • Click on the one or more rows to select them. You can select multiple items you normally would in Windows, using the CTRL and SHIFT keys.

  • Select the one or more check boxes [image] next to each item.

  • Make one of the following selections from the right-click menu, or from the Tools menu:

  • Select all. Selects all rows.

  • Deselect all. Clears all rows from selection.

  • Invert selection. Where a row is selected , this option clears them; and where a row is not selected, this option selects them.

  • Check all. Selects all check boxes.

  • Uncheck all. Clear all check boxes.

  • Invert checked. Where a check box [image] is selected, this option clears them; and where a check box is cleared, this option selects them.

Repair

There are several ways to run repairs.

With the desired items selected or checked, you can click one of the below Repair menu options:

  • Repair selected. Repairs all selected problems.

  • Repair checked. Repairs all checked [image] problems.

You can run individual repairs by clicking the Repair link on the desired row.

You can repair an entire group by clicking the Repair Group link.

Ignore

You can "ignore" detected flaws that you do not consider to be a problem, so that System Mechanic does not flag them as errors in the future.

With an entry selected, either right-click on it and click Ignore Selected, or click Options then Ignore. Both offer the following menu options:

  • This session. Ignores the problem during the current System Mechanic session. The next time you open System Mechanic, the problem will no longer be considered ignored.

  • Permanently. Ignore the problem permanently (unless and until you clear Ignore lists.)

Remove Ignore

  • To remove an "ignore" designation for a specific entry, click Options and then click Unignore problem.

  • To remove all "ignore" designations, from the Tools menu, click Clear Ignore Lists.

Note: You can later clear problems from the Ignore List on the custom Options tab or the Automatic Optimization and Repair Options window.

Close

When you are finished, you can do one of the following:

  • Click Exit on the bottom of the screen to return to the Home page.

  • Click the Close icon (X) at the top of the screen to close System Mechanic.

Fix Security Vulnerabilities

Inspect and Optimize

Overview of Fix Security Vulnerabilities wizard

On the last screen, the search (or search and repair) is being run. You can cancel processing, if desired.

When the processing is completed or cancelled, the screen will display the final results. The display depends on which mode you selected; click a mode below for further instruction.

Quick Security Optimization OR Complete Security Optimization

Custom inspection and report OR Repair items manually (from Problem Task List)


Internet Properties Option Defined

Internet Properties

The Internet Properties dialog box allows you manage your Internet settings. For more information, refer to Microsoft documentation.


Windows Messenger Option Defined

Windows Messenger Service

Windows Messenger Services is a convenient tool for communicating with other users over a network but it can also be used by the unscrupulous to send messages you do not need or want to see.


Windows Remote Registry Option Defined

Windows Remote Registry

The Windows Remote Registry service allows support staff access to the Windows System Registry and to find and fix operating system and application program problems.

Unfortunately, it can also be used for unscrupulous attacks on your system. Unless you are having problems and someone is in the process servicing your computer, this service should be disabled.


Windows Automatic Updates Option Defined

Windows Automatic Updates

The Windows Automatic Update service contacts Microsoft over the Internet and downloads security patches, program, and operating system updates. This keeps your Windows operating system and Microsoft applications current and safe.


Host File Redirections Option Defined

Host File Redirection

Some spyware and adware programs try to redirect your Web browsing to sites of their choosing. One trick that spyware programs use is to modify your Hosts file.

Normally, if you try to access a network resource when domain name services (DNS) doesn't work, a Host file translates an name address such as server2 to an IP address. However, the Hosts file can be abused so that access to standard Web sites (for example www.paypal.com) is automatically mapped to another site that spyware or adware companies use for commercial exploitation.


Null Sessions Option Defined

Null Sessions

A Null session connection is an unauthenticated connection to a machine. Selecting Null Sessions may potentially disable network sharing on Local Area Networks.

The Fix Security Vulnerabilities tool fixes a security vulnerability in Windows® by disabling Null Sessions to disallow the enumeration of Security Accounts Manager (SAM) accounts and shares. A Null session connection is an unauthenticated connection to Windows NT, Windows 2000, or Windows XP machines and is the number one method for hackers to enumerate information about the machine and gain unauthorized access. From a Null session, intruders can use internal Windows functions, such as Remote Procedure Calls, to enumerate information such the true administrator account and password, provide information on passwords, groups, services, users and even active processors. Null session access can also be used for escalating privileges and performing DoS (Denial of Service) attacks.

The best way to prevent this is to disallow Null sessions to the fullest extent possible by restricting anonymous users from enumerating SAM accounts and shares on Windows XP, or restricting all anonymous access unless explicitly granted on Windows 2000.

Important: Disabling Null Sessions may disable access to network shares that do not require authentication. It is strongly recommended that you require authentication on any network shares. If you have inadvertently disabled Null Sessions and consequently lost access to network shares, click here for information about reversing this action:


Trusted Publishers Option Defined

Trusted Publishers

A Trusted Publisher Web site is certified and allowed to install ActiveX applications on your PC without confirmation.

ActiveX applications can be used for many malicious purposes such as stealing personal information, using your PC as a drone in a Denial of service attack, and logging keystrokes to steal passwords, user names, and many others. You should only allow sites you know well to be Trusted Publishers.


Default Search Page Option Defined

Default Search Page

Some unscrupulous Web sites and programs may try to change your default search page sending you somewhere on the Internet you do not want to go when you click Search on your browser.

The site you are redirected to may be for advertising purposes, or it may try to infect your PC with viruses or other infections.

Related tasks:

Use System Guard to protect your computer from these unauthorized changes to your system.


Default Home Page Option Defined

Default Home Page

Some unscrupulous Web sites and programs may try to change your default Home page, sending you somewhere on the Internet you do not want to go when you click Search on your browser.

The site you are redirected to may be for advertising purposes, or it may try to infect your PC with viruses or other infections.

Related tasks:

Use System Guard to protect your computer from these unauthorized changes to your system.


Web Content Zone Option Defined

Web Content Zone

Web content security settings control the actions that are authorized for a particular zone of the Internet or an intranet.

System Mechanic reports insufficient security settings in all Web content zones and advises that they be set to an appropriate default security level.


Internet Explorer Trusted Sites Option Defined

Internet Explorer Trusted Sites

Trusted sites are Web sites that have been authorized to execute actions on your computer according to your current security policies, including execution of code, storing data, retrieving and sending data, and so on.

If a Web site is not trusted, your are normally prompted if the site attempts to engage in an action that would potentially violate your security policies.

It is important that you only trust only a select number of sites to ensure maximum security.


Dead Gateway Option Defined

Dead Gateway

Dead Gateway detection is used by the TCP component of Windows TCP/IP to detect the failure of the default gateway and to adjust the IP routing table to use the next default gateway (if there are indeed multiple default gateways configured).

Although helpful in specific circumstances, this sort of automated detection and subsequent compensation is often not required and may even put your system at risk for unwanted IP re-routes as a direct result of attacks from remote hackers. This can amount to intermittent or even entirely inactive Internet connectivity.

Using System Mechanic, you can safely disable Dead Gateway Detection to limit unnecessary network changes and eliminate system vulnerability.


DOS Attack Option Defined

Denial of Service Attack

The Denial of Service test looks for the following vulnerabilities:

  • Dead Gateway Detection is enabled

  • TCP Keep-alive setting is dangerous

  • Name release on demand is enabled

  • Your computer is vulnerable to SYN attacks

See Customize Test - Denial of Service Attack for more information.


Keep Alive Time Option Defined

Keep Alive Time

The Keep Alive Time reduces how often TCP attempts to verify that an idle connection is still intact by sending a keep-alive packet. If your PC is used in a Denial of Service attack, the system ports may become exhausted.

These settings control how Windows manages connection keep alive transmissions, including the time out before "keep alives" are sent and the interval between keep alive transmissions.


Name Release on Demand Option Defined

Name Release on Demand

An attacker can instruct your computer to release its NetBIOS name, preventing clients from accessing your computer.


Optimize TCP/IP Retransmit Option Defined

Optimize TCP/IP Retransmissions

This parameter determines the number of times TCP will retransmit a connect request (SYN) before aborting the attempt. The retransmission time out is doubled with each successive retransmission in a given connect attempt. An attacker can flood your PC with TCP SYN requests in a Denial of Service attack.


Dangerous File Types Option Defined

Dangerous File Types

Certain Windows file types are commonly used by viruses, spyware, and other malware when attempting to infect a PC. These file types are downloaded or received by e-mail and when viewed or opened, execute processes on the host system without warning or authorization. Executed processes can further infect the system or cause damage and loss of data.

If dangerous file associates are detected, System Mechanic reconfigures them safely.

See Customize Test - Dangerous File Types for more information.


Firewall Check Option Defined

Firewall Check

Firewall protection is vital to secure Internet activity. A firewall puts up a barrier against hackers and other intruders, but allows the Internet access that you do want.

System Mechanic checks to see if valid firewall protection is installed. If firewall protection is not detected, System Mechanic recommends that you establish it.


Antivirus Check Option Defined

Antivirus Check

Antivirus protection is a must-have for anyone who uses the Internet. This software blocks computer infections, and detects and removes any existing infections.

System Mechanic checks to see if valid antivirus protection is installed. If antivirus protection is not detected, System Mechanic recommends that you establish it.


Back Up or Restore Registry - Overview

Back Up or Restore Registry

To access:

From the Individual Tools pane, click Enhance Protection and then click Start next to Backup or Restore Registry.

What it does:

The Backup or Restore Registry window allows you to back up the Windows registry and restore it if it ever becomes damaged. We recommend that you back up the registry a minimum of every two weeks.

Why use it:

The registry is vital to your computer's ability to run correctly. Regular backups of the registry are recommended in case you ever need to restore its vital settings.

Instructions:

The wizard has several screens to guide you through the process. Click a screen name below for more information:

  • Select Operation. Select whether you want to back up or restore the registry.

If you are creating a backup, the below two screens run the process:

  • Select Options

  • Back Up Registry

If you are restoring a backup, the below two screens run the process:

  • Select Backup to Restore

  • Restore Backup

Related tasks:

To have System Mechanic automatically back up the registry every 14 days, enable Automatically back up registry every 14 days on the Automated Tasks pane.

Related topics:

Automated Tasks

Compact Registry

Navigating within Wizards


Back Up or Restore Registry - Select Operation

Back Up or Restore Registry

Select Operation

Overview of Back Up or Restore Registry wizard

On the first screen, select whether you want to create a backup or restore the registry from a previously created backup.

  • Back up the registry. To create a backup, select this option and then click Next to open the Select Options screen.

  • Restore a previous registry backup. To restore a backup, select this option and then click Next to open the Select Backup to Restore screen.


Back Up or Restore Registry - Options

Back Up or Restore Registry

Back Up > Select Options

Overview of Back Up or Restore Registry wizard

On the Select Options screen, enter a name for the backup you are creating. Optionally, you can specify how many total backups you want to retain.

Backup Name

Enter a unique name for the backup.

The default name is the current date and time. You can change this as desired. The below characters cannot be in the name:

\ / : * ? " < > |

Specify a number of maximum backups to keep

You can specify how many total backups you want to keep.

  • To not limit the number of backups to keep, clear the check box. System Mechanic will retain up to 99 backups.

  • To limit the number of backups to keep, select the check box and enter a value. You can enter from 2 to 99. The default value is 10.

Click Next to open the Back Up Registry screen and create the backup.


Back Up Registry

Back Up or Restore Registry

Back Up > Back Up Registry

Overview of Back Up or Restore Registry wizard

On the last screen, the registry backup is being created. You can cancel processing, if desired.

When the processing is completed (or cancelled), the screen will display the final results. For a completed backup, a Backup complete message will display.

When you are finished, you can do one of the following:

  • Click Exit on the bottom of the screen to return to the Home page.

  • Click the Close icon (X) at the top of the screen to close System Mechanic.


Back Up or Restore Registry - Select Backup to Restore

Back Up or Restore Registry

Restore > Select Backup to Restore

Overview of Back Up or Restore Registry wizard

On the Select Backup to Restore screen, select the backup that you want to restore. Optionally, you can delete any backups you no longer want to retain.

Restore

The screen displays the registry backups you previously created. Click on the backup that you want to restore and then click Next to open the Restore Backup screen and run the restoration process.

Delete

You can delete any backups you no longer want to keep. Click on the backup you want to delete and then click Delete Selected Backup.


Back Up or Restore Registry - Restore

Initially, the screen shows the progress of the restoration.

When the restoration is completed, the screen will display the final results. For a completed restoration, a Backup restored message will display.

Note: A restoration in progress cannot be cancelled.

When you are finished, you can do one of the following:

  • Click Exit on the bottom of the screen to return to the Home page.

  • Click the Close icon (X) at the top of the screen to close System Mechanic.

When the processing is completed (or cancelled), the screen will display the final results. The wizard’s processing is completed, but the process of restoring the backup has to run prior to Windows loading.

The next time you start or restart your computer, the registry will be restored to the backup.

When you are finished, you can do one of the following:

  • Click Restart Now to restart your computer.

  • Click Cancel Restore to cancel the restoration. The next time you start or restart your computer, the backup will not be restored.

  • Click Exit on the bottom of the screen to return to the Home page.

  • Click the Close icon (X) at the top of the screen to close System Mechanic.

Back Up or Restore Registry

Restore > Restore Backup

Overview of Back Up or Restore Registry wizard

On the last screen, the wizard processes the restoration of the backup.

Due to differences among Windows operating systems, the results that display differ depending on what version of Windows you are running. Click your version of Windows below for additional information.

Windows 98 or Windows Me

Windows 2000, Windows XP, or Windows Vista


System Guard Overview

Configure Automatic System Defense

To access:

From the Individual Tools pane, click Enhance Protection and then click Start next to Configure Automatic System Defense.

What it does:

The Configure Automatic System Defense window allows you to configure System Guard. System Guard offers tools that protect key settings from being changed without your knowledge.

Why use it:

Without your knowledge, malicious software can attempt to execute itself or include itself in your Windows startup process. (Trojans are usually designed to load at startup.) Hidden spyware known as "Home page Hijackers" can change your Web browser's Home page and Search page to point to their site.

Use System Guard to block these unauthorized changes to your system.

Instructions:

The window's first tab (Configure System Guard) allows you to install and start System Guard.

Once installed, the other three tabs display, allowing you to configure settings for each of the three tools that comprise System Guard. Click a tab name below for additional instruction.

  • Configure System Guard. Install, start, or uninstall System Guard.

  • Startup Guard. Control whether specified programs can be added to the Windows startup process.

  • Process Guard. Control whether specified programs and processes can run.

  • Browser Guard. Block Web browser changes or set up alerts for when a change is attempted.

Related topics:

System Guard Tray Icon

System Guard Alert Window


Configure Automatic System Defense - Configure

Configure Automatic System Defense

Configure System Guard

Overview of Configure Automatic System Defense window

The Configure System Guard tab allows you to install and/or start System Guard, and change various settings that apply to multiple System Guard tools.

Once installed and running, the other three tabs display, allowing you to configure the applicable settings for each tool. See the below topics provide instructions on specific configuration for each of the three System Guard tools:

  • Startup Guard

  • Process Guard

  • Browser Guard

Install, start, or uninstall System Guard

  • To install System Guard, click Install System Guard.

  • If you have System Guard installed but have turned off the protection from the System Guard icon, click Start System Guard to enable the protection.

  • To uninstall System Guard, click Uninstall System Guard.

Note: After you install or uninstall System Guard, your computer must be restarted for the change to take effect.

System tray icon

Select the Show System Guard icon in the system tray to display an icon in your system tray.

This icon allows you to control alerts for Startup Guard and Browser Guard, and disable the System Guard protection. See System Guard Icon for more information.

Automatic timeout response

Where alerts are generated in Startup Guard or Browser Guard, System Guard will automatically respond if you do not respond within a certain period of time.

In the Automatic Timeout Response section, set the following:

  • Select the default action you want System Guard to take: either Allow change to proceed or Prevent change from proceeding.

  • In the Automatically respond after [X] seconds field, designate the amount of time you want prompts to display before System Guard automatically responds.

You can enter from 10 to 120 seconds.


- Click Browse, navigate to the desired file, and click OK.

- Click Browse, navigate to the desired file, and click OK.

Configure Automatic System Defense

Startup Guard

Overview of Configure Automatic System Defense window

When enabled, Startup Guard controls whether specified programs can be added to the Windows startup process.

Note: For a program that you do not explicitly block or allow, an alert will display if there is an attempt to include the program in startup.

Manage Blocked List

Programs you add to the Blocked List cannot be added to the startup process.

To begin, click Edit Blocked List.

  • Add programs to the list. Click Add and then type in or browse to the executable file name and location. Common examples of executable file name extensions are .EXE, .BAT, and .BIN.

  • Edit programs on the list. Select the program you want to edit and click Edit. Edit the executable file name or location as needed.

  • Remove program from the list. Select the program you want to remove from the Blocked List and click Remove.

Manage Allowed List

Programs you add to the Allowed List can be added to the startup process.

To begin, click Edit Allowed List.

  • Add programs to the list. Click Add and then type in or browse to the executable file name and location. Common examples of executable file name extensions are .EXE, .BAT, .COM, and .BIN.

  • Edit programs on the list. Select the program you want to edit and click Edit. Edit the executable file name or location as needed.

  • Remove program from the list. Select the program you want to remove from the Allowed List and click Remove.


- Click Browse, navigate to the desired file, and click OK.

- Click Browse, navigate to the desired file, and click OK.

Configure Automatic System Defense

Process Guard

Overview of Configure Automatic System Defense window

When enabled, Process Guard controls whether certain programs and processes can run.

To enable Process Guard, select the Enable Process Guard check box.

  • If you want a program to be automatically prevented from running or executing, add it to the Blocked Processes list.

  • If you want a program to be automatically allowed to run or execute, add it to the Allowed Processes list.

  • For programs and processes that you do not explicitly block or allow, you have the option of using the IntelliDefense feature to control executable files based on their threat assessment.

Blocked Processes

Programs you add to the Blocked Processes list will automatically be blocked from running

To begin, click Edit Blocked List.

  • Add programs to the list. Click Add and then type in or browse to the executable file name and location. Common examples of executable file name extensions are .EXE, .BAT, and .BIN.

  • Edit programs on the list. Select the program you want to edit and click Edit. Edit the executable file name or location as needed.

  • Remove program from the list. Select the program you want to remove from the Blocked Processes list and click Remove.

Allowed Processes

Programs you add to the Allowed Processes list will automatically be allowed to run.

To begin, click Edit Allowed List.

  • Add programs to the list. Click Add and then type in or browse to the executable file name and location. Common examples of executable file name extensions are .EXE, .BAT, .COM, and .BIN.

  • Edit programs on the list. Select the program you want to edit and click Edit. Edit the executable file name or location as needed.

  • Remove program from the list. Select the program you want to remove from the Allowed Processes list and click Remove.

IntelliDefense

For programs and processes that are not explicitly Blocked or Allowed, the IntelliDefense™ feature can automatically block them from running based on their threat assessment.

iolo maintains a regularly updated database of information about thousands of programs and program components. When a program attempts to execute, IntelliDefense can use this database and its threat-evaluation process to determine a classification for the program.

You can set up Process Guard to automatically block programs that are in the following IntelliDefense categories:

  • Unnecessary. Installed, safe applications that are not required to perform core functions, and provide functionality that is not needed by most users.

  • Dangerous. Spyware, viruses, and other software that has been identified as malicious and dangerous by iolo's research team.

Note: Programs and processes classified into other categories are not controlled by Process Guard. The other IntelliDefense categories are: System (core components of the Windows operating system); Necessary (safe applications that perform core functionality); and Optional (safe applications that may be desired but are not required to perform core functionality.)

To enable this feature, select the Use IntelliDefense check box and then select one or both of the following check boxes:

  • Automatically block Dangerous programs from running. Programs and processes classified as "Dangerous" will be automatically prevented from executing.

  • Automatically block Unnecessary programs from running. Programs and processes classified as "Unnecessary" will be automatically prevented from executing.


Configure Automatic System Defense

Browser Guard

Overview of Configure Automatic System Defense window

When enabled, Browser Guard keeps various Internet and Web browser settings from changing without your knowledge.

To enable Browser Guard, select the Enable Browser Guard check box.

Options

Protect Home Page Settings:

Select the Protect Home Page Settings check box to keep your Internet Home page from changing without your knowledge.

You can either block changes to your Home page or an alert can display when a change is attempted, by selecting of the following options:

  • Lock Home page (always block changes). All changes will be blocked.

  • Prompt me for authorization when Home page changes are detected. When an attempted change is made, an alert will display that allows you to allow or block the change.

Protect Search Page Settings:

Select the Protect Search Page Settings check box to keep your Internet Search page from changing without your knowledge.

You can either block changes to the Search page, or an alert can display when a change is attempted, by selecting one of the following options:

  • Lock Search page (always block changes). All changes will be blocked.

  • Prompt me for authorization when Search page changes are detected. When an attempted change is made, an alert will display that allows you to allow or block the change.


Configure Automatic System Defense - Add Black List Window

- Click Browse, navigate to the desired file and click OK.

Configure Automatic System Defense

Block Startup Item/Block Process

Overview of Configure Automatic System Defense window

For the program or process that you want to block, type in or browse to the executable file name and location.

Common examples of executable file name extensions are .EXE, .BAT, and .BIN.

Related topics:

Startup Guard

Process Guard


Configure Automatic System Defense - Edit Black List Window

Configure Automatic System Defense

Edit Blocked Startup Item/Edit Blocked Process

Overview of Configure Automatic System Defense window

For the program or process that you want to block, edit its executable file name or location.

Common examples of executable file name extensions are .EXE, .BAT, and .BIN.

Related topics:

Startup Guard

Process Guard


Configure Automatic System Defense - Add White List Window

- Click Browse, navigate to the desired file and click OK.

Configure Automatic System Defense

Allow Startup Item/Allow Process

Overview of Configure Automatic System Defense window

For the program or process that you want to allow, type in or browse to the executable file name and location.

Common examples of executable file name extensions are .EXE, .BAT, and .BIN.

Related topics:

Startup Guard

Process Guard


Configure Automatic System Defense - Edit White List Window

Configure Automatic System Defense

Edit Allowed Startup Item/Edit Allowed Process

Overview of Configure Automatic System Defense window

For the program or process that you want to allow, edit its executable file name or location.

Common examples of executable file name extensions are .EXE, .BAT, and .BIN.

Related topics:

Startup Guard

Process Guard


Configure Automatic System Defense - Alert

iolo maintains a regularly updated database of information about thousands of programs and program components. IntelliDefense uses this database and its threat-evaluation process to determine a classification for the program:

  • System. Core components of the Windows operating system. Example:

  • Necessary. Installed, safe applications that perform core functionality. Example:

  • Optional. Installed, safe applications (or components of such applications) that may be desired but are not required to perform core functionality. Example:

  • Dangerous. Spyware, viruses, and other software that has been identified as malicious and dangerous by iolo's research team.

  • Unknown. Programs and components that are not in the IntelliDefense database.

Msiexec.exe is "System". This file is part of the Windows operating system and is used for processing Windows Installer packages.

Windows Explorer is "Necessary". This application (explorer.exe) is part of Windows operating systems. It displays a hierarchical view of the drives, folders, and files on your computer.

Windows Media Player is "Optional". This application (wmplayer.exe) is a safe program that allows you to play audio files, but it does not perform a core function that is fundamental to the computer's operation.

Configure Automatic System Defense

Alert/Prompt Window

Overview of Configure Automatic System Defense window

When enabled, alert windows display for Startup Guard and Browser Guard.

An alert is generated when a program or function attempts to make a change. The alert prompts you for a decision on whether or not to allow the change.

Block or Allow Change

The alert window offers the following functions:

  • Allow once. Allow this change once; you will be prompted for later attempts from this source.

  • Allow always. Always allow this change; you will not be prompted for later attempts from this source.

  • Block once. Block this change once; you will be prompted for later attempts from this source.

  • Block always. Always block this change; you will not be prompted for later attempts from this source.

View Details

Click Show details to read information about the program or source that is attempting the change. The following displays for each alert type:

Startup Guard Alert

  • Startup Program. The program attempting to add itself to Startup.

  • IntelliDefense Category. The IntelliDefense category of the program attempting to add itself to Startup. Categories are: System, Necessary, Optional, Dangerous, and Unknown. More on IntelliDefense.

  • Program Making Change. The location and program on your computer that is involved in the attempted change.

Browser Guard Alert

  • New Home Page. The address of the Web site attempting to change the Home or Search page.

  • Program Making Change. The location and program on your computer that is involved in the attempted change.

Related tasks:

  • System Guard will automatically respond with a default action if you do not respond within a certain period of time. To control the default action and the amount of time alerts display, see the "Automatic Timeout Response" section on the Configure System Guard tab.


System Guard - System Tray Icon

Configure Automatic System Defense

System Guard Icon

Overview of Configure Automatic System Defense window

To display the System Guard icon in your system tray, select the Show System Guard icon in the system tray from the Configure System Guard tab.

This icon allows you to control alerts for Startup Guard and Browser Guard, and disable all System Guard protection.

Upon installation, System Guard alerting is enabled and the System Guard icon [image] sits in your system tray. The icon:

  • Offers menu options, so that you can easily turn alerts on or off.

  • Changes appearance to indicate the state of the alerting functionality.

System Guard Icon Menu Options

When you click on the System Guard icon, it opens a menu with the following options:

  • Disable Alerts. Turns off alerts for Startup Guard and Browser Guard. You will no longer see prompts, but any programs or functions you designated to be blocked or allowed will still be blocked or allowed.

  • Enable Alerts. Turns on alerts for Startup Guard and Browser Guard. You will see prompts for any programs or functions not explicitly blocked or allowed.

  • Close System Guard Alerter. Disables all System Guard protection. Any programs or functions you designated to be blocked will NOT be blocked.

Once closed, the icon will no longer display in your system tray. To re-enable the protection, open the Configure Automatic System Defense window and click Start System Guard.

States of System Guard Alerting

Enabled: When System Guard alerting is enabled.

In Progress: When System Guard is blocking a program or function (flashes red and then returns to the enabled display).

Disabled: When System Guard is disabled.


Configure Internet Firewall

*For System Mechanic Professional users only

To access:

From the Individual Tools pane, click Enhance Protection and then click Start next to Configure Internet Firewall.

What it does:

System Mechanic Professional users have integrated access to the built-in firewall, iolo Personal Firewall.

Why use it:

With integrated access to iolo Personal Firewall, you can easily view and configure detailed access settings, monitor firewall and Internet activity, and update software.

Instructions:

Click Configure Internet Firewall to open the iolo Personal Firewall program in a separate window.

Note: Help specific to the firewall is provided in the program. Click Help from the menu bar on top of the iolo Personal Firewall Home page. To get help for a specific task, click the Help button on any of the screens or windows.

Related topics:

Overview of iolo product line


Configure Virus Protection

*For System Mechanic Professional users only

To access:

From the Individual Tools pane, click Enhance Protection and then click Start next to Configure Virus Protection.

What it does:

System Mechanic Professional users have integrated access to the built-in antivirus software, iolo AntiVirus.

Why use it:

With integrated access to iolo AntiVirus, you can easily view and configure antivirus settings, run and schedule virus scans, monitor antivirus activity, and download the latest virus definitions.

Instructions:

Click Configure Virus Protection to open the iolo AntiVirus program in a separate window.

Note: Help specific to the antivirus is provided in the program. Click Help from the menu bar on top of the iolo AntiVirus Home page. To get help for a specific task, click the Help button on any of the screens or windows.

Related topics:

Overview of iolo product line


Free Up Drive Space

Free Up Drive Space tools

To access:

From the Individual Tools pane, click Free Up Drive Space.

What they do:

The Free Up Drive Space tools clean out PC clutter to free up drive space and other system resources.

Why use them:

Every time you work on your computer or browse the Internet, files you do not need are saved to your hard drive. More unneeded buildup occurs from deleted files accumulating in the Recycle Bin. All this debris clutters your computer and overtaxes its resources.

Use the Free Up Drive Space tools to reclaim valuable hard drive space and increase the efficiency of your computer.

Tools:

  • Remove Junk Files. Purge temporary files and other debris to increase drive capacity and reduce system crashes.

  • Remove Internet Debris. Increase drive capacity and protect privacy by removing temporary Internet files, cookies, history files, and more.

Related tasks:

The PC Cleanup Power Tool combines all the essential cleanup tools into one wizard.

Related topics:

Power Tools

Individual Tools


Remove Junk Files - Overview

Remove Junk Files

To access:

From the Individual Tools pane, click Free Up Drive Space and then click Start next to Remove Junk Files.

What it does:

The Remove Junk Files wizard erases temporary and other unneeded files. This cleanup increases drive capacity.

Why use it:

With regular usage, a profusion temporary files are saved to your drive. While most are properly disposed of, sometimes file remnants are not removed due to sudden shutdowns or application-related errors.

Over time, these junk and obsolete files can accumulate and unnecessarily consume drive space. The Remove Junk Files tool thoroughly erases these unneeded files.

Instructions:

The wizard has several screens to guide you through the process. Click a screen name below for more information:

  • Operation Mode

If you select one of the Automatic modes, the following screens display:

  • Find Junk

  • Removal

If you select the Advanced/Custom mode, the following screens display:

  • Criteria

  • Location

  • Exclusions

  • Options

  • Find Junk

  • Removal

Related topics:

Navigating within Wizards


Remove Junk Files - Mode

Remove Junk Files

Operation Mode

Overview of Remove Junk Files wizard

On the first screen of the Remove Junk Files wizard, select a mode.

With the automatic modes, System Mechanic automatically removes junk files. For the advanced custom mode, you specify what areas should be searched, and then you decide which ones you want to remove.

Automatic

With the automatic modes, System Mechanic automatically remove junk files. The two options differ in what drives are searched.

  • Quick Clean. Scans Windows temporary folders and removes the junk files.

  • Deep Clean. Scans all drives and folders and removes the junk files.

To have System Mechanic provide an estimate of how much drive space can be freed by a cleanup, click Analyze. When the analysis is completed, the estimated amount replaces the Analyze link.

Click Options to open the Automatic Cleanup Options window. This window allows you to set up an preemptive analysis and designate how removed files should be handled.

If you select one of the automatic modes, click Next to run the search.

Advanced

For the Custom Cleanup mode, you designate what areas to search. The junk files that System Mechanic detects will be displayed, and then you decide which ones you want to remove. You can also further define what you consider to be "junk" files in this mode.

If you select the custom mode, click Next to designate the criteria.


Remove Junk Files - Quick Defined

Quick Clean

The Quick Clean mode scans Windows temporary folders and removes the junk files.


Remove Junk Files - Deep Defined

Deep Clean

The Deep Clean mode scans all drives and folders and removes the junk files.


Remove Junk Files - Custom Defined

Custom Cleanup

With the Custom Cleanup mode, the junk files that System Mechanic detects will be displayed, and then you decide which ones you want to remove.


Remove Junk Files - Automatic Options Window

Remove Junk Files

Automatic Cleanup Options Window

Overview of Remove Junk Files wizard

The Automatic Cleanup Options window allows you to set options for the Quick Clean or Deep Clean mode.

The fields on the window are described below.

Removal

Select how you want to handle removed files.

  • Delete. Delete the files. (It will not be in the Recycle Bin.)

  • Move to Recycle Bin. Send the files to the Windows Recycle Bin.

  • Move to Incinerator. Send the files to the Desktop File Incinerator.

  • Incinerate Immediately. Permanently delete the files using the Desktop File Incinerator (it cannot be recovered).

Preemptive Analysis

Select the Automatically estimate space to be freed using quick/deep cleanup check box to have System Mechanic automatically examine the applicable files and display an estimate of how much drive space can be freed by a cleanup.

Note: If you clear the check box, you can always run an analysis on-demand, by clicking Analyze from the Operation Mode screen.

By default, the check box is cleared.


Remove Junk Files - Custom Criteria

Remove Junk Files

Custom - Criteria

Overview of Remove Junk Files wizard

On the Criteria screen, select the general type of locations you want to be searched and designate patterns to look for in file names.

Note: You can designate drives and folders more specifically on the following Location and Exclusions screens.

Standard Locations

  • Find files in Windows Temporary Folder(s). Windows systems have one or more folders where temporary files are stored. These are generally safe to remove.

  • Find zero-length files. Zero-length files are created when an application creates a new document or other file and places no data in it. It can also happen when you create a new file and the system crashed or was shut down before your work was saved. As these files do not have data, they are generally safe to remove.

  • Find files in Windows Pre-fetch Cache Folder. Prefetch files are used by the Windows operating system (XP and later) to start programs faster. The operating system loads the programs it "thinks" you need before you ask for them yourself. These are generally safe to remove, but you may find them beneficial in decreasing the time needed to start programs.

Junk File Patterns

You can add the file names and file patterns (file names with wildcards) that are considered unneeded and will be cleaned. Once added to the list, ensure that the check box is selected for every file pattern you want to include.

Note: System Mechanic includes a list of default file patterns. You can edit or delete these as desired.

  • To add a pattern to the list, click New. Type in the desired file pattern and description. See the New/Edit File Pattern window topic for details.

  • To edit a pattern on the list, select it and click Edit. Edit the file pattern or description. See the New/Edit File Pattern window topic for details.

  • To remove a pattern from cleaning, clear the check box. The file pattern will still remain on the list, but will not be cleaned.

  • To remove a pattern from the list, select it and click Delete.

  • To return to the default list of file patterns, click Default.

After making selections, click Next to designate specific locations.


File Pattern Window

If you enter: N?TE.txt

The search returns:

NOTE.txt

NATE.txt

If you enter: S*P.*

The search returns:

STOP.doc

STOP.htm

STOP.txt

If you enter: STOP;NOTE

The search returns:

STOP.doc

STOP.htm

STOP.txt

NOTE.txt

New/Edit File Pattern Window

Enter the file pattern and a description.

File Pattern

Type in the file name or pattern, or browse to a file name by clicking the folder icon. You can use the following standard wildcard characters:

?

*

;

  • Question mark (?): Use a question mark to replace a single unknown character. Click for an example:

  • Asterisk (*): Use an asterisk to replace one or more unknown characters. Click for an example:

  • Semi-colon (;): Use a semi-colon to separate multiple terms in the search string. When you add two strings separated by a semi-colon, the search will find deleted files that match either of the strings. Click for an example:

Description

Enter a description for the pattern. This text will display on the wizard screen to help you identify the pattern.


Remove Junk Files - Custom Location

- Click Browse, navigate to the desired folder and click OK.

Remove Junk Files

Custom - Location

Overview of Remove Junk Files wizard

On the Location screen, select the specific drives and folders that you want to be cleaned.

Drives

The Drives pane displays all of the detected drives. Select the check box next to each drive you want to clean.

Folders

You can add the folders that are considered unneeded and will be cleaned. Once added to the list, ensure that the check box is selected for every folder you want to include.

  • To add a folder to the list, click New. Type in or browse to the desired folder location. See the New/Edit Folder Location window topic for details.

  • To edit a folder on the list, select it and click Edit. Edit the folder location. See the New/Edit Folder Location window topic for details.

  • To include a folder's subfolders, select the Include Subfolders check box. Clear the check to not include subfolders.

  • To remove a folder from cleaning, clear the check box. The folder will still remain on the list, but will not be cleaned.

  • To remove a folder from the list, select it and click Delete.

After making selections, click Next to designate exclusions.


Folder Location Window

- Click Browse, navigate to the desired folder and click OK.

New/Edit Folder Location Window

Type in or browse to the desired folder location.

Select the Include subfolders check box to include the subfolders of the entered folder.


Remove Junk Files - Custom Exclusions

- Click Browse, navigate to the desired folder and click OK.

Remove Junk Files

Custom - Exclusions

Overview of Remove Junk Files wizard

On the Exclusions screen, select the file patterns and folders that you specifically want to be excluded from the cleaning.

Excluded File Patterns

You can exclude the file names and file patterns (file names with wild cards) that you do not want to be cleaned out. Once added to the list, ensure that the check box is selected for every file name/pattern you want to exclude.

  • To add a pattern to the list, click New. Type in the desired pattern and description. See the New/Edit File Pattern window topic for details.

  • To edit a pattern on the list, select it and click Edit. Edit the pattern or description. See the New/Edit File Pattern window topic for details.

  • To remove a pattern from exclusion, clear the check box. The file pattern will still remain on the list, but will not be excluded from cleaning.

  • To remove a pattern from the list, select it and click Delete.

Excluded Folders

You can add the folders that you do not want to be cleaned out. Once added to the list, ensure that the check box is selected for every folder you want to exclude.

  • To add a folder to the list, click New. Type in or browse to the desired folder location. See the New/Edit Folder Location window topic for details.

  • To edit a folder on the list, select it and click Edit. Edit the folder location. See the New/Edit Folder Location window topic for details.

  • To exclude a folder's subfolders, select the Include Subfolders check box. Clear the check box to not include subfolders in the exclusion.

  • To remove a folder from exclusion, clear the check box. The folder will still remain on the list, but will not be excluded from cleaning.

  • To remove a folder from the list, select it and click Delete.

After making selections, click Next to designate other options.


Remove Junk Files - Custom Options

Remove Junk Files

Custom - Options

Overview of Remove Junk Files wizard

On the Options screen, you designate other general options

  • Ignore files that have been used within the last [X] days. Select this option to skip files that were accessed recently. You can enter from 1 to 30 days.

  • Ignore read-only and system files. Windows and other applications sometimes mark files with read-only or system attributes. These attributes usually designate an important and necessary file that should not be removed.

The check box is selected as a default.

  • Ignore files currently being used by an associated application. Removing a file currently used by an application can cause unexpected or hazardous results. Although System Mechanic automatically prevents removing in-use files, if an item name matches the configured search criteria, this option prevents them from being listed when a scan is performed.

The check box is selected as a default.

After making selections, click Next to run the search.


Remove Junk Files - Find Junk

Remove Junk Files

Find Junk

Overview of Remove Junk Files wizard

On the Find Junk screen, the wizard processes the search for junk files, based on the mode and any selections you made.

There is no action for you to take on this screen (unless you wish to cancel).

When the search is complete, the Removal screen will automatically display.


Remove Junk Files - Removal

On the last screen, the wizard removes the selected debris and junk files. (If you want to cancel the process, click Cancel.)

When the process is completed or cancelled, the results display:

  • Items Removed. The number of junk files removed.

  • Space Freed. The amount of drive space freed by running the cleanup.

With the Custom mode, the junk files detected will display. You decide which ones you want to remove.

View information

Results are grouped by file location. Click on the plus sign to expand a group and view its applicable junk files. To expand all groups, from the Tools menu, click Expand all. (Click Collapse all to close all the groups.)

Totals display across the bottom of the screen. As you select or clear items to delete, you can see how much drive space can be freed.

The following Tools menu options allow you to view and access information related to each item.

  • Open containing folder. Opens a Windows Explorer window, showing the folder that contains the file.

  • Properties. Opens a standard Properties window that shows file's properties.

Sort Results

You can sort results by various attributes: Name, size, type, location, and the dates created, modified, and accessed.

Click Sort by and choose the desired menu option.

Make selections

You can designate the items you want to work with in one of several ways:

  • Click on the one or more rows to select them. You can select multiple files or folders as you normally would in Windows, using the CTRL and SHIFT keys.

  • Select the one or more check boxes [image] next to each item.

Remove

To delete a single selection, right-click and then click Remove.

To delete an entire group, click Remove Group.

To delete items you have selected or checked, click one of the below Remove menu options:

  • Remove selected. Remove all selected items.

  • Remove checked. Remove all checked [image] items.

  • Remove all. Remove all items.

  • Removal method. From the Remove menu, click Removal method and then select one of the options:

  • Delete. Delete the files. (It will not be in the Recycle Bin.)

  • Move to Recycle Bin. Send the files to the Windows Recycle Bin.

  • Move to Incinerator. Send the files to the Desktop File Incinerator.

  • Incinerate Immediately. Permanently delete the files using the Desktop File Incinerator (it cannot be recovered).

Note: You can right-click on a row for quick access to selected Remove and Tools menu options. Click to view a list of the right-click menu options:

Exclude items from future searches

If a file or folder that you would like to keep has been detected as junk file, you can exclude it from later runs of the wizard.

  • To exclude file results from later searches, select or check the one or more files and from the Tools menu, click Exclude filename from future searches.

  • To exclude folder results from later searches, select or check the one or more folder and from the Tools menu, click Exclude folder from future searches.

  • Remove. Removes the current row.

  • Open containing folder. Opens a Windows Explorer window, showing the folder that contains the file.

  • Properties. Opens a standard Properties window that shows file's properties.

  • Exclude filename from future searches. Excludes file results from later searches.

  • Exclude folder from future searches. Excludes folder results from later searches.

  • Expand all. Expands all groups.

  • Collapse all. Collapses all groups.

Remove Junk Files

Removal

Overview of Remove Junk Files wizard

The display on the last screen depends on which mode you selected. Click a mode below for instruction.

Automatic modes - Quick Clean or Deep Clean

Advanced mode - Custom

Once you have reviewed the results, Automatic mode users can click New search to return to the first screen of the wizard.

Users in any mode can:

  • Click Exit on the bottom of the screen to return to the Home page; or

  • Click the Close icon (X) at the top of the screen to close System Mechanic.


Internet Cleanup and Privacy - Overview

Internet Cleanup and Privacy

To access:

From the Individual Tools pane, click Free Up Drive Space and then click Start next to Remove Internet Debris.

- OR-

From the Individual Tools pane, click Ensure Personal Privacy and then click Start next to Clear Internet Browsing Tracks.

What it does:

The Internet Cleanup and Privacy wizard removes temporary Internet files, cookies, and history files. When in Custom mode, you can specify which cookies you want to delete and which ones you want to keep.

Why use it:

Every time you browse the Web, temporary and other unneeded files are saved to your hard drive. Simply deleting files from your browser cache and temporary directories does not completely erase these tracks.

Use the Internet Cleanup and Privacy tool to securely and thoroughly clean out this debris, increase the drive capacity and protect your Web privacy.

Instructions:

The wizard has several screens to guide you through the process. Click a screen name below for more information:

  • Operation Mode

If you select one of the Automatic modes, the following screen displays:

  • Search and Removal

If you select the Advanced/Custom mode, the following screens display:

  • Options

  • Search and Removal

Related topics:

Cookie Protector

Remove Junk Files

Navigating within Wizards


Internet Cleanup and Privacy - Mode

Internet Cleanup and Privacy

Operation Mode

Overview of Internet Cleanup and Privacy wizard

On the first screen of the Internet Cleanup and Privacy wizard, select a mode.

With the automatic modes, System Mechanic will remove a certain set of temporary files. For the advanced custom mode, you specify the types of files you want to be removed.

Note: If you want to control which cookies are deleted and which cookies are saved, use the Custom Cleanup mode.

Automatic

With the automatic modes, System Mechanic automatically remove a certain set of files. The two options differ in what.

  • Quick Clean. Removes a variety of temporary files, but not Internet cache files. Click here to view a full list.

  • Deep Clean. Removes a variety of temporary files, including Internet cache files. Click here to view a full list.

To have System Mechanic provide an estimate of how much drive space can be freed by a cleanup, click Analyze. When the analysis is completed, the estimated amount replaces the Analyze link.

Click Options to open the Automatic Cleanup Options window. This window allows you to set up an preemptive analysis and designate how removed files should be handled.

If you select one of the automatic modes, click Next to run the cleanup.

Advanced

For the Custom Cleanup mode, you define what types of files you want to be removed and designate how removed files should be handled.

If you select the custom mode, click Next to designate the options.


Quick Mode Defined

Quick Clean

The Quick Clean mode finds and removes a variety of temporary files, but not Internet cache files.

The following type of files are erased:

Internet Privacy

  • Internet cookies.

  • The list of Web site URLs you have typed in your browser.

  • The list of recently typed AOL keywords stored on your hard drive.

  • The list of keywords recently typed in your Google toolbar.

Windows Privacy

  • The list of recently accessed documents.

  • The list of programs recently run from the Run command.

  • The list of file search results in Windows Explorer.

  • The list of computer search results in Windows Explorer.

Application Privacy

  • The list of recently accessed Office documents.

  • The Outlook Express email messages in the "Deleted items" folder.

  • The list of media files recently played in Media Player.

  • The audio files recently played in Real Audio.

  • The list of files that WinZip recently opened or created.


Deep Mode Defined

Deep Clean

The Deep Clean mode finds and removes a variety of temporary files, including Internet cache files.

The following type of files are erased:

Internet Privacy

  • Internet cookies.

  • The history of Web pages you have visited.

  • The list of Web site URLs you have typed in your browser.

  • The list of recently typed AOL keywords stored on your hard drive.

  • The list of keywords recently typed in your Google toolbar.

Windows Privacy

  • The list of recently accessed documents.

  • The list of programs recently run from the Run command.

  • The list of file search results in Windows Explorer.

  • The list of computer search results in Windows Explorer.

Application Privacy

  • The list of recently accessed Office documents.

  • The Outlook Express email messages in the "Deleted items" folder.

  • The list of media files recently played in Media Player.

  • The audio files recently played in Real Audio.

  • The list of files that WinZip recently opened or created.


Custom Mode Defined

Custom Cleanup

The Custom Cleanup mode allows you to designate detailed settings for what types of files you want to be removed in the following areas.

  • Internet Cleanup

  • Internet Privacy

  • Windows Privacy

  • Application Privacy

This mode also allows you to designate how removed files should be handled.

Refer to the Options topic for details.


Internet Cleanup and Privacy - Automatic Options Window

Internet Cleanup and Privacy

Automatic Cleanup Options Window

Overview of Internet Cleanup and Privacy wizard

The Automatic Cleanup Options window allows you to set options for the Quick Clean or Deep Clean mode.

The fields on the window are described below.

Removal

Select how you want to handle removed files.

  • Delete. Delete the files. (It will not be in the Recycle Bin.)

  • Move to Recycle Bin. Send the files to the Windows Recycle Bin.

  • Move to Incinerator. Send the files to the Desktop File Incinerator.

  • Incinerate Immediately. Permanently delete the files using the Desktop File Incinerator (it cannot be recovered).

Preemptive Analysis

Select the Automatically estimate space to be freed using quick/deep cleanup check box to have System Mechanic automatically examine the applicable files and display an estimate of how much drive space can be freed by a cleanup.

Note: If you clear the check box, you can always run an analysis on-demand, by clicking Analyze from the Operation Mode screen.

By default, the check box is cleared.


Internet Cleanup and Privacy - Custom Options

Internet Cleanup and Privacy

Custom - Options

Overview of Internet Cleanup and Privacy wizard

For the custom mode, the Options screen allows you to define what types of files you want to be removed and designate how removed files should be handled.

Select a category on the left to displays its configurable options on the right. Select the check box to remove/erase the files described. The last category, Removal, allows you to designate how you want removed files to be handled.

The categories and options are as follows:

Internet Cleanup

  • Erase Internet cache files from various browsers. Remove tracks of Web activity.

  • Erase Internet cache files when browser is closed (Internet Explorer Only). Remove tracks of Web activity when your Internet Explorer browser is closed.

Internet Privacy

  • Erase Internet Cookies. Remove Internet cookies. If you want to save some cookies, click Manage Cookies to open the Cookie Protector window.

  • Erase history of visited Web pages. Erase the history of Web pages you have visited.

  • Erase recently typed address list. Erase the list of Web site URLs you have typed. in your browser.

  • Erase recently typed keywords in AOL browser. Erase the list of recently typed AOL keywords stored on your hard drive.

  • Erase list of recently typed URLs in Google toolbar. Erase the list of keywords recently typed in your Google toolbar.

  • Internet Explorer only: Automatically erase history older than [X] days. Specify the number of days that Internet Explorer should keep track of the Web pages you have viewed.

Windows Privacy

  • Erase recently opened documents history. Erase the list of recently accessed documents.

  • Erase recently run history. Erase the list of programs recently run from the Run command.

  • Erase recently searched computers history. Erase the list of file search results in Windows Explorer.

  • Erase recently found history files. Erase the list of computer search results in Windows Explorer.

Application Privacy

  • Microsoft Office: Remove list of recently opened documents. Delete the list of recently accessed Office documents.

  • Outlook Express: Remove container of deleted e-mails. Permanently delete email messages from the Outlook Express "Deleted items" folder.

  • Media Player: Remove list of recently played media. Delete the list of media files recently played in Media Player.

  • Real Audio: Remove list of recently played audio clips. Delete the list of the audio files recently played in Real Audio.

  • Winzip: Remove list of archives opened recently. Delete the list of files that WinZip recently opened or created.

Removal

Select how you want to handle removed files.

  • Delete. Delete the files. (It will not be in the Recycle Bin.)

  • Move to Recycle Bin. Send the files to the Windows Recycle Bin.

  • Move to Incinerator. Send the files to the Desktop File Incinerator.

  • Incinerate Immediately. Permanently delete the files using the Desktop File Incinerator (it cannot be recovered).


Internet Cleanup and Privacy

Cookie Protector

Overview of Internet Cleanup and Privacy wizard

To access:

From the Options screen (available in Custom mode), click Manage Cookies to open the Cookie Protector window.

What it is:

The Cookie Protector allows you to delete the cookies that you do not need, but protect the ones that you find beneficial and want to keep.

Why use it:

Cookies are useful for loading Web site preferences and logins, but they also contain information that can be passed to others without your knowledge. The Cookie Protector gives you control over which cookies are deleted and which cookies are saved.

Instructions:

View information about cookies

The Cookie Protector window displays the Web sites that have saved cookies to your drive, and lists each individual cookie for the site.

  • The Responsible Website pane lists each Web site and the number of associated cookies. To see the cookies for each site, click the plus (+) sign next to a site name to expand the selection.

  • The Details pane provides additional information for a selection.

  • With a Web site selected, you can view details about the site and click the link to open the site in your Web browser.

  • With a cookie name selected, you can view details about the cookie.

To search for specific cookie values, click Search and then select either Search Cookie data values or Web site and cookie names.

To refresh the display, click Refresh.

Protect cookies

Protect the cookies that you want to save. By default, no Web site or cookies are protected when you first open the window. You can protect a Web site or protect individual cookies. Either:

  • Highlight an item and click Protect; or

  • Select the check box for an item. A selected item is automatically protected.

A lock symbol [image] appears next to an item to indicate that it is protected.

Un-protect cookies

Un-protect cookies that you had designated for protection, but now want to be deleted. Either:

  • Highlight an item and click Un-Protect; or

  • Clear the check box for an item. A cleared item is no longer protected.

The lock symbol no longer appears next to an item.

Close

Click the Close icon (X) at the top of the screen to close the window and return to the Options screen.


Internet Debris Option Defined

Internet debris

To speed loading Web pages, your browser saves parts of Web pages on your hard drive for the next time you access the site. These files accumulate and occupy space on your system, and can reveal a trail of where you have been on the Internet.

Select this option to remove these files.


Erase cache when closed Option Defined

Internet Explorer Only - Erase cache when closed

To speed loading Web pages, your browser saves parts of Web pages on your hard drive for the next time you access the site. These files accumulate and occupy space on your system, and can reveal a trail of where you have been on the Internet.

Select this option to remove these files when Internet Explorer is closed.


Cookies Option Defined

Erase Internet cookies

A cookie is a small text file that some Web sites save to your drive while you are browsing the site. Cookies contain identifying information, such as log in and shopping cart information.

Cookies are useful for loading Web site preferences and login settings, but they can also contain information that can be passed to others without your knowledge, usually for advertising purposes.

Select this option to erase Internet cookies.

If you want to save some cookies, click Manage Cookies to open the Cookie Protector window.


History of Visited Pages Option Defined

Erase history of visited pages

Every time you visit a Web site, whether you type the site address or click a link that takes you to another Web site, your Web browser stores the site name and location locally on your hard drive. This reveals every site you visited, even those that were opened unintentionally.

Select this option to eliminate the trail left behind when you surf the Web.


Typed Address Option Defined

Erase recently typed address list

When you type an URL into your Internet browser, the information is stored so that if you type the same address in the future, the browser automatically completes the rest of the address and displays the URL from the drop-down box. While this feature can be helpful, it does reveals which Web sites you recently visited.

Select this option to eliminate the list of URL addresses you have typed.


Typed AOL Option Defined

Erase recently typed keywords in AOL browser

When you type a keyword in your America Online (AOL) browser, that information is stored.

Select this option to remove the list of recently typed AOL keywords stored on your hard drive.


Typed Google Option Defined

Erase list of recently typed URLs in Google toolbar

When you type a keyword in the Google toolbar, that information is stored.

Select this option to erase the list of recently typed keywords stored on your hard drive.


Internet Explorer History Option Defined

Automatically erase history older than [X] days

Specify the number of days that Internet Explorer should keep track of the Web pages you have viewed.

If you select 0 days, Internet Explorer will erase all cache information more than 24 hours old every time it is closed.


Recently opened documents history Option Defined

Erase recently opened documents history

When you open a document, it is stored in a Most Recently Used or My Recent Documents list. The list can be useful to quickly access frequently used documents and files, but it also exposes information about what you do.

Select this option to delete the list of recently accessed documents.


Recently run history Option Defined

Erase recently run history

When you use the Run command from the Windows Start Menu, a list of recently run programs is stored in the drop-down menu.

Select this option to erase the list of recently run commands.


Recently searched computers history Option Defined

Erase recently searched computers history

When you run a search for computers in Windows Explorer, a list of the found items is stored in Windows.

Select this option to erase the list of search results.


Recently found files history Option Defined

Erase recently found files history

When you run a search for files in Windows Explorer, a list of the found items is stored in Windows.

Select this option to erase the list of search results.


Office Option Defined

Remove list of recently opened documents

When you open an Office document, it is stored in a Most Recently Used or My Recent Documents list. The list can be useful to quickly access frequently used documents and files, but it also exposes information about what you do in Office.

Select this option to delete the list of recently accessed Office documents.


Outlook Express Option Defined

Remove container of deleted emails

When you delete an email message in Microsoft Outlook Express, the message is sent to a "Deleted items" folder, and remains there until it is actually permanently deleted.

Select this option to delete email messages from this folder.


Media Player Option Defined

Remove list of recently played media

The Windows Media Player stores information about the last several media files that you played.

Select this option to delete the history of played media files.


Real Player Option Defined

Remove list of recently played audio clips

Real Audio stores information and lists about the last several files it has played.

Select this option to delete this history of played audio clips.


WinZip Option Defined

Remove list of archives opened recently

WinZip stores information and lists about the last several files it opened or created.

Select this option to delete the history of files.


Internet Cleanup and Privacy - Search and Removal

Internet Privacy

  • Internet cookies.

  • The history of Web pages you have visited.

  • The list of Web site URLs you have typed in your browser.

  • The list of recently typed AOL keywords stored on your hard drive.

  • The list of keywords recently typed in your Google toolbar.

Windows Privacy

  • The list of recently accessed documents.

  • The list of programs recently run from the Run command.

  • The list of file search results in Windows Explorer.

  • The list of computer search results in Windows Explorer.

Application Privacy

  • The list of recently accessed Office documents.

  • The Outlook Express email messages in the "Deleted items" folder.

  • The list of media files recently played in Media Player.

  • The audio files recently played in Real Audio.

  • The list of files that WinZip recently opened or created.

Internet Cleanup and Privacy

Search and Removal

Overview of Internet Cleanup and Privacy wizard

On the last screen, the wizard searches and removes the selected debris and junk files. (If you want to cancel the process, click Cancel.)

When the process is completed or cancelled, the cleanup results display:

  • Internet Debris Items. The number of Internet cache files removed.

  • Privacy Violations. The number of privacy-related items removed. (Click here to see a list of what the wizard considers privacy-related.)

  • Space Freed. The amount of drive space freed by running the cleanup.

Note: If you need to restart your computer for the changes to take effect, an on-screen message will inform you of that. You can restart now (click Restart Now) or later.

After reviewing the results, you can:

  • Click Perform another cleanup to return to the first screen of the wizard.

  • Click Exit on the bottom of the screen to return to the Home page; or

  • Click the Close icon (X) at the top of the screen to close System Mechanic.


Repair Problems

Repair Problems tools

To access:

From the Individual Tools pane, click Repair Problems.

What they do:

The Repair Problems tools repair PC problems and reduce computer crashes and failures.

Why use them:

Over time and with regular usage, a computer can slowly degrade and become unstable, with frequent crashes, perplexing error messages, and a host of other unexpected nuisances.

Using the Repair Problems tools to detect and fix errors and corrupted settings will improve overall PC stability, efficiency, and performance.

Tools:

  • Remove Spyware. Remove spyware, adware, and other invasive programs that can cripple your system.

  • Repair Registry Problems. Remove invalid and obsolete data references to clean and streamline the registry.

  • Repair Broken Shortcuts. Fix or remove shortcuts that point to invalid locations.

  • Repair Hard Drive Problems. Find and fix problems on the hard disk.

  • Repair an Unbootable PC. Create a bootable CD to recover from disaster when the operating system cannot be started.

  • Troubleshoot System Problems. Access recommendations and tools to recover from disaster when a drive or the entire PC becomes unstable.

Related tasks:

The PC Repair Power Tool is one solution that fixes the most common causes of crashes and system failures.

Related topics:

Power Tools

Individual Tools


Remove Spyware - Overview

Remove Spyware

To access:

From the Individual Tools pane, click Repair Problems and then click Start next to Remove Spyware.

What it does:

The Remove Spyware wizard will search your computer for spyware. Any detected parasites can either be automatically removed by System Mechanic, or manually removed by you.

Why use it:

Spyware is tracking software that can waste system memory and lead to overall sluggish performance, cause conflicts with your valid software, and be used to deliver Trojans and viruses. Removing spyware protects your privacy and reclaims valuable memory.

Instructions:

The wizard has three screens to guide you through the process. Click a screen name below for more information:

  1. Select Repair Mode

  2. Select Options

  3. Search for Parasites

Related tasks:

To have System Mechanic automatically remove spyware when detected, enable Automatically repair spyware infections on the Automated Tasks pane.

Related topics:

Automated Tasks

Navigating within Wizards


Remove Spyware - Mode

Remove Spyware

Select Repair Mode

Overview of Remove Spyware wizard

On the first screen of the Remove Spyware wizard, select a repair mode.

  • Automatic. The items System Mechanic detects as spyware parasites will be automatically removed.

  • Manual. The items System Mechanic detects as spyware parasites will be displayed, and then you decide which items you want to remove.

When you have made your selection, click Next to configure options.


Remove Spyware - Options

Remove Spyware

Select Options

Overview of Remove Spyware wizard

Select the level at which System Mechanic should scan for spyware.

  • A standard search (no option selected) scans the most common spyware locations.

  • A deep searches scans all of the drives and registry data.

Parasite Ignore List

If you ignored any parasites during a previous run of the wizard, the Parasite Ignore List will display that information.

To clear the lists and no longer ignore the parasites, click Remove. Leave the list intact if you want to continue to disregard the listed parasites.

When you have made your selection, click Next to run the search for spyware.


Remove Spyware - Run

  • Backdoor. A type of remote-control software that enables a third party to covertly control system resources.

  • Browser Hijack Attempt. Any program or file associated with browser redirection to rogue or clandestine Internet locations.

  • Browser Plug-in. A software component that interacts with a Web browser to perform functions not otherwise included in the browser.

  • Bundler. An application that requires further, and often multiple, components be installed. Bundlers often install applications that users legitimately want, but may also include other harmful software that users may not be aware of.

  • Downloader. A program designed to retrieve and install additional files.

  • Hijacker. System modification software deployed without adequate notice, consent, or user control. See glossary definition of hijacker for more information.

  • Keylogger. Tracking software that can record keyboard and mouse activity. See glossary definition of hijacker for more information.

  • Dialer. Any program that utilizes a computer's modem to make calls or access services.

  • Trickler. Automatic download software designed to install or reinstall software by slowly downloading in the background so that processing is less noticeable. See glossary definition of trickler for more information.

  • Remote Administration Tool. An application designed to allow remote access to or control of a system. See glossary definition of RAT for more information.

  • Trojan. A program that appears to do one thing, but actually does another. See glossary definition of Trojan for more information.

  • Spyware. Software that monitors user behavior, or gathers information about the user. See glossary definition of spyware for more information.

  • Tracking Cookie. A file used for tracking Internet browsing habits. See glossary definition of cookie for more information.

  • Adware. A type of advertising display software that deliver advertising content. See glossary definition of adware for more information.

  • Potentially Unwanted Program. A program that may have a legitimate use, but may also be associated with unwanted technologies.

  • Miscellaneous. A program displaying attributes of from more than one of the other spyware categories.

  • Infection Name. The name of the parasite.

  • Description. A short description of what the parasite does.

  • Threat Level. A color-coded indicator of the threat posed by the parasite.

  • Status. The status of the parasite on your computer.

  • Automatic: The status is "Successfully Disinfected".

However, if you ignored any parasites when previously running the wizard, the status for the ignored parasite is: "Your system is currently infected with this parasite, but will not be removed per your request".

  • Custom: The status will be one of three:

  • When first detected, the status is "Your system is currently infected with this parasite".

  • When ignored, the status is "Your system is currently infected with this parasite, but will not be removed per your request."

  • After disinfecting, the status is "Successfully Disinfected".

  • Components. Click Show details to view information on each component of the spyware, such as any installed files and registry entries the spyware changed.

To view additional Web resources for a selected parasite:

  1. Expand the group.

  2. Select the parasite you want more information about.

  3. Either:

  • Click the name of the parasite (on the Infection Name line). An iolo Web page with details specific to the parasite opens; OR

  • Use one of the Tools menu options:

  • To open the iolo Web page with parasite-specific details, click View more information about parasite [x] from the Tools menu.

  • To run a Web search using the spyware name, click Ask Google about parasite [x] from the Tools menu. The Web site for the Google search engine will open.

Remove Spyware

Search for Parasites

Overview of Remove Spyware wizard

The wizard searches the selected areas for spyware parasites. (If you want to cancel the search, click Cancel.)

Once the search is completed or cancelled, The display of the screen depends on what mode you selected:

  • Automatic Mode. The number of parasites removed displays. Click View disinfection details to view details; the information described below displays.

  • Manual Mode OR Repair this problem manually (from the Problem Task List). The information described below displays.

Working with grouped results

Detected parasites are grouped into categories based on their type, such as browser plug-ins or tracking cookies. Click here to view all categories and their descriptions:

Click the plus icon (+) to expand the group and see the parasites within the group; see Working with individual results below for more information.

For Custom mode only: Disinfect a group

To disinfect an entire group, click Disinfect Group. Parasites and their associated components will be removed or disabled.

Once a parasite is disinfected, its status changes to "Successfully Disinfected".

Note: To separate a specific parasite from the group (a group disinfection will not apply to members that are separated), refer to Ignore below.

Working with individual results

Click the plus icon (+) to expand a group. Each parasite in the group has a section with detailed information and links.

View details

For each detected parasite, the screen displays the parasite name and other details:

You can also open additional Web resources using the Tools menu or the Infection Name link. Click here for more information:

For Custom mode only: Disinfect selected items

To disinfect selected items:

  1. Expand the group.

  2. Either:

  • Click the Disinfect link next to the item (on the Status line); OR

  • Use the Disinfect menu option: Select the check box next to each item you want to disinfect and then from the Disinfect menu, click Selected (X items) [where X is the number of items you have selected].

Note: To select all of the parasites, click Select All from the Edit menu. All of the check boxes will be selected. ("Select None" clears all selections.)

  3. Click Yes on the confirmation window. A progress window will briefly display as System Mechanic removes or disables the parasites and their associated components.

Once a parasite is disinfected, its status changes to "Successfully Disinfected".

For Custom mode only: Ignore

You can "ignore" detected parasites that you do not consider to be a problem, so that System Mechanic does not flag them in the future. Ignoring a parasite will also separate a specific parasite from the group, if you want to disinfect all the other group members.

  1. With the group expanded, select the parasite you want to ignore.

  2. From the Tools menu, click Ignore parasite [x]. The item will still display but will not be considered a part of the group. If you disinfect the group, any ignored items will not be removed.

To add a parasite back to the group, from the Tools menu, click Regard parasite [x].

Close

When you are finished, if you used the Automatic mode, you can click Start a new search to return to the first screen of the Remove Spyware wizard.

Note: To thoroughly remove some parasites, you will need to restart your computer. A message will display if this is the case.

In either mode, you can exit in one of two ways:

  • Click Exit on the bottom of the screen to return to the Home page.

  • Click the Close icon (X) at the top of the screen to close System Mechanic.


Repair Registry Problems - Overview

Repair Registry Problems

To access:

From the Individual Tools pane, click Repair Problems and then click Start next to Repair Registry Problems.

What it does:

The Repair Registry Problems wizard removes invalid and obsolete data references from the registry.

Why use it:

The registry is vital to your computer's ability to run correctly and when it becomes corrupted, overall degraded performance occurs. It is recommended that specialized software be used to make registry changes, rather than making manual changes.

Instructions:

The wizard has several screens to guide you through the process. Click a screen name below for more information:

  • Operation Mode

If you select one of the Automatic modes, the following screen displays:

  • Optimize and Repair

If you select the Advanced/Custom mode, the following screens display:

  • Tests

  • Options

  • Optimize and Repair

Related tasks:

To have System Mechanic automatically repair registry problems when detected, enable Automatically repair registry problems on the Automated Tasks pane.

Related topics:

Automated Tasks

Navigating within Wizards


Repair Registry Problems - Mode

Repair Registry Problems

Operation Mode

Overview of Repair Registry Problems wizard

On the first screen of the Repair Registry Problems wizard, select a mode.

With the automatic modes, System Mechanic will automatically repair the items it can fix. For the advanced custom mode, you specify what tests to run and then repair the items you designate.

Automatic

With the automatic modes, System Mechanic automatically repairs detected registry problems. The two options differ in the tests that the wizard runs to detect flaws.

  • Quick Optimization and Repair. Uses the most common tests to detect problems.

  • Complete Optimization and Repair. Allows you to designate what tests to use to search for flaws. Click Customize to open the Configure Complete Optimization and Repair Actions window, which allows you to select which tests you want to run.

Click Options to open the Automatic Optimization and Repair Options window, which allows you to set general options.

If you select one of the automatic modes, click Next to run the search and repair.

Advanced

For the Custom Optimization and Repair mode, you define what tests to run. The items System Mechanic detects as errors are displayed, and then you designate which items you want to repair.

If you select the custom mode, click Next to designate the tests to run.


Quick Mode Defined

Quick Optimization and Repair

The Quick Optimization and Repair modes looks for invalid registry data in the following categories:

  • Uninstallers

  • Help files

  • Shared Dynamic Link libraries

  • Fonts

  • Sounds

  • Auto-run programs

  • Drivers

  • Services

  • Unused software keys

The Invalid Folder and Filename References and Unused Software Keys are not tested, as they are in the Complete Optimization and Repair mode.


Complete Mode Defined

Complete Optimization and Repair

The Complete Optimization and Repair mode looks for invalid registry data in the following categories:

  • Uninstallers

  • Help files

  • Shared Dynamic Link libraries

  • Fonts

  • Sounds

  • Auto-run programs

  • Drivers

  • Services

  • Unused software keys

  • Invalid folder and filename references

  • Unused software

The Invalid Folder and Filename References and Unused Software Keys are not tested.


Custom Mode Defined

Custom Optimization and Repair

The Custom Optimization and Repair mode allows you to select which tests to perform.

The items System Mechanic detects as registry errors will be displayed, and then you designate which items you want to repair.


Automatic Options Window

Repair Registry Problems

Automatic Optimization and Repair Options Window

Overview of Repair Registry Problems wizard

The Automatic Optimization and Repair Options window allows you to set options for the Quick Optimization and Repair or Complete Optimization and Repair modes.

The fields on the window are described below.

Repair and Undo

Select the Automatically repair all detected problems (recommended) check box to have detected problems automatically fixed. Clear the check box if you want to first review a list of detected problems, and then repair the problems you select.

Exclusions

If you select the Automatically exclude irreparable items from subsequent searches check box, any problems that cannot be repaired will not be flagged in later runs of the wizard.


Complete Options Window

Repair Registry Problems

Configure Complete Optimization and Repair Actions

Overview of Repair Registry Problems wizard

The Configure Complete Optimization and Repair Actions window allows you to set testing options for the Complete Optimization and Repair mode.

Select the check box next to each test you want to run. Refer to the on-screen descriptions for details about each test.

When you are finished, click OK to save your changes and return to the Operation Mode screen.


Repair Registry Problems - Custom Tests

Repair Registry Problems

Custom - Tests

Overview of Repair Registry Problems wizard

The Tests screen allows you to set testing options for the Custom Optimization and Repair mode.

Select the check box next to each test you want to run. Refer to the on-screen descriptions for details about each test.

When you are finished, click Next to select options.


Repair Registry Problems - Custom Options

Repair Registry Problems

Custom - Options

Overview of Repair Registry Problems wizard

For the Custom Optimization and Repair mode, the Options screen allows you to set various repair options.

Search and Repair

Select one of the following options:

  • Automatically repair all detected problems using safest fixes. Select this option to automatically fix any problems that can be fixed immediately.

  • Display all detected security problems and allow advanced individual repair. Select this option if you want to first review a list of detected problems, and then repair the problems you select.

With this option selected, you can also select the Automatically search for and display all available repair options (may take some more time) check box to display all of the available options for the repairs.

Exclusions

Exclude irreparable items:

If you select the Automatically exclude irreparable items from subsequent searches check box, any problems that cannot be repaired will not be flagged in later runs of the wizard.

Exclude the items you specify:

You can designate further registry entries to be excluded. To get started, click Add to open the Edit Exclusions window. Refer to the Edit Exclusions Window topic for more information.

Once you have added items, you can click Edit to open the Edit Exclusions window again and make changes, or you can click Remove to remove an item from the Exclusion list.

When you have finished setting options, click Next to run the search.


Edit Exclusions Window

The Edit Exclusions window allows you to add or edit the registry entries you want to exclude from error searches.

Note: Configuring both a key and a value at the same time means that only matching keys containing matching values will be excluded.

Registry Keys

  1. Select the Key name check box.

  2. Click Browse to open the Browse for Key to Exclude window. This window displays the contents of your registry, with a hierarchical display similar to the Windows Registry Editor, except key values do not display on the right side.

  3. Navigate to the key you want to exclude and click Exclude Selected Key. The window automatically closes and the selected entry displays in the Key name field.

  4. If you want to exclude all the subkeys and values for this key, select the Exclude this key, all subkeys and values check box.

  5. When you are finished making edits, either make any desired changes in Registry Values, or click OK to save your changes and close the window. You will return to the Options screen.

Registry Values

  1. Select the Value name check box.

  2. Click Browse to open the Browse for Value to Exclude window. This window displays the contents of your registry, with a hierarchical display similar to the Windows Registry Editor.

  3. Navigate to the value you want to exclude, select it from the right side of the window, and then click Exclude Selected Value. The window automatically closes and the selected entry displays in the Key name field.

  4. If you want to include values that partially match the text, select the Partial text match OK check box.

  5. When you are finished making edits on the screen, click OK to save your changes and close the window. You will return to the Options screen.


Edit Exclusions Window - Browse Key

Browse for Key to Exclude

The Browse for Key to Exclude window displays the contents of your registry, with a hierarchical display similar to the Windows Registry Editor, except key values do not display on the right side.

Navigate to the key you want to exclude and click Exclude Selected Key. The window automatically closes and the selected entry displays in the Key name field on the Edit Exclusions window.


Edit Exclusions Window - Browse Value

Browse for Value to Exclude

The Browse for Value to Exclude window displays the contents of your registry, with a hierarchical display similar to the Windows Registry Editor.

Navigate to the value you want to exclude, select it from the right side of the window, and then click Exclude Selected Value. The window automatically closes and the selected entry displays in the Key name field on the Edit Exclusions window.


Repair Registry Problems - CustomOptions - Auto Search Defined

Automatically search for and display all available repair options

System Mechanic will search for all available repair options, both the recommended repairs and alternate fixes. This process may be time-consuming.


Repair Registry Problems - Optimize and Repair

The screen displays all the tests that were run and shows the status for each.

  • Passed. No problems detected.

  • Failed. Problems detected. Depending on the options you selected, these items either could not be automatically repaired or are being displayed to you to make desired repairs on demand.

  • Repaired. Problem was repaired. This will display if you elected to have System Mechanic make automatic repairs.

  • Not tested. Test was not run based on selected options.

To filter results, you can clear or select one of the following options from the View menu: Passed, Failed, Repaired, and Untested. As a default, all items are selected. Click on a selection to clear it and filter it out of the display (the check mark will no longer display).

Repair

To repair any detected problems that were not repaired, click Fix All.

With these modes, the items System Mechanic detected as errors are displayed, and then you designate which items you want to repair.

View information

You can view information about the detected problems in one of two modes. From the Tools menu, select a mode:

  • Standard mode displays the registry location of the problem, a diagnosis, and a suggested repair. This the default selection and the recommended mode for most users.

  • Expert mode displays the registry location of the problem, a diagnosis, and a suggested repair, along with links that allow you to make changes in the Registry Editor. Use Expert mode and make changes only if you know what you are doing.

Make selections

You can designate the registry problems you want to work with in one of several ways:

  • Click on the one or more rows to select them. You can select multiple entries as you normally would in Windows, using the CTRL and SHIFT keys.

  • Select the one or more check boxes [image] next to each item.

  • Make one of the following selections from the right-click menu, or from the Tools menu:

  • Uncheck all. Clear all check boxes.

  • Check all. Selects all check boxes.

  • Invert checked. Where a check box [image] is selected, this option clears them; and where a check box is cleared, this option selects them.

  • Unselect all. Clears all rows from selection.

  • Select all. Selects all rows.

  • Invert selection. Where a row is selected , this option clears them; and where a row is not selected, this option selects them.

Repair

There are several ways to run repairs.

With the desired items selected or checked, you can click one of the below Repair menu options:

  • Fix checked item(s). Repairs all checked [image] problems. This option is also available from the right-click menu.

  • Fix selected item(s). Repairs all selected problems. This option is also available from the right-click menu.

  • Fix all items. Repairs all problems shown on the window.

You can repair an entire group by clicking the Repair Group link.

Expert users can make changes in the Registry Editor. For a selected entry, either click on a key name or click the Options link and then click Open item location in Regedit.

Only manually edit the registry if you know what you are doing; making inaccurate modifications can severely damage your computer.

Exclude Problems (Expert Mode Only)

In Expert mode, you can designate registry errors to be excluded from later runs of this wizard.

  1. Select the desired items.

  2. Either:

  • Right-click and select Exclude selected from future searches.

  • From the Tools menu, click Exclude selected from future searches.

  • The Edit Exclusions window opens. Click OK to save.

Find Additional Repair Options

To find additional repair options, from the Tools menu, click Search for all possible repair options.

A progress window will display as System Mechanic is searching for alternate repair suggestions. The screen will redisplay when the process is completed.

Repair Registry Problems

Optimize and Repair

Overview of Repair Registry Problems wizard

On the last screen, the search (or search and repair) is being run. You can cancel processing, if desired.

When the processing is completed or cancelled, the screen will display the final results. The display depends on which mode you selected; click a mode below for further instruction.

Quick Optimization and Repair OR Complete Optimization and Repair

Custom Optimization and Repair OR Repair items manually (from Problem Task List)

Close

When you are finished, you can do one of the following:

  • Click Exit on the bottom of the screen to return to the Home page.

  • Click the Close icon (X) at the top of the screen to close System Mechanic.


Repair Broken Shortcuts - Overview

Repair Broken Shortcuts

To access:

From the Individual Tools pane, click Repair Problems and then click Start next to Repair Broken Shortcuts.

What it does:

The Repair Broken Shortcuts wizard searches your computer for broken shortcuts. Where a previously linked file is still on your computer, you can automatically update the shortcut with the new location, or you can choose to remove obsolete shortcuts you no longer need.

Why use it:

Broken shortcuts are a common consequence of regular computer usage. They easily become broken when the target location is moved or deleted. In addition to being unusable, broken shortcuts clutter your PC and unnecessarily overburden Windows processing.

Instructions:

The wizard has several screens to guide you through the process. Click a screen name below for more information:

  1. Operation Mode

  2. Options (Custom mode only)

  3. Find Broken Shortcuts

  4. Repair and Remove

Related tasks:

To have System Mechanic automatically repair broken shortcut when detected, enable Automatically repair broken shortcuts on the Automated Tasks pane.

Related topics:

Automated Tasks

Navigating within Wizards


Repair Broken Shortcuts - Mode

Repair Broken Shortcuts

Operation Mode

Overview of Repair Broken Shortcuts wizard

On the first screen of the Repair Broken Shortcuts wizard, select a mode.

Automatic

With the automatic modes, System Mechanic will automatically repair or remove broken shortcuts.

  • Quick Clean and Repair. Searches the items in your Start menu and on your desktop for broken shortcuts. Any broken shortcuts detected will be automatically repaired or removed.

  • Complete Clean and Repair. Searches all areas on all hard drives for broken shortcuts. Any broken shortcuts detected will be automatically repaired or removed.

Click Options to open the Automatic Cleanup Options window. This window allows you to select whether you want to assign new targets to broken shortcuts, and designate how obsolete shortcuts should be handled.

If you select one of the Automatic modes, click Next to run the repair and removal.

Advanced

With the Custom Search and Repair mode, the broken shortcuts System Mechanic detects will be displayed, and then you decide which ones you want to repair or remove. You also have the option to:

  • Exclude shortcuts referring to locations on removable drives or media (recommended)

  • Automatically search for replacement targets for broken shortcuts.

If you select the Custom mode, click Next to designate options.


Quick Mode Defined

Quick Clean and Repair

The Quick Clean and Repair mode searches the items in your Start menu and on your Desktop for broken shortcuts.


Complete Mode Defined

Complete Clean and Repair

The Complete Clean and Repair searches all areas on all hard drives for broken shortcuts.


Custom Mode Defined

Custom Search and Repair

With the Custom Search and Repair mode, the broken shortcuts System Mechanic detects will be displayed, and then you decide which ones you want to repair or remove. You also have the option to:

  • Exclude shortcuts referring to locations on removable drives or media (recommended)

  • Automatically search for replacement targets for broken shortcuts.


Automatic Options Window

Repair Broken Shortcuts

Operation Mode > Automatic Cleanup Options Window

Overview of Repair Broken Shortcuts wizard

For the Automatic modes, the Automatic Options window allows you to:

  • Select whether you want to repair broken shortcuts – see Repair Mode.

  • Designate how obsolete shortcuts should be handled – see Removal.

Repair Mode

Select the Search for and assign new targets to broken shortcuts check box if you want the wizard to attempt to locate the new location and update the shortcut. Selecting this check box adds more time to the process.

Clear the check box if you want all broken shortcuts to be removed.

Removal

Select one of the options to designate how you want to handle broken shortcuts that cannot be repaired.

Note: If you have the above "Search for and assign new targets to broken shortcuts" check box cleared, all broken shortcuts will be handled in the way you select here.

  • Delete. Delete the shortcut. (It will not be in the Recycle Bin.)

  • Move to Recycle Bin. Send the shortcut to the Windows Recycle Bin.

  • Move to Incinerator. Send the shortcut to the Desktop File Incinerator.

  • Incinerate Immediately. Permanently delete the shortcut using the Desktop File Incinerator (it cannot be recovered).


Repair Broken Shortcuts - Custom Options

Repair Broken Shortcuts

Options (Custom Mode Only)

Overview of Repair Broken Shortcuts wizard

The Options screen allows you to set general options for the Custom Search and Repair mode.

  • Exclude shortcuts referring to locations on removable drives or media (recommended). Select this option to exclude shortcuts that point to locations on removable media. Selecting this option can reduce processing time.

  • Automatically search for replacement targets for broken shortcuts (may take some time). Select this check box if you want the wizard to attempt to locate the new location and update the shortcut. Selecting this option can increase processing time.

Click Next to run the search.


Repair Broken Shortcuts - Find

Repair Broken Shortcuts

Find Broken Shortcuts

Overview of Repair Broken Shortcuts wizard

The progress of the search for broken shortcuts displays. There is no action for you to take on this screen (unless you wish to cancel).

When the search is complete, the next and final screen will automatically open.

View Progress

A progress bar and a graphic presentation of the progress show the amount of the search (or search and removal) that is complete. The estimated time remaining also displays.

Cancel

To stop the process prior to its completion, click Cancel. The final Summary screen will open, displaying results up to the time of cancellation.


Repair Broken Shortcuts - Repair and Remove

With the Automatic modes, the final screen shows the progress of the removal and/or repair of broken shortcuts.

When complete, the screen shows the number of broken shortcuts found, removed, and repaired; and shows the amount of drive space freed.

With the Automatic modes, the wizard processes the removal and/or repair of broken shortcuts. When complete, the results display.

The screen shows the number of items found, removed, and repaired; and shows the amount of drive space freed.

With the Custom mode, the broken shortcuts detected will display. You decide which ones you want to repair or remove.

View information

In addition to viewing the file information on the window, the following Tools menu options allow you to view and access information related to each shortcut.

  • Open folder containing shortcut. Opens a Windows Explorer window, showing the folder that contains the shortcut.

  • Open folder containing original target. Opens a Windows Explorer window, showing the folder of the original target.

  • Open folder containing new target. This option is only available if there is a new target. Opens a Windows Explorer window, showing the folder of the new target.

  • Shortcut properties. Opens a standard Properties window that shows file properties for the shortcut.

  • New target properties. This option is only available if there is a new target. Opens a standard Properties window that shows file properties for the shortcut.

Note: The Tools > Browse for new target option opens a standard browse window, where you can search for the new target.

Make selections

You can designate the shortcuts you want to work with in one of several ways:

  • Click on the one or more rows to select them. You can select multiple files or folders as you normally would in Windows, using the CTRL and SHIFT keys.

  • Select the one or more check boxes [image] next to each item.

  • Make one of the following selections from the Tools menu:

  • Select all. Selects all rows.

  • Inverse selection. Where a row is selected , this option clears them; and where a row is not selected, this option selects them.

  • Check all. Selects all check boxes.

  • Inverse checked states. Where a check box [image] is selected, this option clears them; and where a check box is cleared, this option selects them.

Repair or remove

For a single selection, you can click the Options link and then click Remove shortcut.

With the desired items selected or checked, click one of the below Repair menu options:

  • Repair selected. Repairs all selected shortcuts.

  • Repair checked. Repairs all checked [image] shortcuts.

  • Repair all. Repairs all shortcuts.

  • Removal method. From the Repair menu, click Removal method and then select one of the options:

  • Delete. Delete the shortcuts. (Shortcuts will not be in the Recycle Bin.)

  • Move to Recycle Bin. Send the shortcuts to the Windows Recycle Bin.

  • Move to Incinerator. Send the shortcuts to the Desktop File Incinerator.

  • Incinerate Immediately. Permanently delete the shortcuts using the Desktop File Incinerator (it cannot be recovered).

Note: You can right-click on a row for quick access to selected Repair and Tools menu options. Click to view a list of the right-click menu options:

  • Repair selected. Repairs the current row.

  • Browse for new target. Opens a standard browse window, where you can search for the new target.

  • Open folder containing shortcut. Opens a Windows Explorer window, showing the folder that contains the shortcut.

  • Open folder containing original target. Opens a Windows Explorer window, showing the folder of the original target.

  • Open folder containing new target. This option is only available if there is a new target. Opens a Windows Explorer window, showing the folder of the new target.

  • Select all. Highlights all rows.

  • Inverse selection. Where a row is selected , this option clears them; and where a row is not selected, this option select them.

  • Check all. Selects all check boxes.

  • Inverse checked states. Where a check box [image] is selected, this option clears them; and where a check box is cleared, this option select them.

  • Shortcut properties. Opens a standard Properties window that shows file properties for the shortcut.

  • New target properties. This option is only available if there is a new target. Opens a standard Properties window that shows file properties for the shortcut.

Repair Broken Shortcuts

Repair and Remove

Overview of Repair Broken Shortcuts wizard

The display of the final screen varies depending on what mode you chose. Click a mode below to view instructions.

Automatic mode - Quick or Complete

Custom mode

When you are finished, if you used one of the Automatic modes, you can click New search to return to the first screen of the Repair Broken Shortcuts wizard.

In any mode, you can exit in one of two ways:

  • Click Exit on the bottom of the screen to return to the Home page.

  • Click the Close icon (X) at the top of the screen to close System Mechanic.


Repair Hard Drive Problems - Overview

Repair Hard Drive Problems

To access:

From the Individual Tools pane, click Repair Problems and then click Start next to Repair Hard Drive Problems.

What it does:

The Repair Hard Drive Problems wizard will search your hard drive for errors, and then any detected errors can be flagged for repair the next time you start or restart your computer (repairs are run prior to booting).

Why use it:

Damaged sectors on a drive can prevent files from being accessed or saved, and damaged drives frequently cause computer crashes and lock-ups. Severe drive damage can lead to a volatile computer that is practically unusable.

Running the Repair Hard Drive Problems wizard to check for drive errors can repair existing issues and maintain the drive health before serious problems occur.

Instructions:

The wizard has several screens to guide you through the process. Click a screen name below for more information:

  1. Operation Mode

  2. Options (Custom mode only)

  3. Search and Repair

Related tasks:

To have System Mechanic automatically repair hard drive errors when detected, enable Automatically repair hard drive errors on the Automated Tasks pane.

Related topics:

Repair an Unbootable PC

Automated Tasks

Navigating within Wizards


Repair Hard Drive Problems - Operation Mode

Repair Hard Drive Problems

Operation Mode

Overview of Repair Hard Drive Problems wizard

On the first screen of the Repair Hard Drive Problems wizard, select a mode.

Automatic

With the automatic modes, System Mechanic will automatically schedule repairs for any detected drive errors (repairs are run prior to booting).

  • Quick Search and Repair. Searches hard drives for errors using a standard scan. Any detected errors will be automatically scheduled for repair the next time you start or restart your computer.

  • Complete Search and Repair. Searches hard drives for errors with a surface scan. Any detected errors will be automatically scheduled for repair the next time you start or restart your computer.

Click Options to open the Automatic Options window. This window allows you to select certain hard drives for testing.

If you select one of the Automatic modes, click Next to run the search and repair.

Advanced

The Custom Search and Repair mode allows you to designate the following:

  • What hard drives to test.

  • Whether or not the search for errors will include a surface scan.

  • Whether or not errors will be automatically scheduled for repair.

If you select the Custom mode, click Next to designate options.


Quick Mode Defined

Quick Search and Repair

The Quick Search and Repair mode searches hard drives for errors without a surface scan. Any detected errors will be automatically scheduled for repair the next time you start or restart your computer (repairs are run prior to booting).


Complete Mode Defined

Complete Search and Repair

The Complete Search and Repair mode searches hard drives for errors with a surface scan. Any detected errors will be automatically scheduled for repair the next time you start or restart your computer (repairs are run prior to booting).


Custom Mode Defined

Custom Search and Repair

The Custom Search and Repair mode allows you to designate the following:

  • What hard drives to test.

  • Whether or not the search for errors will include a surface scan.

  • Whether or not errors will be automatically repaired.


Repair Hard Drive Problems

Automatic Options Window

Overview of Repair Hard Drive Problems wizard

For the Automatic modes, the Automatic Options window allows you to select certain hard drives for testing and turn off automatic repairs.

Hard Drives to Test

Select the check box next to each hard drive you want to test. By default, all hard drives are selected.

Automatic Fix

By default, the Automatically repair problems on system restart (recommended) check box is selected and detected errors will be automatically scheduled for repair the next time you start or restart your computer (repairs are run prior to booting).

Clear the check box if you want to turn automatic fixes off. System Mechanic will display any detected errors and you can decide which ones, if any, you want to be repaired the next time you start or restart your computer.


Repair Hard Drive Problems - Custom Options

Repair Hard Drive Problems

Options (Custom Mode Only)

Overview of Repair Hard Drive Problems wizard

The Options screen allows you to configure options for the Custom mode.

Hard Drives to Test

The pane shows all the hard drives on your computer, along with the size, amount of free space, and the last time it was scanned.

Select the check box next to each hard drive you want to test.

Other Options

  • Automatically repair problems on system restart (recommended)

Select the check box if you want detected errors to be automatically fixed the next time you start or restart your computer.

Clear the check box if you want to turn automatic fixes off. This means that...

  • Perform full surface scan

Select the check box if you want to scan the disk to check for bad sectors, in addition to checking the reliability of files and folders.

Clear the check box if you want to analyze the reliability of files and folders without the sector scan.


Full Surface Option Defined

Surface Scan

A full surface scan includes a scan of the disk to check for bad sectors, in addition to checking the reliability of files and folders.

This type of scan takes longer than a standard scan, which analyzes the reliability of files and folders without checking the sectors.


Auto Restart Option Defined

Automatically repair problems on system restart (recommended)

Select the Automatically repair problems on system restart (recommended) check box if you want detected errors to be fixed the next time you start or restart your computer.

Clear the check box if you want to turn automatic fixes off. System Mechanic will display any detected errors and you can decide which ones, if any, you want to be fixed the next time you start or restart your computer.


Repair Hard Drive Problems - Search and Repair

Repair Hard Drive Problems

Search and Repair

Overview of Repair Hard Drive Problems wizard

The wizard searches the selected drives for errors. (If you want to cancel the search, click Cancel.)

When the search is completed or cancelled, the number of detected errors, if any, display.

The lower pane lists the following details for each drive test.

  • The drive tested.

  • The type of test. The exact display of the test type depends on the version of your operating system and whether you elected to run a surface scan.

  • The status. The status of the test. During testing, the status shows you the progress of the testing. When testing is complete, the status will be one of the following:

  • No problems detected. Drive is healthy. No errors were found on the drive.

  • Analysis on next restart is scheduled. Repairs will be run the next time you start or restart your computer.

If you want to turn off a repair, click the "Click here to cancel scheduled repairs on next restart" link.

  • Problems Detected. Repairs are required. Repairs are not currently scheduled. If you want the drive repaired, click the "Click here to analyze and repair drive during next restart" link.

  • Analysis on next restart is recommended. Repairs are not currently scheduled. If you want the drive repaired, click the "Click here to analyze and repair drive during next restart" link.

Close:

When you are finished, you can do one of the following:

  • Click Perform another Search and Repair to return to the first screen of the Repair Hard Drive Problems wizard.

  • Click Exit on the bottom of the screen to return to the Home page.

  • Click the Close icon (X) at the top of the screen to close System Mechanic.


Repair an Unbootable PC

To access:

From the Individual Tools pane, click Repair Problems and then click Start next to Repair an Unbootable PC.

What it does:

The Repair an Unbootable PC wizard allows you to create an emergency "Drive Medic" CD to use if your computer ever suffers severe damage and the operating system cannot be started.

Once created, the CD will allow you to run a DOS-based program that performs tests and repairs of your hard drives.

Note: If you purchased a CD for System Mechanic or System Mechanic Professional, you can also run the DOS-based Drive Medic program by booting directly from the installation CD. Insert the CD into the CD drive and restart your PC; the Drive Medic program will automatically start.

Why use it:

The Drive Medic CD you create with this wizard helps you recover from disaster if your operating system cannot be started. Drive Medic is a DOS-based program that runs tests and repairs, and does not require Windows to operate.

We suggest that you create a bootable Drive Medic CD prior to any trouble occurring. Along with the Drive Medic functions, the CD saves your computer's master boot record information and other key data that can be valuable in reviving a damaged computer.

Instructions:

The wizard has two screens to guide you through the process. Click a screen name below for more information:

  1. Select CD Writer

  2. Create Bootable CD

To create a Drive Medic bootable disk with this wizard, you will need a blank CD (recordable or rewritable) and a computer with a writable CD/DVD drive.

If System Mechanic does not detect a writable CD/DVD drive, a No Drive Detected window will display. If you do have a writable CD/DVD drive, ensure that the drive is connected to your PC and then try again.

Related topics:

Running Drive Medic from Bootable Disk

Navigating within Wizards


Drive Medic - Select CD Writer

A volume label can contain up to 32 characters for NTFS volumes, up to 11 characters for FAT volumes, and it can include spaces but no tabs.

FAT volume labels cannot contain any of the following characters:

* ? / \ | . , ; : + = [ ] < > "

This limitation does not apply to NTFS volumes.

For FAT volumes, volume labels are stored as uppercase regardless of whether they contain lowercase letters. NTFS volume labels retain and display the case used when the label was created.

If you are not sure whether your volume is FAT or NTFS, follow the FAT guidelines, which are more restrictive.

Source: Microsoft.com

Make sure that you don't pick an option that is faster than the capability of your media. If you are unsure, pick one of the slower speeds.

Repair an Unbootable PC

Select CD Writer

Overview of Repair an Unbootable PC wizard

The first screen displays the writable CD-ROM drives connected to your computer. Select the appropriate CD writer from the list.

If you want to set a volume label or write speed, click More options; the following fields display:

  • Volume Label. Name the CD. The default name is IOLO_DRIVEMEDIC. More on volume labels:

  • Write Speed. Select a write speed from the list; the options range from 4x to 48x. More on write speeds:

When you have made your selection, click Next. On the final, Create Bootable CD screen, the wizard creates the bootable CD.


Drive Medic - Create Bootable CD

Change Boot Order:

If Drive Medic does not automatically open when you start your computer, change the boot order so that the CD drive with the bootable disk boots first. Drive Medic needs to boot before your computer's operating system does.

To change the boot order, edit the boot settings in your computer's BIOS (a software program that your computer uses to boot and control other functions). Generally, when the computer is starting, you will see a message to press a certain key or key sequence to "Enter setup"; this should open the BIOS. Once opened, look for a feature called "Boot" or "Startup" and then change the boot order/sequence. No other changes need to be made in the BIOS.

Tip: The exact procedure to access the BIOS differs by computer manufacturer, so refer to your computer's manual for specific information. You may also be able to locate vendor-specific information through a Web search.

Repair an Unbootable PC

Create Bootable CD

Overview of Repair an Unbootable PC wizard

On the last screen of the wizard, the bootable disk is created. When completed, a Finished message displays to indicate the successful creation of the disk.

If you want to:

  • Run Drive Medic immediately, leave the CD in the drive and click Restart system now to restart your computer. The Drive Medic DOS-based program will open**. Follow the on-screen instructions to perform the tests and repairs.

  • Run Drive Medic later, remove the bootable disk from the drive. When you want to run Drive Medic, put the bootable disk back into the drive and then start/restart the computer. The Drive Medic DOS-based application will open**.

Tip: If you will be using the Drive Medic bootable disk later, clearly label it and store it in a safe place.

** Note: If your computer starts as it normally does (meaning, you see the operating system booting) and you do not see Drive Medic loading, change your computer's BIOS so that the CD/DVD drive with the bootable disk is first in the boot sequence.

Click here for more information on changing the boot order:

Related topics:

Running Drive Medic from Bootable Disk


Run Drive Medic from Bootable CD

Change Boot Order:

If Drive Medic does not automatically open when you start your computer, change the boot order so that the CD drive with the bootable disk boots first. Drive Medic needs to boot before your computer's operating system does.

To change the boot order, edit the boot settings in your computer's BIOS (a software program that your computer uses to boot and control other functions). Generally, when the computer is starting, you will see a message to press a certain key or key sequence to "Enter setup"; this should open the BIOS. Once opened, look for a feature called "Boot" or "Startup" and then change the boot order/sequence. No other changes need to be made in the BIOS.

Tip: The exact procedure to access the BIOS differs by computer manufacturer, so refer to your computer's manual for specific information. You may also be able to locate vendor-specific information through a Web search.

Running Drive Medic from Bootable CD

A bootable CD is used to start the Drive Medic DOS-based program. You can use the System Mechanic installation CD (if you purchased a CD) or use the bootable CD you created using the Repair an Unbootable PC wizard.

  1. Put the bootable CD in the CD/DVD drive.

  2. Start or restart your computer. The Drive Medic DOS-based program will automatically open.

If your computer starts as it normally does (meaning, you see the operating system booting) and you do not see Drive Medic loading, change your computer's BIOS so that the CD/DVD drive with the bootable disk is first in the boot sequence. Click here for more information on changing the boot order:

  3. The program is in a wizard format with on-screen instructions to guide you through the process. You will select the drive you want to check and select the tests you want to run. Drive Medic will then present test results, and then optionally fix any detected problems.

Related topics:

Creating a Drive Medic bootable CD


Troubleshoot System Problems - Overview

Troubleshoot System Problems

To access:

From the Individual Tools pane, click Repair Problems and then click Start next to Troubleshoot System Problems.

What it does:

Based on the symptoms your PC is experiencing, the Troubleshoot System Problems wizard recommends which System Mechanic tools and Windows tools can help your system recover.

Why use it:

If your PC has become unstable or unusable, it can be hard to know where to start with troubleshooting and repairs.

Use the Troubleshoot System Problems wizard to read recommended solutions and access the tools that will help you regain the stable use of your computer.

Instructions:

The wizard has several screens to guide you through the process. Click a screen name below for more information:

  • Introduction

  • Symptoms

  • Solutions

Related topics:

Repair an Unbootable PC


Troubleshoot System Problems - Introduction

Troubleshoot System Problems

Introduction

Overview of Troubleshoot System Problems wizard

The introductory page provides information about the Troubleshoot System Problems wizard and the types of problems that can be resolved.

There are no selections for you to make on this screen; the screen is informational.

Click Next to open the Symptoms screen.


Troubleshoot System Problems - Symptoms

Troubleshoot System Problems

Symptoms

Overview of Troubleshoot System Problems wizard

On the Symptoms screen, select the option that most closely matches your problem.

  • If your system is unstable, with frequent crashes and lockups, select Highly Unstable Operating System.

  • If you cannot start Windows, select Unable to Start Windows.

Click Next to open the Solutions screen.


Troubleshoot System Problems - Solutions

Change Boot Order:

If Drive Medic does not automatically open when you start your computer, change the boot order so that the drive with the bootable disk boots first. Drive Medic needs to boot before your computer's operating system does.

  • If you have a bootable CD, the CD drive needs to be first in the boot order (or before the drive with the operating system).

  • If you have a bootable floppy disk, the floppy drive needs to be first in the boot order (or before the drive with the operating system).

To change the boot order, edit the boot settings in your computer's BIOS (a software program that your computer uses to boot and control other functions). Generally, when the computer is starting, you will see a message to press a certain key or key sequence to "Enter setup"; this should open the BIOS. Once opened, look for a feature called "Boot" or "Startup" and then change the boot order/sequence. No other changes need to be made in the BIOS.

Tip: The exact procedure to access the BIOS differs by computer manufacturer, so refer to your computer's manual for specific information. You may also be able to locate vendor-specific information through a Web search.

Troubleshoot System Problems

Solutions / Recovery Console Options

Overview of Troubleshoot System Problems wizard

The last screen of the wizard provides recommended solutions.

Highly Unstable

If your system is highly unstable, System Mechanic offers several recommendations. Read the on-screen information and then click one of the following:

  • Click Run the PC Repair Wizard to start the Repair Hard Drive Problems wizard.

  • Click Open Windows Restore Points to start the System Restore wizard, which is a Windows program that allows you to restore your computer to an earlier state.

  • Click Open Registry Backup Tool to open the Backup or Restore Registry window.

Unable to Start Windows

If you cannot start Windows, System Mechanic suggests that you run the Drive Medic program. Drive Medic is a DOS-based program that can run tests and repairs, and does not require Windows to operate.

  • If you have a System Mechanic installation CD or have already created a Drive Medic diskette:

  1. Place the installation CD or the bootable diskette in the drive. (The installation CD contains the Drive Medic files.)

  2. Click Restart the Computer Now.

  3. Follow the on-screen instructions to run tests and repairs for your computer.

If your computer starts as it normally does and you do not see Drive Medic loading, change your computer's BIOS so that the drive that contains the bootable disk is first in the boot sequence. Click here for details:

  • If you do not have a System Mechanic installation CD and need to create a Drive Medic diskette, click Create Disaster Recovery Diskette Now. The Repair an Unbootable PC window will open, which allows to create the bootable diskette.

Close

When you are finished, you can do one of the following:

  • Click Exit on the bottom of the screen to return to the Home page.

  • Click the Close icon (X) at the top of the screen to close System Mechanic.


Ensure Personal Privacy

Ensure Personal Privacy tools

To access:

From the Individual Tools pane, click Ensure Personal Privacy.

What they do:

The Ensure Personal Privacy tools permanently erase the tracks of Internet activity and deleted data.

Why use them:

Anyone who has access to your computer can see the Web sites you have visited, even after deleting files from your browser cache. Additionally, a file deleted through Windows is not completely erased; even though you can't see the file, someone using easily available tools can recover it and view its contents.

Use the Ensure Personal Privacy tools to ensure that your private information remains private.

Tools:

  • Clear Internet Browsing Tracks. Increase drive capacity and protect privacy by removing temporary Internet files, cookies, history files, and more.

  • Securely Delete Files. Permanently delete selected files or folders.

  • Configure Desktop File Incinerator. Configure the ability to permanently delete files and folders in Windows.

* System Mechanic Professional users have two additional tools:

  • Permanently Remove Deleted File Traces. Perform advanced file deletions and schedule regular cleaning.

  • Permanently Wipe All Data from a Drive. Permanently and completely wipe an entire drive; all data is obliterated at the sector level.

Related topics:

Power Tools

Individual Tools

Overview of iolo product line


Securely Delete Files - Overview

Many people believe that when they delete a file, it is permanently erased. In actuality, the data within the file still remains on your drive. This is because of how an operating system saves and deletes files.

When you save a file, your PC stores the file name in a file allocation table. The data that actually makes up the file is saved directly on your computer's drive. When you delete a file, the computer removes the reference of the file from the file allocation table, but the data still remains on the drive. The space occupied by that data is marked as "free space" and is available for overwriting by other newly saved files. But, the data remains on the drive until another file is saved over it.

Even though you can't see the file (for example, through Windows Explorer), someone using easily available tools can recover the file and view its contents. For sensitive data, this poses a security risk, and can lead to confidential information falling into the wrong hands.

Incinerating files erases the data remnants and tracks left by deleted files. The Incinerator erases data by overwriting it with random characters.

Securely Delete Files

To access:

From the Individual Tools pane, click Ensure Personal Privacy and then click Start next to Securely Delete Files.

What it does:

The Securely Delete Files wizard permanently and securely deletes the files and folders you specify.

Why use it:

A file deleted through Windows is not completely erased; even though you can't see the file, someone using easily available tools can recover it and view its contents. More on why deleting a file doesn't erase its contents.

For confidential data you have deleted, use the Securely Delete Files wizard to completely erase all data remnants.

Instructions:

The wizard has several screens to guide you through the process. Click a screen name below for more information:

  1. Select Files and Folders

  2. Options

  3. Incinerate

Related topics:

Configure Desktop File Incinerator

Navigating within Wizards


Securely Delete Files - Select

  1. Click on the file or files you want to incinerate (such as from the desktop or Windows Explorer).

  2. Hold down the mouse and drag the files to the pane.

  3. The cursor will change to indicate that it is over an area of the page that will accept data.

Indicates your cursor is in an area that will accept the data.

Indicates your cursor is over an area that cannot accept data.

  4. Release the mouse.

  1. Click on the folder or folders you want to incinerate (such as from the desktop or Windows Explorer).

  2. Hold down the mouse and drag the folders to the pane.

  3. The cursor will change to indicate that it is over an area of the page that will accept data.

Indicates your cursor is in an area that will accept the data.

Indicates your cursor is over an area that cannot accept data.

  4. Release the mouse.

Securely Delete Files

Select Files and Folders

Overview of Securely Delete Files wizard

On the first screen of the wizard, add the files and folders that you want to incinerate.

To add files for incineration

To add files to the list, you can either:

  • Use a drag-and-drop operation to move files to the pane.

  • Click Add files. An Add Files window opens. Navigate to the desired file and click OK. You can also select multiple files as you normally would using the CTRL and SHIFT keys.

To add a folder for incineration

To add folders to the list, you can either:

  • Use a drag-and-drop operation to move folders to the pane.

  • Click Add folder. An Add folder window opens. Navigate to the desired folder and click OK.

To remove an item from the list

To remove an item from the list, select it and click Remove Selected.

When you have made your selections, click Next to configure options.


Securely Delete Files - Options

As you increase the number of overwrite passes, the greater your security. Each overwrite pass causes the data that previously occupied the location to become less "bright" than the random data that now rests on top of it.

  • One (1) overwrite pass will generally prevent recovery using software-based programs, such as undelete utilities and hex, drive, and sector editors.

  • Seven (7) overwrite passes will generally prevent recovery using hardware-based recovery methods. This is the standard used by the U.S. Department of Defense (DoD 5220.22) and other government agencies.

Securely Delete Files

Options

Overview of Securely Delete Files wizard

The Incinerator erases data by overwriting it with random characters. Use the slider controls how many times data is overwritten; the higher the number of overwrites, the higher the security (and the more time the process takes).

Move the slider to the right to increase the number of overwrites; move it to the left to decrease the number.

The default value is to overwrite data three times. You can select to overwrite from one to ten times. (Help me choose.)

When you have made your selection, click Next to confirm your selections and run the incineration.


Securely Delete Files - Incinerate

Securely Delete Files

Incinerate

Overview of Securely Delete Files wizard

Since incinerating is permanent, the last screen allows you to confirm your selections prior to running the process.

After verifying the list of files and folders, if you:

  • Do not want to incinerate all the items on the list: Click Back and then make any needed changes on the first screen.

  • Do want to incinerate all the items on the list: Click Incinerate Now and then click Yes on the confirmation window.

When complete, the screen will display a Complete message and show how many items were permanently deleted.

When you are finished, you can do one of the following:

  • Click Choose more files to incinerate again; you will return to the first screen of the Securely Delete Files wizard.

  • Click Exit on the bottom of the screen to return to the Home page.

  • Click the Close icon (X) at the top of the screen to close System Mechanic.


Configure Desktop File Incinerator - Overview

Many people believe that when they delete a file, it is permanently erased. In actuality, the data within the file still remains on your drive. This is because of how an operating system saves and deletes files.

When you save a file, your PC stores the file name in a file allocation table. The data that actually makes up the file is saved directly on your computer's drive. When you delete a file, the computer removes the reference of the file from the file allocation table, but the data still remains on the drive. The space occupied by that data is marked as "free space" and is available for overwriting by other newly saved files. But, the data remains on the drive until another file is saved over it.

Even though you can't see the file (for example, through Windows Explorer), someone using easily available tools can recover the file and view its contents. For sensitive data, this poses a security risk, and can lead to confidential information falling into the wrong hands.

Incinerating files erases the data remnants and tracks left by deleted files. The Incinerator erases data by overwriting it with random characters.

As you increase the number of overwrite passes, the greater your security. Each overwrite pass causes the data that previously occupied the location to become less "bright" than the random data that now rests on top of it.

  • One (1) overwrite pass will generally prevent recovery using software-based programs, such as undelete utilities and hex, drive, and sector editors.

  • Seven (7) overwrite passes will generally prevent recovery using hardware-based recovery methods. This is the standard used by the U.S. Department of Defense (DoD 5220.22) and other government agencies.

Configure Desktop File Incinerator

To access:

From the Individual Tools pane, click Ensure Personal Privacy and then click Start next to Configure Desktop File Incinerator.

What it does:

The Configure Desktop File Incinerator allows you to install the Incinerator that permanently and securely delete files and folders. Once installed:

  • The Desktop File Incinerator is integrated with Windows and an Incinerator icon displays on your desktop.

  • You can incinerate files through System Mechanic, using the Securely Delete Files wizard.

Why use it:

A file deleted through Windows is not completely erased; someone using easily available tools can recover it and view its contents. More on why deleting a file doesn't erase it.

For confidential data you have deleted, use the Incinerator to completely erase data.

Instructions:

Enable Desktop File Incinerator

To install the feature, click Install Incinerator.

Once installed, the Desktop File Incinerator is integrated with Windows. See Using the Desktop File Incinerator for detailed instruction on using the tool in Windows.

You can configure various settings for the Incinerator; see below.

Configure Desktop File Incinerator

To configure the Incinerator, click Modify the way Incinerator works. The Properties window opens.

Control number of overwrites

The Incinerator erases data by overwriting it with random characters. The slider at the top of the window controls how many times data is overwritten; the higher the number of overwrites, the higher the security (and the more time the process takes).

Move the slider to the right to increase the number of overwrites; move it to the left to decrease the number.

The default value is to overwrite data three times. You can select to overwrite from one to ten times. (Help me choose.)

Other functions:

  • When the Show progress indicator while incinerating is selected, a progress window displays as data is being incinerated.

  • When the Add "Send to Incinerator" option to right-click context menus check box is selected, a "Send to Incinerator" menu option is added to your Windows right-click menu. Click to view an example.

  • When the Add Incinerator option under "Send To..." context menu check box is selected, "Incinerator" is a menu option in the "Send To" category of your Windows right-click menu. Click to view an example.

View Files within Desktop File Incinerator

To view what items are currently in the Incinerator, click View files within Incinerator. A standard Windows Explorer window opens, displaying the Incinerator's contents.

You can also view Incinerator contents through Windows Explorer.

Use Desktop File Incinerator in Windows

The Incinerator works similarly to your Recycle Bin; you can drag files and folders to the Incinerator desktop icon and you can view the Incinerator's contents through Windows Explorer. System Mechanic does not need to be open to use this feature.

Refer to Using the Desktop File Incinerator for detailed instruction.


Using Desktop File Incinerator

Using the Desktop File Incinerator

Once installed, the Desktop File Incinerator is integrated with Windows and an Incinerator icon displays on your desktop. System Mechanic does not need to be open to use this feature.

The items you send to the Incinerator remain there until you decide to securely delete them, or restore them back to their original location. For instruction on:

  • Sending files to the Incinerator, see Send files to the Incinerator below.

  • Securely deleting Incinerator items, see Incinerate files and folders below.

  • Restoring Incinerator items, see Restore files and folders below.

Send files to the Incinerator

The Incinerator works similarly to the Recycle Bin:

  • You can drag files and folders to the Incinerator desktop icon.

  • You can drag files and folders to the Incinerator location in Windows Explorer.

In addition to using a drag-and-drop operation to move files to the Incinerator, you can also use the right-click menu options described below. (These are configurable options, but are enabled as a default.)

Use right-click context menu

  1. In Windows (such as through Windows Explorer), right-click on the folder or file you want to incinerate. You can also select multiple items as you normally would in Windows, and then right-click.

  2. Click Send to Incinerator from the right-click menu. Click to view an example.

  3. A Confirmation message displays to confirm that you wish to send the item or items to the Incinerator. Click Yes to complete the process.

Note: This right-click functionality is available when the Add "Send to Incinerator" option to right-click context menus check box is selected during configuration. The check box is selected as a default.

Use right-click, "Send To" context menu

  1. In Windows (such as through Windows Explorer), right-click on the folder or file you want to incinerate. You can also select multiple items as you normally would in Windows, and then right-click.

  2. Click Send To from the right-click menu.

  3. Click Incinerator from Send To submenu. Click to view an example.

  4. A Confirmation message displays to confirm that you wish to send the item or items to the Incinerator. Click Yes to complete the process.

Note: This right-click functionality is available when the Add Incinerator option under "Send To..." context menu check box is selected during configuration. The check box is selected as a default.

Go back to the top of the topic

Incinerate files and folders

Items that you send to the File Incinerator remain there until you decide to permanently and securely delete them. To securely delete Incinerator items:

  1. Open the Incinerator (either double-click on the desktop icon or select it in Windows Explorer).

  2. To securely delete:

  3. Selected items: Right-click on the item you want to incinerate and click Incinerate selected. (You can also select multiple items as you normally would in Windows.)

  4. All items in the Incinerator: Right-click anywhere on the window and click Incinerate all.

  3. A Confirmation message displays to confirm that you wish to permanently delete the items or items. Click Yes to complete the incineration.

Go back to the top of the topic

Restore files and folders

Items that you send to the File Incinerator remain there until you decide to permanently and securely delete them. To restore Incinerator items to their original location:

  1. Open the Incinerator (either double-click on the desktop icon or select it in Windows Explorer).

  2. Right-click on the items you want to incinerate and click Restore. (You can also select multiple items as you normally would in Windows.)

  3. The restored items will be moved back to their original location.


DriveScrubber - Permanently Remove Deleted File Traces

Many people believe that when they delete a file, it is permanently erased. In actuality, the data within the file still remains on your drive. This is because of how an operating system saves and deletes files.

When you save a file, your PC stores the file name in a file allocation table. The data that actually makes up the file is saved directly on your computer's drive. When you delete a file, the computer removes the reference of the file from the file allocation table, but the data still remains on the drive. The space occupied by that data is marked as "free space" and is available for overwriting by other newly saved files. But, the data remains on the drive until another file is saved over it.

Even though you can't see the file (for example, through Windows Explorer), someone using easily available tools can recover the file and view its contents. For sensitive data, this poses a security risk, and can lead to confidential information falling into the wrong hands.

Incinerating files erases the data remnants and tracks left by deleted files. The Incinerator erases data by overwriting it with random characters.

Permanently Remove Deleted File Traces

*For System Mechanic Professional users only

To access:

From the Individual Tools pane, click Ensure Personal Privacy and then click Start next to Permanently Remove Deleted File Traces.

What it does:

System Mechanic Professional users have integrated access to the built-in drive wiping software, DriveScrubber.

Why use it:

A file deleted through Windows is not completely erased; even though you can't see the file, someone using easily available tools can recover it and view its contents. More on why deleting a file doesn't erase its contents.

For confidential data you have deleted, use this DriveScrubber tool to completely erase all data remnants.

Instructions:

Click Permanently Remove Deleted File Traces to open the DriveScrubber program in a separate window. This program allows you to permanently wipe away deleted data so that it cannot be recovered.

To erase just the remnants of deleted files, click Wipe free space of a drive. The wizard will guide you through the process of erasing the free space of a drive.

By wiping only the free space, remnants of deleted data are erased, but the used space is not touched and existing files, programs, and the operating system are left intact.

Note: Help specific to the DriveScrubber is provided in the program. Click Help from the menu bar on top of the DriveScrubber Home page. To get help for a specific task, click the Help button on any of the screens or windows.

Related topics:

Permanently Wipe All Data from a Drive

Overview of iolo product line


DriveScrubber - Permanently Wipe All Data from a Drive

Many people believe that when they delete a file, it is permanently erased. In actuality, the data within the file still remains on your drive. This is because of how an operating system saves and deletes files.

When you save a file, your PC stores the file name in a file allocation table. The data that actually makes up the file is saved directly on your computer's drive. When you delete a file, the computer removes the reference of the file from the file allocation table, but the data still remains on the drive. The space occupied by that data is marked as "free space" and is available for overwriting by other newly saved files. But, the data remains on the drive until another file is saved over it.

Even though you can't see the file (for example, through Windows Explorer), someone using easily available tools can recover the file and view its contents. For sensitive data, this poses a security risk, and can lead to confidential information falling into the wrong hands.

Incinerating files erases the data remnants and tracks left by deleted files. The Incinerator erases data by overwriting it with random characters.

Permanently Wipe All Data from a Drive

*For System Mechanic Professional users only

To access:

From the Individual Tools pane, click Ensure Personal Privacy and then click Start next to Permanently Wipe All Data from a Drive.

What it does:

System Mechanic Professional users have integrated access to the built-in drive wiping software, DriveScrubber.

Why use it:

Data deleted through Windows is not completely erased; even formatting a drive does not erase all data. More on why deleting a file doesn't erase its contents.

Prior to giving a computer away, use this DriveScrubber tool to create a bootable disk that can completely wipe all data.

Instructions:

Click Permanently Remove Deleted File Traces to open the DriveScrubber program in a separate window. This program allows you to permanently wipe away data so that it cannot be recovered.

To wipe all the contents of a drive, DriveScrubber uses a bootable disk that runs a DOS-based program. This allows all data, including the operating system, to be erased. You can create a bootable disk by clicking Wipe All Contents of a Drive, which guides you through the process.

Once you have a bootable disk, put the bootable disk in the drive, start or restart your computer, and then follow the on-screen instructions to wipe all the contents of selected drives.

Note: Help specific to DriveScrubber is provided in the program. Click Help from the menu bar on top of the DriveScrubber Home page. To get help for a specific task, click the Help button on any of the screens or windows.

Related topics:

Permanently Remove Deleted File Traces

Overview of iolo product line


Manage System Configuration

Manage System Configuration tools

To access:

From the Individual Tools pane, click Manage System Configuration.

What they do:

The Manage System Configuration tools allow you to manage and configure various internal settings for your computer.

You can control what loads with Windows, manage the currently running programs, tweak Windows and Internet settings to suit your preferences, relocate installed programs, and locate and delete duplicate files.

Why use them:

Use the Manage System Configuration tools to fine-tune your computer so that it suits your preferences and work style.

Tools:

  • Configure Windows Startup. Manage and control the processes that start when the operating system loads.

  • Manage Running Programs. Manage and control the currently running programs and processes.

  • Customize Advanced Windows Settings. Adjust a wide range of settings to customize the appearance and behavior of over 100 Windows features.

  • Customize Advanced Internet Settings. Modify detailed Internet and network settings. For system administrators and advanced users.

  • Find Duplicate Files. See a list of duplicate files that may be unnecessarily taking up drive space.

  • Remove Installed Programs. Thoroughly uninstall application files to eliminate sluggish performance.

Related topics:

Perform Diagnostics Tools

All Individual Tools


Configure Windows Startup - Overview

Configure Windows Startup

To access:

From the Individual Tools pane, click Manage System Configuration and then click Start next to Configure Windows Startup.

What it does:

The Configure Windows Startup window lists all the items currently configured to start when Windows loads. You can enable and disable items; create, load, and save startup profiles; adjust startup settings on remote computers across a network; and more.

Why use it:

Various programs and services are set to load when Windows loads. Power users can use the Configure Windows Startup window to manage and control all of these startup items.

Instructions:

When you first open the window, System Mechanic collects all the system data and then displays the startup items.

View information

Startup items are grouped by location. Click a group on the left to displays its startup items on the right. Click on the plus (+) sign to expand entries on either side.

Note: You can also expand the items listed on the right from the View menu: Click View and then click Expand All or Collapse All.

Select a View mode

You can view information about the startup items in one of two modes. From the View menu, select a mode:

  • Basic mode displays the following groups: Startup Folders, Registry Autorun, INI Files, Batch Files, Internet Explorer elements, and Services. This is the recommended mode for most users.

  • Expert mode displays the same groups as basic, plus the BootExecute and WinLogin groups.

See Configure Windows Startup - Groups and Categories for details.

Filter results

You can filter results by various category and status attributes. Click Set Filters from the Tools menu or the View menu. Refer to the Filter Startup Item Display Window topic for more information.

View startup categories and statuses

The window uses icons to indicate the category and status. Click here for details.

Note: To display a legend of what each icon indicates, from the View menu, click Show Legend. The legend will display at the bottom of the window.

View additional information

The following Tools menu options allow you to view and access information related to each item.

  • Open Location. Opens a Windows Explorer window, showing the folder that contains the file.

  • Open Reference. Opens the Registry Editor. This option is available when a registry startup item is selected.

  • Ask Google®. Opens the Google search page engine with the startup name entered a search keyword.

  • Properties. Opens a Properties window that shows the file's properties. (You can also open this window by clicking the Properties menu.) Refer to the Startup Item Properties Window topic for details.

Edit startup items

  • To enable or disable items from startup: Select the item and either click Enable to add it to startup or Disable to remove it from startup. You can also access the Enable and Disable functions from the Tools menu.

Note: The Enable and Disable menu options will be disabled if the selected item cannot be enabled or disabled.

  • To add a new item to startup: From the Tools menu, click New and then click either General Startup Item or NT Service. Refer to the Startup Item Window topic for details.

  • To delete a startup item: Select the item and from the Delete menu, click Delete.

  • To stop, start, or restart a startup item: Select the item and from the Tools menu, click Stop, Start, or Restart.

Connect remotely

  • To connect to a remote computer: From the Network menu, click Connect to remote computer. The Connect to Remote Startup Configuration window opens to allow you to select the desired computer.

  • To disconnect: From the Network menu, click Disconnect from remote computer.

Save and load profiles

A profile is a snapshot of the current settings. With profiles, you can use different configurations and load different scenarios to help you achieve the best results.

  • To save a profile, from the Profiles menu, click Save Profile. A standard Save as window will open. Name the file and save it in the desired location. Profiles are saved with an .SMPRF extension.

  • To load a previously saved profile, from the Profiles menu, click Load Profile. A standard Open window will open. Select the profile you want to load and click Open. The Apply saved profile window opens, allowing you to apply the settings you specify. Refer to the Apply Saved Profile Window topic for details.

  • After loading a saved profile, you can revert back to the original settings. From the Profiles menu, click Restore original settings.

Save and open reports

  • To save a report, from the Tools menu, click Save Report. A standard Save as window will open. Name the file and save it in the desired location. Profiles are saved with an .SMRPT extension.

  • To load a previously saved report, from the Tools menu, click Open Report. A standard Open window will open. Select the profile you want to load and click Open.

  • After loading a report, you can go back to the current settings. Click the Switch to live mode link, located under the window's menu bar.

Related tasks

The Optimize Windows Startup wizard guides you through eliminating startup items that are unnecessary.


Configure Windows Startup - Categories

Configure Windows Startup - Groups and Categories

When viewing detailed results on the Configure Windows Startup window, startup items are grouped and categorized.

Group

  • Startup Folders. The directory located in user profiles that loads programs specific to the settings of the user currently logged on to the PC.

  • Registry Autorun. Holds process names and paths to load at each Windows startup.

  • INI Files. Information about file locations, procedures, and miscellaneous data relevant to the internal Windows operating environment startup.

  • Batch Files. Automated tasks initialized by applications without user interface or intervention.

  • Internet Explorer. Browser extensions, toolbars, Browser Helper Objects, and menu extensions.

  • Services. Operating system tools that provide core functionality.

Expert mode also offers the BootExecute and WinLogin groups.

Classifications

  • Necessary. Essential for the normal operation of your PC. These files are typically part of security applications, device drivers, or other important system components.

  • Unnecessary. Not essential to the normal operation of your PC. These files are typically running to provide quick access to various programs but may inadvertently clutter and slow your system. Disabling unnecessary items is recommended.

  • User Choice. May or may not be essential to the normal operation of your PC, depending on your needs. These files are typically running as part of programs or tasks initiated with or without your explicit approval. Disabling User Choice items is personal preference.

  • Dangerous. Known security risks that hinder the normal operation of your PC. These files typically account for viruses, spyware, or any other processes which may cause harm. Disabling dangerous items is highly recommended.

  • Unknown. The classification and purpose of the startup item cannot be determined by System Mechanic.

  • Remote. The startup item is for a remote connection.

Note: To display a legend of what each icon indicates, from the View menu, click Show Legend. The legend will display at the bottom of the screen.


Configure Windows Startup - Load Profile Options

Configure Windows Startup

Apply Saved Profile Window

Overview of Configure Windows Startup window

A profile is a snapshot of the current settings. With profiles, you can experiment and use different configurations and load different scenarios to help you achieve the best results.

The Apply saved profile window displays when you have selected a profile to load.

  1. Select the check box next to all of the elements of the loaded profile that you want to apply to the current configuration. You can make bulk selections by clicking Select All or Deselect All.

  2. Click OK to save your changes. The page will reload with the selected settings from the loaded profile.


Configure Windows Startup - Connect to Remote Window

- Click Browse Network, navigate to the desired computer and click OK.

Configure Windows Startup

Connect to Remote Startup Configuration Window

Overview of Configure Windows Startup window

Type in or browse to the computer that you want to remotely connect to.

Click OK to save your changes and return to the Configure Windows Startup window.


Configure Windows Startup - Filter Window

Configure Windows Startup

Filter Startup Item Display Window

Overview of Configure Windows Startup window

The Filter Startup Item Display window allows you to control what displays on the window.

Select the check box next to each group and status that you want to see.

Click OK to save your changes and return to the Configure Windows Startup window.

Related topics:

Startup Groups and Categories


Configure Windows Startup - Item Window

- Click Browse, navigate to the desired file and click OK.

- Click Browse, navigate to the desired file and click OK.

Configure Windows Startup

Startup Item Window

Overview of Configure Windows Startup window

General startup items

  • Command Line. Type in or browse to the filename and location of the startup item you want to add.

  • Reference. Select the applicable registry action.

New NT startup items

  • Command Line. Type in or browse to the filename and location of the startup item you want to add.

  • Startup Mode. Select Automatic, Manual, or Disabled.

  • Description. Enter a description to identify the startup item.

Click OK to save your changes and return to the Configure Windows Startup window.


Configure Windows Startup - Properties Window

Configure Windows Startup

Startup Item Properties Window

Overview of Configure Windows Startup window

The Startup Item Properties window displays details about the selected file.

You can also click links to run a Google Web search, open the file's location in Windows Explorer, and view registry entries in Registry Editor.

Click OK to close the window and return to the Configure Windows Startup window.

Related topics:

Startup Groups and Categories


Configure Windows Startup - Options Window

- Click Browse, navigate to the desired file and click OK.

Configure Windows Startup

Startup Manager Options Window

Overview of Configure Windows Startup window

Automatic Refresh

The Automatically update startup list when changes are detected every [x] seconds option controls how frequently the window refreshes its results.

  • If you do not want automatic refreshing, clear the check box.

  • If you do want automatic refreshing, select the check box and enter a value. You can enter from 2 to 30 seconds. Type in the value, or click the arrows, to change the number of seconds.

Excluded Items

You can add the file names that you want to exclude.

  • To add a file to the list, click New. Type in or browse to the name of the file that you want to exclude from startup. Select the Partial Match check box to include any file names that partially match the entered name.

  • To edit a file on the list, select it and click Edit. Edit the file name or Partial Match designation.

  • To remove a file, select it and click Remove.

Click OK to save your changes and return to the Configure Windows Startup window.


Configure Windows Startup - Exclusion Window

- Click Browse, navigate to the desired file and click OK.

Configure Windows Startup

Startup Manager Options Window > Startup Exclusion Window

Overview of Configure Windows Startup window

Type in or browse to the name of the file that you want to exclude from startup.

Select the Partial match check box to include any file names that partially match the entered name.

Click OK to save your changes and return to the Startup Manager Options window.


Manage Running Programs - Overview

  • Open containing folder. Opens a Windows Explorer window, showing the folder that contains the items.

  • Stop process. Stop the current running of a process.

  • Stop [x] and prevent it from starting... For Expert mode users, click to block a process from ever starting again.

  • Set priority. For Expert mode users, click to change the priority. For information on prioritizing running processes, refer to the Prioritize Programs topic.

  • Ask Google about process. Open the Google search engine and searches using the process name.

  • Expand all. Expand all entries on the window.

  • Collapse all. Collapse all entries on the window

  • File properties. Opens a standard Properties window that shows file properties for the item.

Manage Running Programs

To access:

From the Individual Tools pane, click Manage System Configuration and then click Start next to Manage Running Programs.

What it does:

The Manage Running Programs window allows you to manage the programs and processes that are running on your PC. The window displays a list of all running programs and processes, and notes if any of them are dangerous.

You can view detailed file properties, block processes, start processes, and run reports. Expert mode users can also prioritize running processes.

Why use it:

Unnecessary processes overburden system resources and memory. Use the Manage Running Programs to control running processes for performance and stability gains.

Instructions:

When you first open the window, System Mechanic collects all the system data and then displays the running programs.

You can view information, stop or block a process, start a process, and run reports. For information on prioritizing running processes, refer to the Prioritize Programs topic.

Note: By default, the standard mode applies. If you want to work at an advanced level, click Options to open the Process Manager Options window and select the Expert mode.

View information

The window shows the process name, publisher, short description, user, startup mode (Manual or Automatic), CPU usage, and memory usage.

To view detailed information about a process, click the plus sign (+) next to the process name.

Note: To expand all entries on the window, click the Tools menu and click Expand all.

The following displays for each item:

  • Location. The location of the file on your computer.

  • Priority. The priority set for the process. You must be in Expert mode to change the priority. Click here for more information.

  • Caption. A display name for the file; generally only displays for programs.

  • Category. A classification for the file, such as "Necessary" or "Dangerous". Click here for more information.

  • Lookup. A brief description of the file.

  • Summary. Click the plus sign (+) to expand and view file details, such as file version and description.

  • Dependencies. Click the plus sign (+) to expand and view file dependencies.

In addition to viewing the information on the window, the following menu options allow you to access additional information for each process.

  • Tools > Open containing folder. Opens a Windows Explorer window, so you can view the folder that contains the items.

  • Tools > File properties. Opens a standard Properties window that shows file properties for the item.

  • Info > Ask Google about process. Open the Google search engine and searches using the process name.

Go back to the top of the topic

Stop or block a process

To stop the current running of a process, either:

  • Select it and from the Stop menu, click Stop Process... Click Yes on the confirmation message to continue.

  • Right-click on it and from the right-click menu, click Stop Process... Click Yes on the confirmation message to continue.

In Expert mode, you can also block a process from starting again (for programs that are automatically set to start):

  • Select it and from the Stop menu, click Stop [x] and prevent it from starting... (where [X] is the file name).

  • Right-click on it and from the right-click menu, click Stop [x] and prevent it from starting... (where [X] is the file name).

Go back to the top of the topic

Start a process

To run a process:

  1. From the Tools menu, click Start new process. A Run window opens.

  2. Either:

  3. Type in the executable location and name; or

  4. Click Browse to open a standard Browse window. Navigate to the program or process and click OK. The executable location and name will display on the Run window.

  3. Click OK to close the Run window. The process is now running and will display on the window.

Create and view reports

To create a report and save the current status, from the Tools menu, click Save report.

To open a report, from the Tools menu, click Open report. The Manage Running Programs window will now display the contents of the report. To return to current results, click the Switch to live mode link.

Go back to the top of the topic

Other menu options:

  • Click Refresh to update the display of running programs.

  • Click Options to configure open the Process Manager Options window and select standard or expert mode.

Note: You can right-click on a process for quick access to selected Stop, Tools, and Info menu options. Click to view a list of the right-click menu options:

Related topics:

Process Manager Options window

Prioritize Programs


Manage Running Programs - Options Window

Manage Running Programs

Process Manager Options Window

Overview of Manage Running Programs window

Available Options

Select either Standard mode or Expert mode.

  • Standard mode. Standard mode is sufficient for most users. It allows you to stop or start the current running of a process, look up detailed information, and save a report.

  • Expert mode. Expert mode has all of the functionality of Standard, plus it allows you to set the priority of a process and block a process from starting again (for programs that are automatically set to start). We recommend that this mode only be used by advanced computer users.

Automatic Refresh Speed

The Automatically update process list every [x] seconds option controls how frequently the Manage Running Programs window refreshes its results.

  • If you do not want automatic refreshing, clear the check box.

  • If you do want automatic refreshing, select the check box and enter a value. You can enter from 2 to 30 seconds. Type in the value, or click the arrows, to change the number of seconds.


Manage Running Programs - Priorities

Manage Running Programs

Prioritize Programs

Overview of Manage Running Programs window

When in Expert mode, you can prioritize running processes to optimize speed and efficiency.

By assigning a higher priority to more important tasks, you can ensure that certain programs do not get interrupted or slowed by less important background tasks.

  1. Open the Priority menu:

  2. Select the process and from the Tools menu, click Set priority.

  3. Right-click on the process and from the right-click menu, click Set priority.

  2. Choose from one of the following priority options:

Low Priority

The system allocates the least amount of resources to this process as possible. Low priority processes consume less memory, but, depending on program functionality, may perform at a slightly reduced capacity. This priority is usually good for programs or processes that are not highly intensive.

Below-Normal Priority

The system allocates enough resources for the process to run, but will not redistribute to compensate or allow for resource overhead. Expect below-normal priority processes to run relatively normal but, depending on program functionality, may perform at a slightly reduced capacity. This priority is usually good for programs or processes that are not highly intensive.

Normal Priority

The system allocates resources to the process as needed. Normal priority processes run and function as normal, but memory distributed to them is handled the same as any other process running on the system.

Note: This is the default priority level for all processes.

Above-Normal Priority

The system will moderately revoke resources from lower priority processes and re-allocate such resources to Above Normal priority processes. Processes in this category are typically resource intensive and may require specific resource distribution to ensure the best performance.

High Priority

The system will frequently revoke resources from lower priority processes and re-allocate them to High Priority processes. High priority processes are typically resource intensive and may require specific resource distribution to ensure the best performance.

Real-Time Priority

The system will allocate as many resources as possible to the process. Real-time priority processes are usually meant to perform unusually demanding tasks, in which case the system will do everything it can to provide as many resources to the process as possible.

Note: Setting a process to Real-Time means that resources may be pulled from all other running processes, including system services, to accommodate the resource redistribution. This may result in system instability.


Manage Running Programs - Categories

Manage Running Programs

Categories

Overview of Manage Running Programs window

When viewing detailed results on the Manage Running Programs window, one of the following classifications will display:

  • Necessary. Essential for the normal operation of your PC. These files are typically part of security applications, device drivers, or other important system components.

  • Unnecessary. Not essential to the normal operation of your PC. These files are typically running to provide quick access to various programs but may inadvertently clutter and slow your system. Disabling unnecessary items is recommended.

  • User Choice. May or may not be essential to the normal operation of your PC, depending on your needs. These files are typically running as part of programs or tasks initiated with or without your explicit approval. Disabling User Choice items is personal preference.

  • Dangerous. Known security risks that hinder the normal operation of your PC. These files typically account for viruses, spyware, or any other processes which may cause harm. Disabling dangerous items is highly recommended.


Manage Running Programs - Standard Mode

Standard Mode

Standard mode is sufficient for most users. It allows you to stop or start the current running of a process, look up detailed information, and save a report of running processes.

To enable this mode, click Options to open the Process Manager Options window and then select Standard mode.

See also Expert Mode.


Manage Running Programs - Expert Mode

Expert Mode

Expert Mode provides additional functionality for the expert user. It has all the functionality of the Standard mode, plus it allows you to set the priority of a process and block a process from starting again (for programs that are automatically set to start).

We recommend that this mode only be used by advanced computer users.

To enable this mode, click Options to open the Process Manager Options window and then select Expert mode.


Customize Advanced Windows Settings

To access:

From the Individual Tools pane, click Manage System Configuration and then click Start next to Customize Advanced Windows Settings.

What it does:

The Customize Advanced Windows Settings window allows you to adjust a wide range of settings to customize the appearance and behavior of over 100 Windows features.

Why use it:

The Customize Advanced Windows Settings window provides an easy way to tweak and fine-tune settings in various areas of Windows. Many of these settings are "hidden" and cannot be readily changed without this tool.

Instructions:

The settings that you can configure are grouped into major categories, such as "Control Panel" and "Right-Click Menu". Next to each category name, the number of associated settings displays.

  1. To open a category and view its associated settings, click on the plus symbol (+) to expand the list.

  2. The configurable settings for the category display, along with on-screen text that provides details about each setting. Change any setting as desired.

  3. To save your change, click Apply Changes below the setting, or click Apply on the bottom of the window.

Note: If you want to undo a change, click Cancel Changes or Cancel.

  4. Repeat steps 1-3 for all the settings you want to change. When you are finished:

  5. Click Exit on the bottom of the screen to return to the Home page.

  6. Click the Close icon (X) at the top of the screen to close System Mechanic.


Customize Advanced Internet Settings - Overview

Customize Advanced Internet Settings

To access:

From the Individual Tools pane, click Manage System Configuration and then click Start next to Customize Advanced Internet Settings.

What it does:

The Customize Advanced Internet Settings window allows advanced users and system administrators to edit Internet and network settings.

Why use it:

This tool can help the power user achieve the most efficient Internet speeds. You can modify advanced network settings and experiment with different configurations for testing.

Instructions:

Change settings

  1. From the Optimization Categories pane, select a category. The configurable options for a selected category will display on the right-side of the window. The on-screen text provides details about each option.

  2. The Configure fields allow you to change settings for a selected option. Change any settings as desired. You can also:

  • Click Use Default to set to the default values in Windows.

  • Click Use Optimal to set to the System Mechanic recommendation.

  3. Click Apply to save your changes.

Change settings in bulk

The buttons across the top of the window allow you to change all settings at once:

  • To restore all default settings to their previous value, click Restore All to Original.

  • To set all settings to the default values in Windows, click Set All to Default.

  • To set all settings to the System Mechanic recommendation , click Set All to Optimal.

Create profiles

A profile is a snapshot of the current settings. With profiles, you can experiment with different configurations and load different scenarios to help you achieve the best results.

To save or load a profile, click Profiles. Refer to Profiles Window for more information.

Close

When you are finished, you can do one of the following:

  • Click OK to save your changes and return to the Home page.

  • Click Cancel if you want to disregard changes (made since the last time you clicked Apply) and return to the Home page.

  • Click the Close icon (X) at the top of the screen to close System Mechanic.


Configure Advanced Internet Settings - Profiles Window

Customize Advanced Internet Settings

Profiles Window

Overview of Customize Advanced Internet Settings window

A profile is a snapshot of the current settings. With profiles, you can experiment with different configurations and load different scenarios to help you achieve the best results.

On the Profiles window, you can save profiles and load previously created profiles.

Save a profile

Profiles are saved in the Save current settings as new profile field. You can either:

  • Type in a name to identify the profile and click Save; or

  • Overwrite an existing profile. Click on the arrow; a drop-down list will display any previously created profiles. Select one from the list and click Save.

Load a profile

To load a previously saved profile, select it from the Previously Saved Profiles list and click Load.

Delete a profile

To delete a profile, select it from the Previously Saved Profiles list and click Delete. Click Yes on the confirmation window.

Close

When you are finished working with profiles, click OK to close the window and return to the Customize Advanced Internet Settings window.


Find Duplicate Files - Overview

Find Duplicate Files

To access:

From the Individual Tools pane, click Manage System Configuration and then click Start next to Find Duplicate Files.

What it does:

The Find Duplicate Files wizard detects duplicate files and allows you to delete the ones you do not want.

Why use it:

In addition to causing confusion, duplicate files unnecessarily take up drive space and can cause software conflicts. Use the Find Duplicate Files wizard to view a list of duplicate files and delete the one or more files you do not want.

Instructions:

The wizard has several screens to guide you through the process. Click a screen name below for more information:

  • Operation Mode

If you select one of the Automatic modes, the following screens display:

  • Find Duplicates

  • Inspection

If you select the Advanced/Custom mode, the following screens display:

  • Criteria

  • Location

  • Exclusions

  • Options

  • Find Duplicates

  • Inspection

Related topics:

Navigating within Wizards


Find Duplicate Files - Mode

Find Duplicate Files

Operation Mode

Overview of Find Duplicate Files wizard

On the first screen of the Find Duplicate Files wizard, select a mode.

With the automatic modes, System Mechanic uses default settings for searching for and detecting duplicate files. For the advanced custom mode, you provide detailed specifications on how to detect duplicate files.

Automatic

With the automatic modes, System Mechanic automatically remove junk files. The two options differ in what drives are searched.

  • Quick Search. Scans all drives for duplicates based on file name and file size. The duplicate files that System Mechanic detects will be displayed, and then you decide which ones you want to remove.

  • Deep Search. Scans all drives for duplicates based on file name, file size, and content. The duplicate files that System Mechanic detects will be displayed, and then you decide which ones you want to remove.

To have System Mechanic provide an estimate of the amount of duplicate files, click Analyze. When the analysis is completed, the estimated amount replaces the Analyze link.

Click Options to open the Automatic Cleanup Options window. This window allows you to set up an preemptive analysis and designate how removed files should be handled.

If you select one of the automatic modes, click Next to run the search.

Advanced

For the Custom Search mode, you designate what areas to search and provide detailed specifications on how to detect duplicate files. The duplicate files that System Mechanic detects will be displayed, and then you decide which ones you want to remove.

If you select the custom mode, click Next to designate the location.


Quick Mode Defined

Quick Search

The Quick Search mode scans all drives for duplicates based on file name and file size. The duplicate files that System Mechanic detects will be displayed, and then you decide which ones you want to remove.

This mode takes less time than the Deep Search.


Complete Mode Defined

Deep Search

The Deep Search mode scans all drives for duplicates based on file name, file size, and content. The duplicate files that System Mechanic detects will be displayed, and then you decide which ones you want to remove.

This mode takes longer than the Quick Search mode, but may return more accurate results.


Custom Mode Defined

Custom Search

The Custom Search mode allows you to designate what areas to search. You can also provide detailed specifications on how to detect duplicate files.

The duplicate files that System Mechanic detects will be displayed, and then you decide which ones you want to remove.


Automatic Options Window

Find Duplicate Files

Automatic Cleanup Options Window

Overview of Find Duplicate Files wizard

The Automatic Cleanup Options window allows you to set options for the Quick Search or Deep Search mode.

The fields on the window are described below.

Removal

Select how you want to handle duplicate files when you remove them.

  • Delete. Delete the file. (It will not be in the Recycle Bin.)

  • Move to Recycle Bin. Send the file to the Windows Recycle Bin.

Preemptive Analysis

Select the Automatically estimate size of duplicate file pool using quick/deep search check box to have System Mechanic automatically examine files and display an estimate of the amount of duplicate files.

Note: If you clear the check box, you can always run an analysis on-demand, by clicking Analyze from the Operation Mode screen.

By default, the check box is cleared.


Find Duplicate Files - Custom Location

- Click Browse, navigate to the desired folder and click OK.

Find Duplicate Files

Custom Location

Overview of Find Duplicate Files wizard

On the Location screen, select the specific drives and folders that you want to be searched.

Drives

The Drives pane displays all of the detected drives. Select the check box next to each drive you want to clean.

Folders

You can add the folders that you want to be searched. Once added to the list, ensure that the check box is selected for every folder you want to include.

  • To add a folder to the list, click New. Type in or browse to the desired folder location. See the New/Edit Folder Location window topic for details.

  • To edit a folder on the list, select it and click Edit. Edit the folder location. See the New/Edit Folder Location window topic for details.

  • To include a folder's subfolders, select the Include Subfolders check box. Clear the check to not include subfolders.

  • To remove a folder from cleaning, clear the check box. The folder will still remain on the list, but will not be searched.

  • To remove a folder from the list, select it and click Delete.

After making selections, click Next to designate criteria.


Find Duplicate Files - Custom Criteria

You can add the file patterns that should be searched. Once added to the list, ensure that the check box is selected for every file pattern you want to include.

  • To add a pattern to the list, click New. Type in the desired file pattern and description. See the New/Edit File Pattern window topic for details.

  • To edit a pattern on the list, select it and click Edit. Edit the file pattern or description. See the New/Edit File Pattern window topic for details.

  • To remove a pattern from cleaning, clear the check box. The file pattern will still remain on the list, but will not be searched.

  • To remove a pattern from the list, select it and click Delete.

Find Duplicate Files

Custom Criteria

Overview of Find Duplicate Files wizard

On the Criteria screen, select the types of files you want to be searched.

Select one of the following:

  • Find all duplicates. Searches all file types.

  • Only find duplicates of certain files. Searches the file types that you specify. If you select this option, the window expands to allow you to add the file patterns that match the file types you want to search. Click here for instructions.

After making selections, click Next to define any exclusions.


Find Duplicate Files - Custom Exclusions

- Click Browse, navigate to the desired folder and click OK.

Find Duplicate Files

Custom Exclusions

Overview of Find Duplicate Files wizard

On the Exclusions screen, select the file patterns and folders that you specifically want to be excluded from the search.

Excluded File Names and Patterns

You can exclude the file names and file patterns (file names with wildcards) that you do not want to be searched. Once added to the list, ensure that the check box is selected for every file name/pattern you want to exclude.

  • To add a pattern to the list, click New. Type in the desired pattern and description. See the New/Edit File Pattern window topic for details.

  • To edit a pattern on the list, select it and click Edit. Edit the pattern or description. See the New/Edit File Pattern window topic for details.

  • To remove a pattern from exclusion, clear the check box. The file pattern will still remain on the list, but will not be excluded from cleaning.

  • To remove a pattern from the list, select it and click Delete.

Excluded Folders

You can add the folders that you do not want to be searched. Once added to the list, ensure that the check box is selected for every folder you want to exclude.

  • To add a folder to the list, click New. Type in or browse to the desired folder location. See the New/Edit Folder Location window topic for details.

  • To edit a folder on the list, select it and click Edit. Edit the folder location. See the New/Edit Folder Location window topic for details.

  • To exclude a folder's subfolders, select the Include Subfolders check box. Clear the check box to not include subfolders in the exclusion.

  • To remove a folder from exclusion, clear the check box. The folder will still remain on the list, but will not be excluded from cleaning.

  • To remove a folder from the list, select it and click Delete.

After making selections, click Next to designate other options.


Find Duplicate Files - Custom Options

Find Duplicate Files

Custom Options

Overview of Find Duplicate Files wizard

On the Options screen, select various options for how duplicate files are searched for and detected.

Requirements for duplicate matches

Select the qualities you want to look for when determining whether duplicate files exist.

  • Same creation date and time.

  • Same name.

  • Same size.

With same size selected, you can select the CRC32 file compression check box to examine files at the byte level.

Note: This is a more accurate method of detecting duplicates, but does take more time.

Advanced Options

Select one or more advanced options. By default all of these options are selected.

  • Skip sysbckup folder(s)

  • Skip Windows virtual folder(s)

  • Skip zero-length files

To revert to the default settings, click Load Defaults.

After making selections, click Next to run the search.


Find Duplicate Files - More Information about Folders

- Click Browse, navigate to the desired folder and click OK.

Find Duplicate Files

More Information about Folders

Overview of Find Duplicate Files wizard

You can add the folders that you want to be searched. Once added to the list, ensure that the check box is selected for every folder you want to include.

  • To add a folder to the list, click New. Type in or browse to the desired folder location. See the New/Edit Folder Location window topic for details.

  • To edit a folder on the list, select it and click Edit. Edit the folder location. See the New/Edit Folder Location window topic for details.

  • To include a folder's subfolders, select the Include Subfolders check box. Clear the check to not include subfolders.

  • To remove a folder from cleaning, clear the check box. The folder will still remain on the list, but will not be searched.

  • To remove a folder from the list, select it and click Delete.


Folders

- Click Browse, navigate to the desired folder and click OK.

Find Duplicate Files

More Information about Folders

Overview of Find Duplicate Files wizard

You can add the folders that you want to be searched. Once added to the list, ensure that the check box is selected for every folder you want to include.

  • To add a folder to the list, click New. Type in or browse to the desired folder location. See the New/Edit Folder Location window topic for details.

  • To edit a folder on the list, select it and click Edit. Edit the folder location. See the New/Edit Folder Location window topic for details.

  • To include a folder's subfolders, select the Include Subfolders check box. Clear the check to not include subfolders.

  • To remove a folder from cleaning, clear the check box. The folder will still remain on the list, but will not be searched.

  • To remove a folder from the list, select it and click Delete.


Patterns

Find Duplicate Files

More Information about Patterns

Overview of Find Duplicate Files wizard

You can add the file patterns that should be searched. Once added to the list, ensure that the check box is selected for every file pattern you want to include.

  • To add a pattern to the list, click New. Type in the desired file pattern and description. See the New/Edit File Pattern window topic for details.

  • To edit a pattern on the list, select it and click Edit. Edit the file pattern or description. See the New/Edit File Pattern window topic for details.

  • To remove a pattern from cleaning, clear the check box. The file pattern will still remain on the list, but will not be searched.

  • To remove a pattern from the list, select it and click Delete.


Only find duplicates of certain files

The Only find duplicates of certain files option searches the file types that you specify.

If you select this option, the window expands to allow you to add the file patterns that match the file types you want to search.

Add the file patterns that should be searched. Once added to the list, ensure that the check box is selected for every file pattern you want to include.

  • To add a pattern to the list, click New. Type in the desired file pattern and description. See the New/Edit File Pattern window topic for details.

  • To edit a pattern on the list, select it and click Edit. Edit the file pattern or description. See the New/Edit File Pattern window topic for details.

  • To remove a pattern from cleaning, clear the check box. The file pattern will still remain on the list, but will not be searched.

  • To remove a pattern from the list, select it and click Delete.


Find Duplicate Files - Find

Find Duplicate Files

Find Duplicates

Overview of Find Duplicate Files wizard

On the Find Duplicates screen, the wizard processes the search for duplicate files, based on the mode and any selections you made.

There is no action for you to take on this screen (unless you wish to cancel).

When the search is complete, the Inspection screen will automatically display.


Find Duplicate Files - Inspection

Find Duplicate Files

Inspection

Overview of Find Duplicate Files wizard

The duplicate files detected will display. You decide which files, if any, you want to remove.

View information

Results are grouped into duplicate pools. A duplicate pool represents the one file that has one more duplicates.

Click on the plus sign to expand a pool and view each of the files in the pool. To expand all items, from the Tools menu, click Expand all. (Click Collapse all to close all the pools.)

The following Tools menu options allow you to view and access information related to each item.

  • Open containing folder. Opens a Windows Explorer window, showing the folder that contains the file.

  • Properties. Opens a standard Properties window that shows file's properties.

Sort results

You can sort results by various attributes: Name, size, type, location, version, and the dates created, modified, and accessed.

Click Sort by and choose the desired menu option.

Remove items

To select how you want to handle duplicate files when you remove them: From the Tools menu, click Removal method and then click one of the following:

  • Delete. Delete the file. (It will not be in the Recycle Bin.)

  • Move to Recycle Bin. Send the file to the Windows Recycle Bin.

To remove a duplicate: Select the file you want to work with. From the Tools menu, click Remove and then click one of the following:

  • Selected file. Select this option if you have selected the file you want to remove.

  • Keep selected and remove all other items in pool. Select this option if you have selected the file you want to keep.

Exclude items from future searches

If a duplicate pool, file, or folder that you would like to keep has been detected as a duplicate, you can exclude it from later runs of the wizard.

  • To exclude a file from later searches, select the file and from the Exclude menu, click Selected file from future searches.

  • To exclude a folder from later searches, select the folder and from the Exclude menu, click Selected folder from future searches.

  • To exclude an entire duplicate pool from later searches, select the pool and from the Exclude menu, click Selected duplicate pool from future searches.

To clear any exclusions you set, click Reset all exclusions from the Exclude menu.

Close

Once you are finished, you can exit the wizard or run another search.

  • Click New Search to run another search.

  • Click Exit on the bottom of the screen to return to the Home page.

  • Click the Close icon (X) at the top of the screen to close System Mechanic.


Remove Installed Programs - Overview

Remove Installed Programs

To access:

From the Individual Tools pane, click Manage System Configuration and then click Start next to Remove Installed Programs.

What it does:

The Remove Installed Programs feature allows you to thoroughly uninstall software, even if the program did not come with an uninstallation function. You can also remove invalid uninstallation files that may be cluttering your system.

Why use it:

Retaining programs you are no longer using needlessly consumes drive space and memory resources. Invalid installers can cause conflicts with other software and reduce overall PC performance.

The Remove Installed Programs feature uses advanced techniques to ensure the thorough elimination of a program and all of its components.

Instructions:

When you first open the window, System Mechanic collects program data and then displays a list of installed programs that have a built-in, or "native", uninstallation program.

View list of programs

For each installed program, the window displays the program name, description, and location.

  • To filter the list, click Filter View and select either Invalid uninstallers or All uninstallers.

Note: Invalid uninstallers contain corrupt or missing files; you will likely be unable to uninstall these programs with the built-in uninstaller.

  • To refresh the display and reload the list, click Refresh. There will be a momentary delay as System Mechanic recollects the program data.

  • To remove an uninstaller from displaying in the list, select it and click Remove Entry.

Uninstall a program

When a built-in, or "native", uninstaller is available and valid, we recommend that you use it for the best results.

  • Valid entries are indicated with a green square; you should be able to uninstall these programs using their native uninstaller.

  • Invalid entries contain corrupt or missing files and can clutter your PC or cause conflicts with valid software. Invalid uninstallers display with a red square.

If the program you want to uninstall:

  • Is on the list and is valid, select it and click Start Selected Uninstaller. The native uninstaller will begin. Follow the on-screen instructions for the associated uninstaller.

  • Is not on the list or has an invalid uninstaller, click Uninstall Program not Listed. The window refreshes to display all of the installed programs (regardless of whether the program has a native uninstaller).

The following tabs display; click on a tab name for more information:

Listed Program

Options

Uninstall

Related topics:

Navigating within Wizards


Remove Installed Programs - Listed Program

Remove Installed Programs

Listed Program

Overview of Remove Installed Programs wizard

After clicking Uninstall Program not Listed, the Listed Program screen refreshes to display all of your installed programs on the Listed Program screen.

Select the program you want to uninstall, and then click Next to designate options.


Remove Installed Programs - Options

Remove Installed Programs

Options

Overview of Remove Installed Programs wizard

On the Options screen, specify the files that you want to be removed as part of the uninstallation. The default selections will be appropriate for most users.

Uninstallation Depth

Uninstallation depth controls how far down in a hierarchical folder structure to search for items to remove.

  • Only uninstall specified application, ignoring any associated elements. Only uninstall the program executable. Any other files or folders that are in the same folder as the executable will NOT be removed.

  • Uninstall specified application an all elements contained in its folder. Uninstall the program executable and other items in its folder. Any other files or folders that are in the same folder as the executable WILL be removed.

If you select this option, you can select the Include items within application's subfolders check box to also remove any subfolders.

Uninstallation Scope

Uninstallation scope controls which types of data System Mechanic will search for. Then on the final screen, you can decide whether or not you want to uninstall any of the detected items.

For the most flexibility, it is recommended that you select all check boxes. You must select at least one of the following options to continue:

  • Find related files and folders. Searches for and displays the specified application main executable file and any associated files and folders.

  • Find shortcut items. Searches for and displays all shortcuts that reference the application and components.

  • Find registry items. Searches for and displays all registry entries that reference the application and components.

  • Find entries from system configuration files. Searches for and displays all references to the specified application and its components within system configuration files (.ini and .bat files).

When you are finished setting options, click Next to run the uninstallation.


Remove Installed Programs - Uninstall

Remove Installed Programs

Uninstall

Overview of Remove Installed Programs wizard

View Progress

The Uninstall screen initially shows the progress of the search. You can click Cancel to stop the process.

The screen displays an incremental progress bar with the percentage of processing complete, lists the files currently being processed, and provides an estimated completion time.

View Results

When the search is finished, the screen displays the detected files and allows you to run the uninstallation and removal of files.

Select a Category

Click an Item Category on the left to display the applicable data on the right.

Note: A category will not display any contents if you did not select the corresponding Scope on the Options screen.

  • Files and Folders. Displays the specified application main executable file and any associated files and folders.

  • Registry Items. Displays all registry entries that reference the application and components.

  • Shortcuts. Displays all shortcuts that reference the application and components.

  • Configuration. Displays all references to the specified application and its components within system configuration files (.ini and .bat files).

Make selections

You mark the files you want to uninstall by selecting their check boxes. You can do this in one of several ways:

  • Select the one or more check boxes [image] next to each item.

  • Make one of the following selections from the Edit menu:

  • Mark selected item for removal. Selects the check box [image] for the selected item, which marks it for uninstallation.

  • Unmark selected item. Clears the check box [image] for the selected item.

  • Mark all items in this category for removal. Selects the check box [image] for all items in the current category.

  • Unmark all items in this category. Clears the check box [image] for all items in the current category.

  • Mark all items in all categories for removal. Selects the check box [image] for all items, in all categories.

  • Unmark all items in all categories. Clears the check box [image] for all items, in all categories.

  • From the Options menu, you can click Automatically unmark items contained within unmarked locations. This could be useful when you unmark a folder and want all of its contents to also be automatically unmarked, instead of you manually finding and unmarking them individually.

Relocate

With the desired items marked, click Remove and then click one of the below menu options:

  • Remove marked items in this section. Uninstalls and removes all the marked items [image] in the current category.

  • Remove all marked items in all sections. Uninstalls and removes all the marked items [image] in all categories.

View additional information

You can view additional information for a selected file from the Tools menu, or by right-clicking on the entry. Both will open a menu of Tools options.

These options open windows with additional file or folder information The exact options that are available differ for each category.

Close

When you are finished, you can do one of the following:

  • Click Exit on the bottom of the screen to return to the Home page.

  • Click the Close icon (X) at the top of the screen to close System Mechanic.


Recover Deleted Data

Recover Deleted Data tools

*For System Mechanic Professional users only

To access:

From the Individual Tools pane, click Recover Deleted Data.

What they do:

The Recover Deleted Data tools allow you to reclaim lost or deleted files, pictures, email messages, and more. These options provide integrated access to the built-in data recovery software, Search and Recover.

Why use them:

Use Search and Recover to rescue the critical data that was accidentally deleted – be it from a hard drive, CD, MP3 player, digital camera, or any other digital device.

Search and Recover also offers tools for system backups and the secure deletion of sensitive data, making it a comprehensive product for managing your critical data.

Tools:

  • Recover all Data on a Drive or Disk. Open the Search and Recover wizard that restores the entire contents of a drive, device, or folder.

  • Recover Deleted Files. Open the Search and Recover wizard that recovers files of any type &endash; documents, spreadsheets, applications, system files, and more.

  • Recover Deleted Pictures and Movies. Open the Search and Recover wizard that recovers photos, images, and movies from your computer, digital camera, or other digital device.

  • Recover Songs and Sounds. Open the Search and Recover wizard that recovers music and sound files from your computer, music player, or other digital media.

  • Recover Deleted E-mail. Open the Search and Recover wizard that recovers email messages from Microsoft Outlook, Netscape Mail, Mozilla Thunderbird, and other email programs.

Note: Help specific to Search and Recover is provided in the program. Click Help from the menu bar on top of the Search and Recover Home page. To get help for a specific task, click the Help button on any of the screens or windows.

Related topics:

Power Tools

Individual Tools

Overview of iolo product line


Perform Diagnostics

Perform Diagnostics tools

To access:

From the Individual Tools pane, click Perform Diagnostics.

What it does:

The Perform Diagnostics tools offer a variety of detailed system reports and tracking tools.

Why use them:

The Perform Diagnostics tools give power users the information and diagnostics they need for advanced system troubleshooting and configurations.

Tools:

  • View System Information Report. View a comprehensive list of your PC's hardware, software, memory, installed devices, and more.

  • Measure Internet Download Speed. Run tests of Internet download rates.

  • Track System Changes. Track changes to your PC after performing system-modifying actions such as installations.

Related topics:

Manage System Configuration tools

All Individual Tools

IntelliStatus - View key system information


System Information - Overview

  • Machine. General information about your computer

  • Windows [X]. Various operating system data.

  • CPU. Various processor data.

  • Memory. Breakdown of available and used memory data.

  • Display. Display settings for your monitor, such as color settings and screen resolution.

  • Monitor. Hardware properties for your monitor.

  • Engines. Information about engines and APIs in use.

  • Drives. Information about attached drives - hard drives, virtual drives, and removable drives.

  • Time Zone. Time zone settings.

  • Startup. Programs and services set to load at startup.

  • Software. List of installed software.

  • APM. Advanced Power Management (APM) data. APM allows a computer to enter standby after a period of inactivity, to conserve electrical power. On laptops, APM also controls the battery status.

  • Media. List of available devices, such as audio mixers and synthesizers.

  • Network. Information about network connections.

  • Printers. Information about installed printers

  • Storage. Capacity information for attached drives - hard drives, virtual drives, and removable drives.

  • USB. Information about USB ports, both those with devices attached or no devices attached.

To save this information to an XML report, click Save Report and then select either All Topics (for all tabs) or Current Topic (for the selected tab).

To reload the display, click Refresh.

  • Name. The name of the process.

  • PID. A unique number that identifies the process.

  • CPU Time. The total processor time, in seconds, that has been used by the process since it started.

  • Memory Usage. The amount of memory being used by the process.

  • The Windows Devices tab shows the hardware installed on your computer.

For details on a specific item, select it and click Properties. Information specific to the device will display.

To view allocated resources for a specific item, select it and click Resources. If a resource list is available for the selected item, data will display in one or more of these categories: direct memory access (DMA) channels, input/output ports, interrupt request (IRQ), memory addresses, and device-specific data.

  • The Resources tab shows allocated resources and the device using each resource. The types of resources are direct memory access (DMA) channels, input/output ports, interrupt request (IRQ), and memory addresses.

To reload the display, click Refresh.

  • Name. The name of the process.

  • PID. A unique number that identifies the process.

  • CPU Time. The total processor time, in seconds, that has been used by the process since it started.

  • Memory Usage. The amount of memory being used by the process.

  • The Windows Devices tab shows the hardware installed on your computer.

For details on a specific item, select it and click Properties. Information specific to the device will display.

To view allocated resources for a specific item, select it and click Resources. If a resource list is available for the selected item, data will display in one or more of these categories: direct memory access (DMA) channels, input/output ports, interrupt request (IRQ), memory addresses, and device-specific data.

  • The Resources tab shows allocated resources and the device using each resource. The types of resources are direct memory access (DMA) channels, input/output ports, interrupt request (IRQ), and memory addresses.

To reload the display, click Refresh.

View System Information Report

To access:

From the Individual Tools pane, click Perform Diagnostics and then click Start next to View System Information Report.

What it does:

The View System Information Report window displays a wide array of details about your PC's hardware, software, memory, running processes, and more.

Why use it:

The System Information window provides a wealth of information about the computer and its components, conveniently grouped and organized into one interface.

Instructions:

When you first open the window, System Mechanic collects all the system data and then displays a detailed overview of your machine's physical components. The menu options open additional windows with more information.

Navigate the window

Click on an item on the left side of the window, and its details will display on the right.

  • To expand a category, click on the plus (+) symbol. To expand all of the categories, from the View menu, click Full Expand.

  • To collapse an category, click on the dash (–) symbol. To collapse all the categories, from the View menu, click Full Collapse.

Go back to the top of the topic

View information

Click on the PC name to display an overview of machine, BIOS, and operating system information.

Below the PC name, items are grouped into the following major categories:

  • Central Processor(s). Technical details about the processor.

  • Memory. Hardware information for memory devices.

  • Motherboard. Detailed hardware, memory, and port information for motherboard and devices.

  • Bus. Properties of bus connectors.

  • Video. Technical details for video adapters.

  • Monitor. Hardware and manufacturer details for the monitor.

  • Storage. Hardware details for physical drives and Windows storage.

  • Network. Information about network adapters.

  • Ports. Hardware information about USB, parallel, and serial ports.

  • Printers. Driver and port information for installed printers.

Go back to the top of the topic

Menu options

The menu options open windows that contain additional information. You can create reports and reload the display.

Summary menu option

  • Summary. Opens a detailed Summary window that displays a comprehensive array of technical information. The window displays the following information on 17 tabs:

View menu options

  • Refresh. Refreshes the window. There will be a momentary delay as System Mechanic recollects all the system data.

  • Processes. Opens the Processes window, which shows the Windows processes currently running. The following information displays for each process:

  • Devices. Opens the Devices window, which provides information about hardware. The window displays the following information on two tabs:

  • Full Expand. Expands all entries on the main window.

  • Full Collapse. Collapses all entries on the main window.

Report menu option

  • Save to XML. Opens a standard browse window. Navigate to the location where you want to save the XML document.

Processes menu option

  • Processes. Open the Processes window, which shows the Windows processes currently running. The following information displays for each process:

Devices menu option

  • Devices. Opens the Devices window, which provides information about hardware. The window displays the following information on two tabs:

Help menu option

  • Help. Opens this Help system.

Go back to the top of the topic


Measure Internet Download Speed

To access:

From the Individual Tools pane, click Perform Diagnostics and then click Start next to Measure Internet Download Speed.

What it does:

The Measure Internet Download Speed wizard runs tests of Internet download rates. To help you analyze the effect of any changes, the final screen compares current results to previous results.

Why use it:

Testing download rates can help you refine your Internet configurations to achieve the best possible speed.

Instructions:

The wizard has several screens to guide you through the tests. Click a screen name below for more information:

  1. Select Test File

  2. Test Download Speed

  3. Summary

Related topics:

Optimize Internet Speed

Configure Advanced Internet Settings

Navigating within Wizards


Internet Performance - Select Test File

Measure Internet Download Speed

Select Test File

Overview of Measure Internet Download Speed wizard

On the first screen, select a file for the download test.

You can select from sample files of different sizes (all the sample files come from the same test location), or type in a specific location and file:

  • Test download rate of 100 kilobyte file

  • Test download rate of 500 kilobyte file

  • Test download rate of 1 megabyte file

  • Test download rate from a location I specify

If you select this option, a "Specify a file to download field" field will display. Type in the location in http format. For example: http://www.website.com/filename.exe

Note: To help you analyze the effect of changes, the final screen compares current results to the previous results. For the best comparison, keep the test elements constant between tests.

When you have made your selection, click Next to start the test download.


Internet Performance - Test Download Speed

Measure Internet Download Speed

Test Download Speed

Overview of Measure Internet Download Speed wizard

The progress of the download displays. There is no action for you to take on this screen (unless you wish to cancel).

When the test is complete, the next and final screen will automatically open, displaying test results.

View Progress

A progress bar and a graphic presentation of the progress show the amount of the download that is complete. The estimated time remaining also displays.

Cancel

To stop the test prior to its completion, click Cancel. The final Summary screen will open, displaying results at the time of cancellation.


Internet Performance - Summary

Measure Internet Download Speed

Summary

Overview of Measure Internet Download Speed wizard

The last screen shows the results of the download test.

Current results are compared to previous results. A percentage increase or decrease displays, to help you see if any recent configurations have affected your download speed.

Results are also divided into peak and average speed:

  • Average Speed. The average speed is computed by averaging the data received every second over the download elapsed time.

  • Peak Speed. Peak speed is the fastest recorded amount of data that came through to your PC over a one-second period. Peak speeds are usually higher than average speeds because a connection cannot maintain the peak transmission speed for very long.

When you are finished viewing the results, you can do one of the following:

  • Click Perform another test; you will return to the first screen of the Measure Internet Download Speed wizard.

  • If System Mechanic detects that your Internet settings are not optimized, an Optimize Internet configuration link will display. Click the link to open the Optimize Internet Speed wizard.

  • Click Exit on the bottom of the screen to return to the Home page.

  • Click the Close icon (X) at the top of the screen to close System Mechanic.


Track Changes - Overview

Track System Changes

To access:

From the Individual Tools pane, click Perform Diagnostics and then click Start next to Track System Changes.

What it does:

The Track System Changes wizard allows you to view a report of the changes between two system states. This can help you track changes after performing system-modifying actions such as installations.

Tip: Take a snapshot of your system when your PC is healthy. Then if your computer starts to experience problems, you can view a comparison between the healthy state and the current state.

Why use it:

When you install software and run other system-changing operations, files are added, registry entries are modified, and other core Windows configuration files are updated. For troubleshooting, it can be useful to track and quantify these changes.

Instructions:

The wizard has several screens to guide you through the process. Click a screen name below for more information:

  • Operation Mode

If you are creating a snapshot, the below two screens run the process:

  • Save System State

  • Back Up Registry

If you are running a comparison, the below two screens run the process:

  • Compare System State

  • Report

Related topics:

Navigating within Wizards


Track Changes - Mode

Track Changes

Operation Mode

Overview of Track Changes wizard

On the first screen, select whether you want to create a snapshot or view a comparison between the current state and a previous snapshot.

  • Save current system state for future comparison. Save the current state of your system. Click Next to open the Save System State screen.

  • Compare current system state to previous system state. Runs a comparison between the current state and a previous state. This option is only available if you have previously saved a snapshot. Click Next to open the Compare System State screen.

To designate what types of files and settings you want to save in a snapshot, click Options to open the System Snapshot Options window.

If you have previously saved a comparison report, you can open it by clicking Open Existing Report. The report results will display on the Report screen. Refer to the Report topic for information on viewing and saving reports.


Track Changes - Options Window

Track Changes

Operation Mode > System Snapshot Options Window

Overview of Track Changes wizard

The System Snapshot Options window allows you to designate what types of files and settings you want to save in a snapshot.

System Registry

To save registry configuration data, select the Save all registry configuration data check box.

Store state information from these drives

Select the check box next to each drive state you want to save.

Storage Method

For the storage method, select either:

  • Use disk contents. Obtains information about your drive contents as criteria when comparing changes.

  • Use file times. Uses the last modified date, last access date, and time attributes of each file as criteria when comparing changes.

Store state information from these .ini files

Add the configuration settings files (.INIs) that you want to save.

Note: By default, the Windows system.ini and win.ini are already on the list. To return to this default selection, click Default. The list will revert to only including system.ini and win.ini.

  • To add an .INI file to the list, click Add. A standard browse window will open. Navigate to the desired file and click Open. The file will be added to the list.

  • To edit an .INI file on the list, select the file name and click Edit. A standard browse window will open. Type in the file name, or navigate to the desired file and click Open. The revised file will display on the list.

  • To delete an .INI file from the list, select the file name and click Delete.


Save State Defined

Save current system state for future comparison

The "Save current system state for future comparison" mode saves the current state of your system for later comparison.


Compare State Defined

Compare current system state to previous system state

The "Compare current system state to previous system state" mode runs a comparison between the current state and a previously saved state.


Disk Contents Defined

Use Disk Contents

Disk content comparison obtains information about your drive contents.

This method is slower than file time comparison, but it can track a greater scope of changes.


File Times Defined

Use File Times

File time comparison uses the last modified date, last access date, and time attributes of each file as criteria when comparing changes.

This method is the fastest, but may not be as accurate as a disk contents comparison.


Track Changes - Save State

Track Changes

Save System State

Overview of Track Changes wizard

The progress of the snapshot creation displays. There is no action for you to take on this screen (unless you wish to cancel).

When the snapshot is complete, the next and final screen will automatically open, displaying results.

View Progress

A progress bar and a graphic presentation of the progress show the amount of the process that is complete. The estimated time remaining also displays.

Cancel

To stop the process prior to its completion, click Cancel. The screen will display an "Operation Cancelled" message.

You can click Restart storage of current system state or click Exit to close the wizard.


Track Changes - Finish

Track Changes

Finish

Overview of Track Changes wizard

The last screen shows the results of the snapshot creation.

When you are finished viewing the results, you can:

  • Click Compare Now to compare the current system state to the snapshot that you just created. The Compare System State screen will open and process the comparison. Refer to the Report topic for information on viewing reports.

  • Click Perform another action with this tool; you will return to the first screen of the Track Changes wizard.

  • Click Exit on the bottom of the screen to return to the Home page.

  • Click the Close icon (X) at the top of the screen to close System Mechanic.


Track Changes - Compare State

Track Changes

Compare System State

Overview of Track Changes wizard

The progress of the comparison displays. There is no action for you to take on this screen (unless you wish to cancel).

When the comparison is complete, the next and final screen will automatically open, displaying results.

View Progress

A progress bar and a graphic presentation of the progress show the amount of the process that is complete. The estimated time remaining also displays.

Cancel

To stop the process prior to its completion, click Cancel. The final Report screen will open.


Track Changes - Compare Report

Track Changes

Report

Overview of Track Changes wizard

The Report screen shows the results of a comparison. This screen displays immediately after running a comparison or when you load a previously saved report.

View report information

The report displays data grouped into the file types (registry files, standard files and folders, and .INI files) and file actions (changed, deleted, and added).

To expand a group and view its contents, click the plus (+) symbol. To expand all groups, click Expand all from the Tools menu. (Click Collapse all to collapse all groups.)

An entry displays for each file in the group:

  • To view file properties, click on a file name, or from the Tools menu, click File properties. This option is not available for all file types.

  • To open the folder in Windows Explorer, click on a folder name, or from the Tools menu, click Open containing folder. This option is not available for all file types.

  • To help you locate the file you want to view, you can click Sort Items, or from the Tools menu, click Find and enter search text.

Save reports

To save a report, click Save. A standard Save As window will open. Navigate to the desired location and click Save. Reports are saved with an .RPT extension.

To export report results to a text file, click Export. A standard Save As window will open. Name the file, navigate to the desired location, and click Save.

Open a report

To open another report, click Open Report. The window will refresh and show the results of the just-opened report.

Close

When you are finished viewing the results, you can exit by doing one of the following:

  • Click Exit on the bottom of the screen to return to the Home page.

  • Click the Close icon (X) at the top of the screen to close System Mechanic.


Reports - IntelliStatus pane

Reports [image] IntelliStatus

IntelliStatus – Monitor key system information

To access:

Under Reports on the navigation bar, click IntelliStatus.

What it does:

The IntelliStatus pane displays the status of key areas that impact performance: available hard drive space and memory, number and type of startup and running programs, and Internet connection speed.

Why use it:

IntelliStatus provides key statistics for troubleshooting and performance tracking. Monitoring these system details can help you assess the impact of system changes and see if any unknown processing is occurring. The buttons give you fast access to the relevant optimization and management tools.

Instructions:

The following categories of information are offered:

  • Hard Drive Space

  • System Memory

  • Startup Programs

  • Running Programs

  • Internet Speed

Click the double arrow icon next to a category to refresh and recalculate the results.

Hard Drive Space

The Hard Drive Space section displays how much hard drive space is available on your computer.

  • The top of the section displays the amount of available hard drive space, with a percentage of the total space.

  • The detail lists each of your hard drives and displays the following for each: the available hard drive space, the percentage of available hard drive space to total space, and total hard drive space.

Click Clean Up to open the PC Cleanup Wizard. This one wizard combines several tools that clean out unneeded files from your computer.

Go back to the top of the topic

System Memory

The System Memory section displays how much available memory is on your computer.

  • The top of the section displays the amount of available memory, with a percentage of the total memory.

  • The detail shows memory amounts in the following categories:

 | Free Memory | Total Memory
Physical | The number of bytes of available RAM, with a percentage of the total. | The total number of bytes of installed RAM.
Page file | The number of bytes available in the page file, with a percentage of the total. | The total number of bytes that can be stored in the page file. This number does not represent the actual size of the page file.
Virtual | The number of bytes of virtual memory in use by memory-intensive programs, with a percentage of the total. | The number of bytes of virtual memory reserved for memory-intensive programs.

Click Optimize to open the Defragment Memory wizard. This tool can reclaim valuable memory and improve PC efficiency, stability, and speed.

Go back to the top of the topic

Startup Programs

The Startup Programs section displays the programs and services that start whenever Windows loads.

  • The top of the section displays the total number of programs/services in Windows startup.

  • Click on the corresponding tab to see the program names in each of these categories:

  • Dangerous. Software that has been identified as malicious and dangerous by iolo's research team.

  • Unknown. Programs and components that are not recognized by System Mechanic.

  • Optional. Installed, safe applications (or components of such applications) that may be desired but are not required to perform core functionality, such as music players.

  • Necessary. Installed, safe applications that perform core functionality, such as antivirus protection.

  • System. Core components of the Windows operating system.

Click Configure to open the Configure Windows Startup window. This tool allows you to view and manage all the processes that start when the operating system loads.

Go back to the top of the topic

Running Programs

The Running Programs section displays the programs and services that are currently running on your computer.

  • The top of the section displays the total number of programs/services running.

  • Click on the corresponding tab to see the program names in each of these categories:

  • Dangerous. Software that has been identified as malicious and dangerous by iolo's research team.

  • Unknown. Programs and components that are not recognized by System Mechanic.

  • Optional. Installed, safe applications (or components of such applications) that may be desired but are not required to perform core functionality, such as music players.

  • Necessary. Installed, safe applications that perform core functionality, such as antivirus protection.

  • System. Core components of the Windows operating system.

Click Configure to open the Manage Running Programs window. This tool allows you to view and control all the programs and processes that are currently running.

Go back to the top of the topic

Internet Speed

The Internet Speed section calculates and displays the speed of your Internet connection.

Click Measure Now to run the calculation (or click the double arrow icon in the header to re-calculate); this takes a few moments. When completed:

  • Your connection speed will display, in kilobits (or megabits) per second.

  • The graphic will present your connection speed as part of a range, so that you can see how relatively fast your connection is.

  • The top portion of the graphic shows where your connection speed falls within the range of common speeds for your Internet connection type (for example, dial-up or DSL).

  • The bottom portion of the graphic shows where both your speed and Internet connection type fall in relation to all available connection speeds (on a scale from 0 kb to over 6 Mb).

Click Optimize to open the Optimize Internet Settings wizard. This tool allows you to tailor various settings to suit your type of Internet connection and to boost Web download rates.


Reports - History pane

Reports [image] History

History - View and manage System Mechanic's prior activity

To access:

Under Reports on the navigation bar, click History.

What it does:

The History pane displays statistics of the repairs and optimizations made by System Mechanic. You can also access SafetyNet to revert System Mechanic's changes and can configure the receipt of ActiveCare reports.

Instructions:

The pane is divided into the following sections:

  • Problems Recently Repaired

  • Odometer

  • SafetyNet

  • ActiveCare Email Reports

Problems Recently Repaired

The Problems Recently Repaired section lists any recent repairs and optimizations made by System Mechanic, along with a date and time.

Odometer

The Odometer section displays the number of problems repaired by System Mechanic, along with the amount of drive space freed by the actions. Information is presented in two time groups:

  • Since Date and time of last reset. Shows the number of problems repaired since you last reset the count. Click Reset to restart the count from zero.

  • Lifetime. Shows the number of problems repaired since you installed System Mechanic.

For each of the time groups, the following information displays:

  • Total problems repaired. The total number of items repaired or removed. Below the totals are detail for the number of spyware removed, registry problems repaired, security flaws repaired, broken shortcuts repaired, startup problems repaired, and invalid uninstallers removed.

  • Drive space freed. The total amount of drive space freed due to System Mechanic repairs and optimizations.

Go back to the top of the topic

SafetyNet

With the SafetyNet feature, you can undo selected System Mechanic actions and revert your PC to its prior state.

To use this feature, click Open. The SafetyNet window will open, allowing you to view changes made to your system by System Mechanic and then rollback the changes you select.

ActiveCare Email Reports

System Mechanic can send you status reports about ActiveCare activity, including recently repaired problems and recommended optimizations. If you have elected to:

  • Receive these reports, an Enabled status message will display, along with your email address.

  • Not receive these reports, a Disabled status message will display.

To turn the receipt of reports on or off, or to change your email address, click Configure. The ActiveCare tab of the Options window will open, allowing you to change settings.


SafetyNet - Overview

SafetyNet – Reverse System Mechanic actions

To access:

Click SafetyNet from the menu bar on top of the Home page.

- OR-

Click Open from the SafetyNet section on the History pane.

What it does:

SafetyNet allows you to undo selected System Mechanic actions and revert your computer to its prior state.

Note: SafetyNet allows you to undo the type of actions that are designated on the SafetyNet tab of the Options window.

Why use it:

The SafetyNet feature allows for safe and worry-free configurations and can be useful for troubleshooting.

Instructions:

This topic describes how to view actions, undo selected actions, remove actions from display, and export results.

View actions

The SafetyNet window displays the actions that System Mechanic has processed. To help you pick the right action, the following information displays for each:

  • Action. The type of System Mechanic action; for example, Optimize Registry.

  • Tool. The System Mechanic tool that performed the action; for example Security Flaw Repair.

  • Performed. The date and time the action was run.

  • Source. The area of System Mechanic that ran the action; for example, Wizard or Homepage.

Go back to the top of the topic

Undo selected actions

The Undo option reverses an action.

  1. Select the action you want to undo.

  2. To select a single action, click on the row to highlight it .

  3. To select multiple actions, select the check box [image] next to each action.

  4. To select all of the displayed actions, click Select All from the Edit menu. All of the check boxes will be selected. ("Select None" clears all selections.)

  2. Undo the selected actions. If you have:

  • A single action highlighted : On the left side of the window, click Undo this action; OR, from the Undo menu, click the action name.

  • Single or multiple actions selected [image]: From the Undo menu, click Selected (X actions) [where X is the number of actions you have selected].

Go back to the top of the topic

Remove selected actions

The Purge option removes an action from the list, to help you keep the listing a manageable size. Once an item is purged from the display, you cannot undo it.

  1. Select the action you want to purge.

  2. To select a single action, click on the row to highlight it .

  3. To select multiple actions, select the check box [image] next to each action.

  4. To select all of the displayed actions, click Select All from the Edit menu. All of the check boxes will be selected. (Select None clears all selections.)

  2. Purge the selected actions. If you have:

  • A single action highlighted : On the left side of the window, click Purge this action; OR, from the Purge menu, click the action name.

  • Single or multiple actions selected [image]: From the Purge menu, click Selected (X actions) [where X is the number of actions you have selected].

Go back to the top of the topic

Export results

The Export option allows you to export results for an action to an XML file. Only a single action can be exported.

  1. Select the action that you want to export.

  2. From the Export menu, click the action name.

  3. A standard "Save as" window opens. Navigate to the desired location and save the file.


Options - SafetyNet

Options window

SafetyNet tab

Overview of the Options window

The SafetyNet tab controls whether "undo" information is saved for certain functions. For a function that has its undo information saved, the SafetyNet feature will be able to reverse associated actions and revert your computer to its prior state.

Select the Save Undo Information check box for every function that you want to be able to save undo information for. Clear the check box for every function you do not need to save undo information for.

Increase Performance Tools

Controls whether undo information is saved for the Optimize Windows Startup and Optimize Internet Settings wizards.

Enhance Protection Tools

Controls whether undo information is saved for the Fix Security Vulnerabilities wizard.

Repair Problems Tools

Controls whether undo information is saved for the Remove Spyware, Repair Registry Problems, and Repair Broken Shortcuts wizards.

Manage System Configuration Tools

Controls whether undo information is saved for the Customize Advanced Windows Settings window.

Free Up Drive Space Tools

Controls whether undo information is saved for the Remove Junk Files, Remove Internet Debris, and Clear Internet Browsing Tracks wizards.

Note: We recommend that you do NOT save undo information for the Free Up Drive Space tools. Because these tools clean unneeded PC clutter, most users will not need to recover these files. Additionally, backing up unneeded files significantly increases the processing time of the Free Up Drive Space wizard.

Select this check box only if you are sure that you want to be able to recover files deleted by the cleanup tools.

Related topics:

SafetyNet


Options - Overview

Options window - Configure System Mechanic settings

To access:

Click Options from the menu bar on top of the application.

What it does:

The Options window allows you to tailor settings for various System Mechanic features.

Jump to descriptions of each tab:

  • SafetyNet. Set the types of System Mechanic actions you want to be able to revert in SafetyNet.

  • ActiveCare. Designate the receipt of ActiveCare reports. (More on ActiveCare.)

  • Dashboard. Control the display of Repair confirmation prompts and hidden problems.

  • General. Control the display of program tips and set the Internet configuration.

Buttons on the window:

  • Click Save to save and apply your changes and close the window. If you close the window without clicking Save, any changes you made will not apply.

  • Click Cancel to disregard any changes made and close the window.

  • Click Help to open this Help system.


Options - ActiveCare

Options window

ActiveCare tab

Overview of the Options window

System Mechanic can email you status reports about ActiveCare activity, including recently repaired problems and recommended optimizations. (Read more about ActiveCare's Automated Tasks.)

On the ActiveCare tab, you can turn the receipt of ActiveCare reports on or off, or change your email address.

ActiveCare Email Reports

To receive ActiveCare status reports:

  1. Select the Email me ActiveCare Reports explaining what System Mechanic has done recently check box. To additional fields will display.

  2. Type in your email address in the Send reports to the following email address field. (Email address are not disclosed to any third parties and are securely stored.)

  3. Type in a nickname to identify your computer in the Computer Description field. System Mechanic enters a default name, but you may change it if you wish.

    The nickname is helpful if you have System Mechanic installed on more than one PC and want to track their ActiveCare activity separately.

To stop receiving the reports:

  • Clear the Email me ActiveCare Reports explaining what System Mechanic has done recently check box.

Related topics:

ActiveCare's Automated Tasks


Options - Dashboard

Options window

Dashboard tab

Overview of the Options window

The Dashboard tab controls the display of Repair confirmation prompts and hidden problems on the Problems pane.

Repair Options

By default, System Mechanic displays a confirmation prompt when you run repairs. The Repair Options section allows you to control the display of these prompts.

To turn of the prompts, clear the Prompt me before repairing problems from the System Mechanic Dashboard check box; select the check box to turn the prompts back on.

Note: You can also turn off prompts by selecting the "Do not show this prompt again" check box directly on the message itself.

Dashboard Alerts

The Dashboard Alerts section shows the problems and warnings, if any, that you hid on the Dashboard's Problems pane.

If you have hidden a problem/warning and wish to change its settings, click Change. The Hide Alerts window offers the following options:

  • Hide [X] alerts for 1 day. Hide for 1 day.

  • Hide [X] alerts for 3 days. Hide for 3 days.

  • Hide [X] alerts for 7 days. Hide for 7 days.

  • Do not show [X] alerts again. Hide permanently (Can still be changed from this tab).

  • Show [X] alerts (stop hiding). Re-display problem/warning on the Dashboard.

Note: Hidden problems are not included in System Mechanic's computations of system status.

Related topics:

Problems pane


Options - General

Options window

General tab

Overview of the Options window

The General tab controls the display of program tips and allows you to set the Internet configuration.

System Mechanic Tips

By default, System Mechanic displays tips and additional information that you may find useful when performing certain functions.

To turn off the display of these tips, clear the Show tips check box; select the check box to turn the tips back on.

Internet Configuration

Specifying the correct Internet connection type helps System Mechanic provide you the best optimizations. If you are unsure of your connection type, ask your Internet Service Provider.

  • Broadband (cable, DSL, satellite, ISDN, T1, etc.). LAN, Cable, DSL, Satellite, ISDN, T1, or Wireless or other high speed connection.

  • Broadband over PPPoE. Cable, DSL or Satellite, or Wireless running PPPoE. If your connection is running PPPoE, you likely use a separate program to log on to the Internet. If you are unsure of this setting, check with your Internet service provider.

  • Dial-up. A modem connection.

Related topics:

Internet connection settings for product downloads


Help Menu

Help and Software Resources

To access:

Click Help from the menu bar on top of the application.

What it does:

The Help menu provides access to help features, product updates, and licensing information.

More information on each menu option:

  • System Mechanic Help. Opens the in-product help system you are currently reading.

  • Search for Help Online. Opens iolo's Web site, allowing access to online help resources.

  • Check for Product Updates. Checks for the status of your iolo software.

  • Configure Update Options. Opens the Update Settings window, which allows you to change default settings for how you connect to iolo's Internet server to check for updates.

  • About System Mechanic. Displays your licensing information and the version of System Mechanic you're running.

Related topics:

Web support

Technical support


How to Use the Help

  1. Select the Contents tab.

  2. Click on a folder to display the topics within that folder.

  3. Click on a topic to display it in the main viewer.

You can navigate through the contents by clicking on the desired folder/topic or pressing the Up arrow and Down arrow on your keyboard.

  1. Select the Index tab.

  2. You can:

  3. Browse the index. Select a term from the keyword list, and click Display; OR simply double-click on the term. The selected topic displays in the main viewer.

  4. Search the index. In the Type in the keyword to find field, type in your keyword. Select a term from the keyword list and click Display; OR simply double-click on the term. The selected topic displays in the main viewer.

Note: If more than one topic is associated with the term, the Topics Found dialog box appears. Select the desired topic and click Display; OR simply double-click on the topic name.

Tip: If you do not see your keyword in the index, try a full-text Search, which is described below.

  1. Select the Search tab.

  2. Type the keyword in the Type in the keyword to find field, and then click List Topics. The results appear in the Select Topic to display pane.

Tip: Type "and" between each search term to only find topics that include all the search terms. Type "or" between each search term to find topics that include one term or the other, but not both.

  3. Select the topic name and click Display; OR simply double-click on the topic name. The selected topic displays in the main viewer, with your entered keywords highlighted.

This is an example of drop-down text, which provides additional information on the selected word or phrase.

Click inside a topic in the main viewer (not in the Contents tab), and then press the right mouse button. From the shortcut menu that appears, click Back or Forward.

Either click inside a topic or click on a folder/topic in the Contents tab, and then press the right mouse button. From the shortcut menu that appears, click Print.

Minimize. Click the dash (—) to reduce the Help window to a button on your taskbar.

Maximize/Restore. Click the single square to fill the screen with the Help window. Click the double square to restore the Help window to its previous size.

Exit. Click the X to close the Help window.

Note: The Help system icon (?) on the top, left side of the title bar offers the same options. Click the icon and choose the desired option from the drop-down menu.

  • To resize the window: Place your mouse pointer over a border of the Help window. When the pointer becomes a double-headed arrow, press and hold the left mouse button and move your mouse in the direction you want the border to move. When the border is at the desired location, release the mouse button.

  • To move the window: Place your mouse pointer in the title bar ("Help for iolo System Mechanic"). Press and hold the left mouse button and move your mouse in the direction you want the Help window to move. When the window is at the desired location, release the mouse button.

Note: The Help system icon on the left side of the title bar offers the same options. Click the icon and choose the desired option from the drop-down menu.

Using the System Mechanic Help system

To access:

From the Help menu, click System Mechanic Help.

- OR-

Click the Help button or icon on any of the windows.

What it does:

This Help system is a resource for learning how to use System Mechanic. It includes how-to instructions and detailed information about each feature.

Instructions:

This topic describes how to use and navigate the Help system and covers the following:

  • Finding a topic through the Contents, Index, and Search tabs.

  • Saving and accessing frequently used topics on the Favorites tab.

  • Using hyperlinks and drop-down keywords in topics.

  • Navigating between previously-viewed topics with the Back and Forward buttons.

  • Printing topics.

  • Moving, resizing, and closing the Help window.

Find a help topic

To help you quickly get to the information you need, the Help window provides three tabs on the left side of the window: Contents, Index, and Search.

  • Contents. Browse through the organized categories and find a topic. Click to view instructions:

  • Index. Search by keyword. The index is an alphabetical list of words and phrases that are related to a given topic, but the actual text may or may not be included in the topic. Click to view instructions:

  • Search. Search by keyword. The full-text search allows you to search topics for every occurrence of a specific word or phrase. Click to view instructions:

Go back to the top of the topic

Store favorite topics

For help topics that you often refer to, you can save and then quickly access them on the Favorites tab.

  • To add a topic as a favorite: Open the desired topic so that it is displaying in the main viewer. Select the Favorites tab and click Add. The topic's name will display in the Topics list and is now a favorite.

  • To view a favorite topic: Select it from the Topics list on the Favorites tab, and click Display or double-click on the topic name to display it in the main viewer.

  • To remove a topic as a favorite: Select it from the Topics list on the Favorites tab, and click Remove. The topic name will no longer display on the Favorites tab, but the topic is still accessible from the Contents, Index, and Search tabs.

Go back to the top of the topic

Use links in help topics

  • Hyperlinks inside of topics connect related topics together. When you click a hyperlink, you view the related topic. Hyperlinks are indicated with a blue underline (they change color to dark red after you have viewed them).

Some hyperlinks will open pop-up windows, small windows that display in front of the main window. To close a pop-up window, simply click anywhere within the main topic or pop-up window.

  • Drop-down keywords are words or phrases that you click to display additional information below. Click the phrase again to hide the information. Drop-down keywords are indicated in topics with a green underline.

Move between previously-viewed help topics

To navigate between previously-viewed Help topics, click Back or Forward. Click Home to return to the introductory page of this Help system.

Note: You can also move back and forward from the right-click menu.

Go back to the top of the topic

Print help topics

You can print a topic or print all topics within a folder.

  1. Select a topic or a folder.

  • To select a folder, click on it in the Contents pane.

  • To select a topic, either click on it in the Contents pane or click inside the topic in the main viewer.

  2. Click Print. On the Print Topics window, you have two printing options:

  • To print the current topic, select Print the selected topic.

  • To print all of the topics within the selected folder (or all of the topics that are in the same folder as the selected topic), select Print the selected heading and all subtopics.

Note: You can also print from the right-click menu.

Move, resize, and close the Help window

  • The title bar offers the standard Windows buttons: Minimize, Maximize/Restore, and Exit. More information:

  • You can also move and resize the Help window with standard dragging operations.

Go back to the top of the topic

Related topics:

Get more help on the Web

Contact Technical Support


Web Support

Customer Care / Web Support

To access:

From the Help menu, click Search for Help Online and then click the Support tab.

- OR-

In your Web browser, navigate to http://www.iolo.com/customercare

What it does:

The Customer Care page on iolo's Web site offers a wide range of support and service options, including:

  • A Knowledge Base with technical articles, tutorials, frequently asked questions, and troubleshooting tips.

  • Contact forms to e-mail specific questions to the Technical Support and Sales/Customer Service departments. (All support is free and unlimited.)

  • Access to other services such as product downloads, product registration, and the online license retrieval system.

Read Online Knowledge Base

The searchable Knowledge Base has answers to frequently asked questions, technical articles, tutorials, tips, and more.

You can quickly get to the information you need in three different ways:

  • Quick Solutions provides fast access to common customer issues.

  • Use Find Answers to find solutions based on keywords.

  • Browse through articles by topic in Browse for Solutions.

Online Knowledge Base: www.iolo.com/customercare

Contact Technical Support

The Technical Support department handles technical, product-related questions. All technical support is free and unlimited.

Simply enter your contact information, select the System Mechanic product, and then type in the details of your question.

A valid e-mail address is required to submit the form. Please add support-crm@iolo.com to your e-mail program's "safe senders" list before submitting the form.

Technical Support Online Submission Form: www.iolo.com/customercare/technicalsupport.aspx

Other Services

From the Customer Care page, you can also:

  • Download current and prior releases of iolo software.

  • Register your iolo software.

  • Use the licensing retrieval system to get your User ID and Serial Number if it's ever misplaced (available if you purchased the product directly from iolo or registered your software).

Related topics:

Contact iolo

Technical support


Updates

Check for Product Updates – Keep software current

To access:

From the Help menu, click Check for Product Updates.

What it does:

The Check for Product Updates feature allows you to check for and download product updates for System Mechanic.

Note: An open Internet connection is required; to check for updates and then download them, you must connect to iolo's Internet server.

Why use it:

Downloading updates keeps you current with the latest product improvements, revisions, and patches.

Instructions:

Click Check for updates to have the system connect to iolo's Internet server and check for any product updates.

If:

  • You are running the latest version of the product

Then:

An Information message will display, informing you that your software is up-to-date. Click OK to close the message.

  • Updates to your product are available

The Updates Available window will display, allowing you to view what updates are available. You have the option of downloading them immediately or at a later time.

Refer to the Updates Available topic for details.

  • An Internet connection could not be established

An Information message will display, informing you that the system could not connect. Click OK to close the message, and then check your Internet connection.

Note: Common connectivity issues include the Internet connection is not on, the firewall is blocking the connection, or proxy settings are incorrect.

Related topics:

Update Settings window - Configure settings


Update Settings window

To access:

From the Help menu, click Configure Update Options.

What it does:

The Update Settings window allows you to change default settings for how you connect to iolo's Internet server to check for product updates; this includes the ability to set up connections for a proxy server.

Instructions:

The window initially displays two fields: Automatically check for updates at startup and Connect through a proxy server.

Automatically check for updates at startup

By default, the "Automatically check for updates at startup" check box is selected; every time you open the application, System Mechanic connects to the Internet and checks for updates.

  • To turn off the automatic checking, clear the check box. You can still check for updates when you wish, by clicking Check for Product Updates from the Help menu.

  • To return to having System Mechanic automatically check for updates, select the check box.

Connect through a proxy server

By default, the "Connect through a proxy server" check box is cleared.

  • If you connect to the Internet through a proxy server, select the check box. Once selected, the following fields appear, allowing you to enter information about the proxy server.

  • Server address. Enter the IP address or domain address of the proxy server.

  • Port. Enter the port number of the proxy server.

  • Requires username and password. Select the check box if the proxy server requires authentication. Once selected, the Username and Password fields appear. Type in the appropriate username and password.

  • Clear the check box if you do not connect through a proxy server.

Related topics:

Check for Product Updates menu option

Updates Available window


About System Mechanic

To access:

From the Help menu, click About System Mechanic (or About System Mechanic Professional).

What it does:

The About window displays your licensing information and the version of System Mechanic you are running.

With an Internet connection, you can also open iolo's Web site from this window.


Technical Support

The Technical Support department handles technical, product-related inquiries. Please also feel free to browse the online Knowledge Base for the fastest answers to your questions.

All technical support is free and unlimited.

Online Contact: www.iolo.com/customercare/technicalsupport.aspx

Related topics:

Other contact information

Web support


Update Available Window

Updates Available window

To access:

The Updates Available window displays when product updates are available for download.

Instructions:

If any product updates are available, the Updates Available window allows you to view a list of the updates and gives you the option of downloading them immediately or at a later time.

To view what updates are available:

  • Click Show details. The Updates Available window will display a list of the available updates.

To install the updates later:

  • Click Later. The Updates Available window will close and you will be returned to System Mechanic.

To install the updates now:

Note: Some updates will require you to restart your computer.

  1. Click Download and Install Now. The Updates Available window will display the progress of the installation. The time it takes to download the updates depends on the size of the update and your Internet connection speed.

  2. When the software update completes, either:

  • The Updates Available window will close and you will be returned to System Mechanic.

  • You will be prompted to restart your computer to load the updates. If you choose to restart later, you will be returned to System Mechanic.

Related topics:

Check for product updates

Update Settings window - Configure settings


Glossary

A

adware

Adware (ADvertising-supported softWARE) is software that generates advertisements, usually as banner ads or pop-up windows. Adware is usually bundled with other software and installed without your knowledge.

While usually not physically damaging or outright malicious, the intrusive behavior of adware can be annoying and waste system resources. Some particularly aggravating adware spawns new pop-up windows as quickly as you can close them &endash; causing your Internet connection to slow dramatically.

allocation unit

See cluster/allocation unit.

antivirus

Antivirus programs are software that detect viruses and other malicious software, and then either removes or disables them. An antivirus can block infections from ever reaching your computer, and it can remove existing infections.

Go back to the top of the topic

B

buffer

A buffer is used to temporarily hold data before transmitting it. A buffer helps compensate for differences in transfer or processing rates between two systems.

A buffer overflow, or buffer overrun, occurs when more data is put into the buffer than it can handle. This is a common result of Denial of Service attacks.

C

cache file

Cache files are used to store information on a temporary basis for quick access.

A common example of a cache file is a browser cache. Every time you open a Web page, your browser creates a cache file (a temporary copy) of the page's text and graphics. When you open the page again, your browser checks the Web site server for changes. If the page hasn't changed, your browser loads the page from cache on your hard drive, which is faster than originally loading it from the remote server.

cluster/allocation unit

A cluster, or allocation unit, is a unit of disk storage that the operating system uses to read or write information. A cluster is the smallest amount of disk space that can be allocated to hold a file.

Each cluster contains from 2 to 8 sectors, depending on the type and size of the disk.

cookie

A cookie is a small text file that some Web sites save to your local, hard drive while you are browsing the site. Cookies contain identifying information, such as log in and shopping cart information.

Cookies are useful for loading Web site preferences and login settings, but they can also contain information that can be passed to others without your knowledge, usually for advertising purposes.

cracking

See hacking/cracking.

Go back to the top of the topic

D

Denial of Service (DoS) attack

A denial of service (DoS) attack is a type of attack that is designed to crash or disable a system by flooding it with useless traffic. A DoS attack can also destroy files.

A common form of denial of service attack is a buffer overflow attack.

defragment

See fragment/defragment.

domain name

A domain name is the text name corresponding to the numeric IP address of a computer on the Internet. Like the IP address, a domain name must be unique. Unlike the IP address, every computer on the Internet does not have to have a domain name.

A domain name has 2 or more parts, separated by dots.

drive-by download

Drive-by downloading is the automatic downloading of software when you visit a Web site, done without your consent and often without any notice. Drive-by-downloads typically exploit security holes or lowered security settings.

Go back to the top of the topic

E

No glossary terms begin with this letter.

F

firewall

A firewall controls the information passing through an Internet connection. A firewall keeps a computer secure from unauthorized intruders by inspecting traffic and only allowing desired communication through.

A firewall can be software, hardware, or a combination of the two.

fragment/defragment

Over time, as you create, delete, and download files, your computer cannot store data as one unit and instead will split it up and store pieces in various drive locations. A fragmented hard drive has a large amount of such scattered data and can significantly slow PC performance.

Defragmenting reorganizes data so that components are stored closer to each other. Regularly defragmenting hard drives improves drive speed and extends the life of your computer.

Go back to the top of the topic

G

No glossary terms begin with this letter.

H

hacking/cracking

Hacking is an attempt to gain unauthorized access into a computer or network. A person who makes such attempts is a hacker.

While "hacker" was originally used to describe a person highly skilled in computing, it is now more often used to describe a person who uses that skill for illegal or destructive purposes. Some instead use the term "cracking" for the act of breaching computer security with malicious intent.

hijacker

Hijackers are a type of spyware that can alter browser settings, redirect Web searches, and replace Web content.

Go back to the top of the topic

I

Internet

The Internet is a vast network that comprises an immense number of networks using TCP/IP protocols.

Note that the Internet is not synonymous with the World Wide Web. The Web is one of several means (examples of others are FTP and Telnet) for accessing information via the Internet.

Internet Explorer (IE)

Internet Explorer (also "IE") is the Web browser developed by Microsoft. Combined with an Internet connection, it allows you to search for and view information on the World Wide Web. Internet Explorer comes with Windows operating systems and can also be downloaded from Microsoft's Web site.

IP address

An IP (Internet Protocol) address is a unique number that identifies a computer or network on the Internet. Every computer or server connected to the Internet has its own IP address, and each Web site has an IP address.

The IP address is four numbers divided by periods, where each number can range from 0 to 255; for example: 216.239.51.100

See also: domain name

iolo

The word iolo is not an acronym, as some may believe. "Iolo" is an archaic Welsh name that is actually pronounced "YO-low." However, many people (including us) pronounce it "eye-OH-low." We've also been told that the word iolo means "to vibrate" in the native Hawaiian language.

Go back to the top of the topic

J

No glossary terms begin with this letter.

K

keylogger

A keylogger, or keystroke logger, is a Trojan that captures all keystrokes and then records that information to a log file.

With a keylogger, a hacker can capture your logins, passwords, credit card numbers, and any other confidential information that you type. Once collected, this information can be silently transmitted to the Trojan's creator for malicious purposes, such as credit card or bank fraud.

Note: A keylogger can also be a legitimate program that is intentionally and knowingly installed, such as by an employer tracking staff activity.

L

No glossary terms begin with this letter.

Go back to the top of the topic

M

malware

Malware (MALicious softWARE) is a generic term covering a range of software programs that are designed to damage computers or to obtain unauthorized information from computers.

Specific types of malware include viruses, worms, and Trojans.

MB (megabyte)

A megabyte (MB) is a standard unit used to measure the storage capacity of a disk and the amount of computer memory. A megabyte (colloquially, "meg") is equal to approximately one million bytes.

MHz (megahertz)

Megahertz (MHz) is the common measure of the operating speed of a computer's processor. One MHz is equal to one million cycles per second.

The higher the MHz, the better the performance.

Go back to the top of the topic

N

network

A network is a group of computers (two or more) and other devices connected by a communications link. A network enables all the computers and devices to interact with each other.

Networks can be small or large, permanently connected through wires or cables, or temporarily connected through phone lines or wireless transmissions.

The largest network is the Internet, which is a worldwide group of networks.

O

operating system

An operating system is the software that controls and manages computer hardware and basic system operations. The operating system loads programs into the computer’s memory, runs these programs, and manages peripherals like disks and printers.

Go back to the top of the topic

P

packet

Information is transmitted across the Internet in packets. A packet bundles information so that it can be routed.

A packet consists of a header (which has information on the source, the destination, and how the packet should be handled) and the actual data being transmitted.

page file

Windows uses page files (or, in early versions of Windows, "swap files") as temporary storage when additional memory is needed. A page file creates virtual memory that is saved on your hard drive.

This virtual memory allows Windows to process other programs and services, while reserving RAM for the program in use. The size of the page file is based on the size of the RAM, such as 1.5 or 2 times the amount of installed RAM.

partition

A partition is a section of a hard, physical disk that functions as though it were a physically separate disk.

With Microsoft Windows, the standard scheme is to have a single C: drive where the operating system, applications, and user files reside.

Some users prefer to create additional partitions, so that they can store the operating system separately from other data or run more than one operating system. Partitioning can also increase disk space efficiency and data integrity (if one partition becomes corrupted the rest of the drive is not affected).

PING

A PING (Packet Internet Groper) is used to test whether a system is reachable on an IP network. It is formally called an ICMP Echo.

The computer making an incoming connection attempt sends an ICMP Echo Request packet to the target computer and waits for a response. If the target system responds with an Echo Reply, then the original system knows that computer is reachable.

POP3

POP3 (Post Office Protocol Version 3) is an email protocol that many email programs use to retrieve email messages. This protocol most often transmits on TCP port 110.

port (hardware)

A port is a connection point on a computer that allows you to connect devices that pass data into and out of the computer.

For example, a printer and a modem are connected to a computer through a port. Sample types of ports are parallel, serial, and USB.

port (networking)

A port is an address associated with a program or process on a computer; different applications listen and transmit on different ports. The port number directs packets to the appropriate application.

Ports are assigned to standard protocols such as HTTP and SMTP so that programs know which port to use for a connection. The most well-known port is 80, which transmits HTTP traffic over the World Wide Web.

prefetch

Prefetching is the movement of data from memory to a cache in anticipation of future access. Examples:

  • Prefetch files are used by the Windows XP operating system (and later) to start programs faster. By monitoring the files that are used when you start your computer and start applications, the operating system loads the programs it "thinks" you need before you ask for them yourself. This can decrease the time needed to start programs.

  • Link prefetching is a browser mechanism that pre-loads Web pages that you might visit in the near future. This can speed up browsing by providing a faster response time.

protocol

A protocol is a set of standard rules that establish how data is transmitted between computers.

proxy server

A proxy server is a server located on a network between client software and another server.

A proxy server can be used to regulate Internet communications, by inspecting traffic and determining if anything should be denied transmission.

Q

No glossary terms begin with this letter.

Go back to the top of the topic

R

RAM (random access memory)

Random access memory is the working memory of a computer where data is temporarily stored for various processes.

A higher amount of RAM means there is more space available for temporary data storage, which can speed processing.

RAT (remote access Trojan, or Remote Administration Tool)

A remote access Trojan (RAT) is a malicious software program that gives someone remote access to and control of a computer.

With a RAT, imposters can send email messages that will appear to be from you; read, modify, or destroy your documents; and use your PC to attack and infect other computers.

registry

The registry is a database that holds configuration settings used by your Windows operating system. The registry is vital to your computer's ability to run correctly. It stores key data that Windows requires and continually references, such as user profiles and settings for installed software and hardware.

Recycle Bin

The Recycle Bin is where Windows stores deleted files. You can restore files you deleted in error, or you can empty the Recycle Bin to create more disk space and increase your level of protection.

Registry Editor

Registry Editor is an advanced tool for viewing and changing settings in your Windows registry. It displays a hierarchical view of your registry contents.

Only manually edit the registry if you know what you are doing; making inaccurate modifications can severely damage your computer. Always back up the registry prior to making any changes.

router

A router is a networking device that forwards packets across a network to their destinations. A router acts as a junction between two or more networks to transfer data packets among them.

Go back to the top of the topic

S

sector

A sector is a portion of the data storage area on a disk. Sectors are the smallest physical storage units on a disk.

self-extracting file

A self-extracting file is a compressed file that decompresses itself when executed. Self-extracting files are often used to transmit software over the Internet because they conserve disk space and reduce download time.

server

A server is a computer that delivers information and software to other computers linked by a network.

Servers come in many forms; for example: application servers, Web servers, database servers, and mail servers.

SMTP

SMTP (Simple Mail Transport Protocol) is an email protocol that many email programs use to send email messages. This protocol most often transmits on TCP port 25.

spyware

Spyware is tracking software that is installed on your computer without your notice or consent. It sends information about your computing activities back to its source, usually for advertising purposes, but sometimes for more dangerous purposes such as identity theft or credit card fraud.

The effect of spyware varies depending on what its creator's intentions are and can include consumption of valuable system resources, random lockups, crashes, or slowdowns; Web browser Home page or search page redirection; unwanted software installation; and random or incessant pop-up ads.

SYN

SYN is a packet used to synchronize sequence numbers on two connecting computers. A SYN packet is sent when a computer is attempting to connect to a remote computer; the SYN is acknowledged by a SYN/ACK packet sent by the responding computer.

system tray

The system tray is located in the Windows taskbar (usually at the bottom of the screen, next to the clock) and contains icons that allow easy access to system functions.

Go back to the top of the topic

T

taskbar

The taskbar contains the Windows Start button, buttons for every open application, and the system tray.

The taskbar generally appears on the bottom of your computer screen, but it can be dragged to either side of the screen or the top of the screen.

TCP

The TCP (Transmission Control Protocol) converts data messages generated by an application into packets that can be sent over the IP protocol.

Unlike UDP, TCP is a connection-oriented protocol. TCP guarantees delivery of data and also guarantees that packets are delivered in the same order in which they were sent.

TCP/IP

TCP/IP (Transmission Control Protocol/Internet Protocol) is a suite of protocols that form the foundation of Internet communication. It is a standard for transmitting data over networks and enabling communication between a variety of systems.

trickler

A trickler is software designed to install or reinstall software by downloading slowly in the background so that the download is less noticeable. Tricklers are typically used to enable a spyware program to silently install or to reinstall itself after a user has removed components of the program from his or her computer.

Trojan/Trojan horse

A Trojan, or Trojan horse, is a software program that appears to be desirable or useful, but intentionally does something you do not expect.

The effects of Trojans can range from simply displaying pop-up ads to destroying files or enabling the theft of data.

Trojans are distributed in executable files, such as through email attachments, CDs, and Internet downloads. People can be lured into installing a Trojan because it appears that it will serve a legitimate purpose. Unlike viruses and worms, a Trojan is not designed to make automatic copies of itself. However, Trojans can carry viruses and other malicious software within them.

Some specific types of Trojans include keyloggers and RATs.

Go back to the top of the topic

U

UDP

The UDP (User Datagram Protocol) converts data messages generated by an application into packets that can be sent over networks.

Unlike TCP, UDP is a connection-less protocol. It does not verify that a connection has been established with the receiving system.

UDP is often used for streaming video and audio.

V

virus

A computer virus is a software program designed to alter the operation of a computer.

Most viruses are malicious and intended to cause damage, but even a benign virus can harm a system. Viruses can damage files, software programs, the registry, and hardware.

Viruses are distributed in executable files, such as through email attachments, CDs, and Internet downloads. A virus infection occurs when the infected file is run. A virus also automatically replicates, or makes copies of itself, by secretly embedding its programming code into other programs.

The term "virus" is often used as a generic, collective reference that includes other types of malicious programs, such as worms and Trojans.

virus definition

A virus definition is a file that contains virus signatures (see below) and other information used by an antivirus to detect, remove and repair known viruses. When an antivirus scans your computer, it is searching for qualities that match information in its definition files.

Keeping the virus definitions up-to-date is vital to protecting your computer.

virus signature

A virus signature is a unique string of code that makes up of all or part of a computer virus, worm, or other malicious code. The virus signature is like a fingerprint that can be used to identify specific viruses. Virus signatures are saved in a virus definition (see above).

Go back to the top of the topic

W

Windows Explorer

Windows Explorer (also "Explorer") displays a hierarchical view of the drives, folders, and files on your computer. Using Windows Explorer, you can open, copy, move, rename, and search for files and folders. Windows Explorer is an application that is part of Windows operating systems.

World Wide Web (Web)

The World Wide Web, or simply "Web", is the largest and most commonly used network on the Internet. The Web uses the HTTP protocol to transmit Web pages and other information.

Note that the World Wide Web is not synonymous with the Internet. The Web is one of several means for accessing information via the Internet.

worm

A computer worm is a software program designed to reproduce and spread among computers.

Most worms are malicious and intended to overwhelm system memory or network bandwidth. Worms can crash an entire network of computers or an individual computer.

Worms are generally distributed in email attachments or through unprotected Internet activity. A worm spreads very rapidly because it is self-contained. It replicates itself and, unlike viruses, a worm does not need to infect another program to spread.

Go back to the top of the topic

X

No glossary terms begin with this letter.

Y

No glossary terms begin with this letter.

Z

zombie

A zombie is computer that has had its security compromised and is remotely controlled, such as by a RAT.


Computer Risks

Security and Performance Issues

The dangers of computer viruses are often discussed, but you may not be aware of other hazards that can jeopardize your privacy, damage your files, and cause frustrating downtime.

Fortunately, implementing some simple strategies can not only secure your computer and keep your data safe, but can make your computer work faster and more efficiently.

This topic:

  • Reviews the risks for a computer with excessive clutter, speed and performance drains, insufficient security protection, or corrupted settings.

  • Suggests repairs and preventative measures that can both protect your computer and improve its speed, stability, and efficiency.

  • Where appropriate, provides links to descriptions of the System Mechanic tool that can help solve or prevent the issue.

Clutter Issues. Risks posed by unneeded files

Risks

  • Reduction in processing. Unneeded files consume memory and take up drive space. Instead of focusing on processing the services you really need, your computer is using resources to process useless items.

  • Recurrent crashes and lock-ups. A glut of unnecessary files increases drive fragmentation, which burdens the hard drive. With an excessive amount of debris, Windows can start to behave in unusual ways, including locking up or crashing.

  • Endangered privacy. Anyone who has access to your computer can see the Web sites you have visited and easily open files you have deleted.

Solutions

  • Erase temporary files. Simply deleting files from your Web browser cache or temporary directories does not completely erase these tracks. Most security advisers recommend using software that can thoroughly clean out cookies, temporary Internet files, and cache files.

See: Clear Internet Browsing Tracks

  • Empty the Recycle Bin. Windows stores deleted items in the Recycle Bin for easy recovery and as you work on your computer, these deleted files quickly accumulate. Periodically empty the Recycle Bin to reclaim valuable hard drive space.

Note: Items left in the Recycle Bin also pose a privacy risk because these files can be easily retrieved. Where confidentiality is critical, not only empty the Recycle Bin, but also use a data wiping program to thoroughly obliterate data.

See: PC Cleanup Wizard and Securely Delete Files

  • Remove unneeded files and programs. Occasionally review the data you have saved and installed. Delete the documents and files you no longer want and uninstall programs you are no longer using. Consider archiving rarely used files to a CD or other removable media.

See: Remove Installed Programs

Go back to the top of the topic

Speed Issues. Risks posed by speed and performance drains

Risks

  • Slow boot times. Various programs and services are set to load when Windows loads. Some of these programs, such as antivirus protection, are desired, but many are useless and needlessly slowing the time it takes to start your computer.

  • Reduction in processing. When hard drives and system memory become fragmented, computer performance is significantly slowed. Files take longer to open and programs take longer to start.

  • System and file damage. Highly fragmented files are more prone to becoming corrupt. A highly fragmented hard drive places more strain on the heads, which in severe cases can lead to a head crash and a loss of data.

  • Exposure to infections. Trojans (malicious software) might also be loading at startup. Trojans are usually designed to load when you restart your computer.

Solutions

  • Defragment your hard drive and system memory. Defragmenting your hard drives reorganizes scattered data, which boosts file access speed and extends the life of the drive. Defragmenting system memory reclaims valuable memory and improves PC efficiency and speed.

See: Defragment Hard Drive and Defragment Memory

  • Compact the registry. Compacting the registry reorganizes entries, which maximizes free space and improves the efficiency and speed of registry processing.

See: Compact Registry

  • Remove unneeded services from startup. Eliminate startup items that are unnecessary. Removing these unneeded performance drains will boost your PC's speed, particularly the time it takes to boot, and will eliminate potentially dangerous programs.

See: Optimize Windows Startup

  • Periodically restart your computer. If you tend to always leave your computer on, restart it occasionally to clear out stagnant programs that may be unnecessarily using system memory.

Go back to the top of the topic

Security Issues. Risks posed by malicious software

Risks

  • Reduction in processing. Infections can cripple a system and bring processing to a halt. Viruses can make changes to the vital registry, causing system slowdowns and crashes.

  • Lost files. Your files - treasured photos, valuable music, important financial records - can all be destroyed if your computer becomes infected.

  • System and file damage. Viruses are designed to alter the operation of a computer. In addition to damaging files, viruses can harm your registry, your operating system, and even your hardware.

  • Data and identity theft. Trojans can enable the theft of any data saved on your computer, including banking and credit card information, passwords, address books, and other private information.

  • Financial risk. The monetary cost of recovering from data loss or identity theft can be devastating.

  • Spreading of infections to others. You can unknowingly spread viral infections to your friends, family, and business associates just by sending an email or leaving your computer unattended. Hackers can secretly take control of your PC and use it to attack and infect other computers.

Solutions

  • Use a firewall. A firewall is vital to secure Internet activity. A firewall puts up a barrier against hackers and other intruders, but allows the Internet access that you do want. Configure the firewall so that only the programs and Web sites you trust are allowed to pass through.

System Mechanic Professional users, see: Configure Internet Firewall

  • Use antivirus software. Antivirus software is a must-have for anyone who uses the Internet. This software blocks computer infections and detects and removes any existing infections. Make sure you keep the virus signatures up to date for continual protection.

System Mechanic Professional users, see: Configure Virus Protection

  • Patch known security flaws. Many malicious programs exploit known security vulnerabilities in operating systems and browsers. Install the latest security patches, or use a specialized program that can automatically repair these flaws.

See: Fix Security Vulnerabilities

  • Only download trusted programs. Only download programs from trusted Web sites or refer to a trusted source for information. Do not install software if you are not sure about it.

  • Back up important files, including the registry. Establish and follow a schedule for regular backups of your data. Ideally, use a backup program that backs up all files, including programs and hidden operating system files. Regular backups of the registry are also recommended to protect its critical settings.

See: Backup or Restore Registry

System Mechanic Professional users, see: Search and Recover

  • Permanently erase deleted confidential data. A file deleted through Windows is not completely erased; even though you can't see the file, someone using easily available tools can recover it and view its contents. For highly confidential data you have deleted, use data wiping software that completely erases all data remnants.

See: Securely Delete Files

Go back to the top of the topic

Fitness Issues. Risks posed by corrupted settings

Risks

  • Reduction in processing. Unneeded uninstallers and other invalid data in the registry overburden Windows processing. Spyware wastes system memory, which can slow Internet processing and lead to overall sluggish performance.

  • Recurrent crashes and lock-ups. Damaged hard drives, spyware parasites, obsolete shortcuts, and inaccurate registry references frequently cause computer crashes and lock-ups. A volatile computer can become practically unusable.

  • Exposure to infections. In addition to burdening system memory, spyware has been used to deliver Trojans and viruses. Any program designed to install on a computer without the user's knowledge carries a potential security risk.

  • System and file damage. Damaged sectors on a drive can prevent files from being accessed or saved and can cause system crashes. Spyware often incorporates poorly or carelessly designed functions that can harm your computer's operating system and cause conflicts with your valid software.

Solutions

  • Use spyware removal software. Spyware is created with covert techniques that make it difficult for people to spot. The safest approach is to use software that scans for and deletes spyware.

See: Remove Spyware

Note: Do your research when dealing with unknown vendors. Some spyware removers advertised as "free" are actually spyware themselves, or contain Trojans and viruses.

  • Repair hard drive errors. A damaged hard drive can prevent you from saving files and retrieving existing files. Using software to fix hard drive errors protects your data and improves PC stability.

See Repair Hard Drive Problems

  • Repair registry errors. The registry is vital to your computer's ability to run correctly and when it becomes corrupted, overall degraded performance occurs. Most technical advisors recommend that specialized software be used to make registry changes, rather than making manual changes.

See: Repair Registry Problems

  • Be cautious of so-called "free" programs. Free programs, such as file-sharing software, screen savers, and games, are regularly bundled with spyware. Disclosure of spyware is often hidden in the fine print of a license agreement. Be sure you understand what is packaged with a program before you download it.

Go back to the top of the topic


Computer Security Tips

  • Install a firewall

A firewall provides a barrier against hacking and other unauthorized access, while still allowing desired communication to pass through.

When choosing a firewall, some features to look for include ease-of-use, flexible configurations, monitoring features with instructive program alerts, and product support.

  • Install antivirus software

Antivirus software blocks viruses, and detects and removes existing viruses that are on your computer.

When choosing an antivirus tool, some features to consider include the frequency of virus definition updates, the amount of system resources used by the software, and the availability and cost of product support.

  • Keep security patches up to date

Many malicious applications exploit known security holes in operating systems and browsers. Install the latest security patches for your operating system and browser.

Software vendors often also provide security patches for their products. Regularly check with the manufacturers of your software to see if security patches are available.

  • Create strong passwords

Create passwords that are difficult for others to guess or to decode using cracking tools. Some ideas:

– Use 8 or more characters.

– Mix letters (uppercase and lowercase), numbers, and symbols.

– Avoid sequences of numbers or repeated characters.

– Use different passwords for every program and Web site.

– Change passwords regularly.

  • Keep your passwords secret

Safeguard your passwords.

– Do not reveal your passwords to anyone.

– Do not respond to an e-mail message that requests your password or requests verification of your password. Responsible companies don't use e-mail to ask customers for this information.

– On public computers that you don't control, such as in Internet cafes and airport lounges, do not access information that requires a password.

  • Only download trusted programs

Only download programs from trusted Web sites, or refer to a trusted source for information prior to downloading. Do not install software if you are unsure about it.

  • Be cautious of free applications

Some free programs (such as screen savers, games, customized toolbars, and peer-to-peer file sharing software) are often bundled with spyware and adware. Be sure you understand all of the software packaged with an application.

  • Read the fine print

Prior to installation, read any disclosures, such as a license agreement or privacy statement. Sometimes indication of the inclusion of unwanted software is concealed in the fine print of these documents.

  • Backup important files

Have a backup of your drives available, before disaster strikes. Establish a schedule for regular backups and keep them in a safe place.


iolo Contact Information

Web Site

www.iolo.com

Quick Solutions and Knowledge Base

http://www.iolo.com/customercare

Technical Support

Email Submission Form: www.iolo.com/customercare/technicalsupport.aspx

Mailing Address

iolo technologies, LLC

7470 North Figueroa Street

Los Angeles, CA 90041

(Our offices are not equipped to process walk-in sales or support.)

Phone/Fax

Refer to iolo's contact page for phone and fax information.

Related topics:

Online resources


Register with iolo

Register System Mechanic

To access:

Click here to open the Registration page in your Web browser, and then follow the on-screen instructions.

What it does:

Online registration of your software:

  • Puts your licensing information on file. This can expedite technical support inquiries, and if your licensing information is ever misplaced, we can retrieve it for you.

  • Entitles you to notifications about product upgrades.

  • Entitles you to discount promotional offers for all iolo products.

Note: During registration, you can opt out of receiving e-mail announcements.

Related topics:

Customer Care/Web support


About iolo

About Us

iolo technologies, LLC produces award-winning utility software that optimizes and protects computers running Microsoft Windows.

Located in Los Angeles, iolo is recognized around the globe for providing comprehensive and effective solutions that meet a wide range of computer maintenance needs.

iolo has established itself as a leader in the competitive utility software market, receiving awards from industry analysts and media, year after year. Today, millions of people trust iolo's products to diagnose and repair computer problems, boost PC speed and performance, safeguard and recover critical data, protect against viruses and identity theft, and more.

iolo's products are carried in over 13,000 retail stores, including Wal-Mart, Target, Staples, Office Depot, and Best Buy. Our software can also be purchased from major online retailers, by mail order, and from a multitude of resellers in the U.S. and abroad.

Related topics:

Contact iolo

Purchase iolo Products


Purchase System Mechanic - For Evaluation Users

Purchase System Mechanic

If you are using the evaluation version, you can buy a licensed copy of System Mechanic and have unlimited use in minutes.

Click Purchase Now from the Evaluation toolbar or from any Evaluation notification window. You can view price and product information and then securely purchase online or by phone.

After your purchase, you will receive license information that will change your current evaluation copy into a licensed version. Click Enter License and then enter your User ID and Serial number.

You can also purchase a license by visiting www.iolo.com/purchase.aspx.

What do I get when I purchase?

  • Free and unlimited e-mail support, telephone support, and Web support.

  • Free Web updates, which include minor upgrades and patches.

  • Notifications and discounts on all major upgrades.

  • Great software created by people dedicated to providing quality products.

Related topics:

Purchase other iolo products


iolo products have earned recognition from Consumer Digest (Best Buy), PC World, PC Magazine, ZDNet, CNet, Computer Shopper, Download.com, PC Upgrade, Home Office Computing, SnapFiles, and Windows Magazine (WinMag).

Purchase iolo Products

iolo offers a range of solutions to optimize and protect computers running Microsoft Windows. The iolo product line includes System Mechanic, System Mechanic Professional, System Shield, iolo Personal Firewall, iolo AntiVirus, Search and Recover, DriveScrubber, and Macro Magic.

iolo is a leader in the competitive utility software market, receiving "Editor's Choice" and "Best of the Year" awards from industry analysts and media, year after year.

In addition to the many retailers that carry iolo's products, you can purchase products through our Web site.

Visit www.iolo.com/purchase.aspx to purchase iolo products over a secure online ordering system. You can also access detailed product information on this page.

Overview of Product Line

System Mechanic Professional. System Mechanic Professional has all the tools you need to defend against Internet threats, diagnose PC health, fix errors, boost performance, eliminate crashes, and much more.

This award-winning suite incorporates 5 products into one integrated package that will keep your PC safe and running in peak condition. In addition to offering over 30 repairs and optimizations, it has built-in Internet security, secure data deletion, and data recovery.

System Mechanic. System Mechanic breathes new life into old PCs and keeps new ones running as they should. System clutter, performance drains, insufficient security, and corrupted settings can all degrade a PC's operation.

Instead of buying dozens of individual products, use System Mechanic to remedy all these issues and more. Over 30 tools work together to diagnose PC health, optimize settings, repair problems, clean out clutter, and protect against Web threats.

System Shield. System Shield™ Internet Security provides complete Web security from one interface. This security suite includes: iolo AntiVirus, iolo Personal Firewall, Spython™ to eradicate spyware, System Guard™ to stop malicious programs from changing system settings, and a Security Optimizer to repair security flaws.

iolo Personal Firewall. iolo Personal Firewall™ puts up a barrier to block hackers, identity thieves, system attacks, and other Internet hazards. The IntelliDefense™ feature uses threat-assessment technology to make informed decisions and display fewer messages.

iolo AntiVirus. iolo AntiVirus™ detects, blocks, and removes computer viruses and other malicious infections. With continual real-time protection and hourly updates, you can guard your PC, shield your critical data from theft and damage, and protect your privacy.

Search and Recover. With Search and Recover™, you can reclaim deleted documents, pictures, e-mail messages, and more, from your hard drive, digital camera, music player, USB flash drive, or any other device. Bonus security tools include drive imaging, a powerful solution to creating complete backups of your data.

DriveScrubber. Use DriveScrubber® to securely wipe away data left on your hard drives or floppy disks before donating, reselling, or recycling your computer. As an added benefit, DriveScrubber can also wipe just the free space of your drive, permanently removing remnants of deleted files while keeping existing files intact.

Macro Magic. How many of the same, repetitive tasks do you do each day on your PC? Use Macro Magic to record those procedures once and run them instantly whenever you want.

What do I get when I purchase?

  • Free, unlimited access to technical support.

  • Free Web updates, which include minor upgrades and patches.

  • Notifications and discounts on all major upgrades.

  • Great software created by people dedicated to providing quality products.


Analysis Defined

Analyzing in System Mechanic

Analysis results not only keep you informed of your computer's condition, they enable System Mechanic to make repair and optimization recommendations that are specific to your computer's needs.

System Mechanic offers two levels of analysis:

  • Perform Quick Analysis. A quick analysis runs a fast check of your computer. A quick analysis takes approximately 2 minutes to complete.

  • Perform Deep Analysis. A deep analysis is a more comprehensive check of your computer. A deep analysis takes more time to perform than a quick analysis; approximately 7 minutes.

Click on the arrow of an analysis button and then select the desired analysis level.


Sample Pop-up Window

Sample Hyperlink

This is an example of a hyperlinked topic.


Navigating within Wizards

The wizards in System Mechanic follow an intuitive standard.

Buttons and Links |  | Keyboard Shortcut
Back button | Go back one step. | ALT + B
Next button | Go forward one step. | ALT + N
Exit button | Close the current tool and return to the Home page. | ALT + X
Help button | Open this help system. Instructions specific to the current screen display. | ALT + H
Links on screen (e.g., More Info) | Get additional information about the specific field. | not applicable

Title Bar and Menu Bar
Exit icon (X in title bar) | Close the System Mechanic application.
Home icon | Close the current tool and return to the Home page.
Options from menu bar | Open the Options window.
Help from menu bar | Open the Help menu.

Related topics:

System Mechanic Interface


All alerts are currently configured to show

You have not elected to hide any problems; all problems detected by System Mechanic will display on the Problems pane.

You can hide problems from the Problems pane on the Dashboard.


Backup or Restore Registry

New Registry Backup Profile

Overview of Backup or Restore Registry window

Enter a unique name to identify the backup.

By default, the Profile Name is the date and time. You can keep the default name or type in a different name.

After you click OK, the backup will begin.


IntelliDefense

Overview of Configure Automatic System Defense window

Overview of Process Guard

For programs and processes that are not explicitly Blocked or Allowed, the IntelliDefense™ feature can automatically block them from running based on their threat assessment.

How it works:

iolo maintains a regularly updated database of information about thousands of programs and program components. When a program attempts to execute, IntelliDefense uses this database and its threat-evaluation process to determine a classification for the program.

Instructions:

You can set up Process Guard to automatically block programs that are in the following IntelliDefense categories:

  • Unnecessary. Installed, safe applications that are not required to perform core functions, and provide functionality that is not needed by most users.

  • Dangerous. Spyware, viruses, and other software that has been identified as malicious and dangerous by iolo's research team.

Note: Programs and processes classified into other categories are not controlled by Process Guard. The other IntelliDefense categories are: System (core components of the Windows operating system); Necessary (safe applications that perform core functionality); and Optional (safe applications that may be desired but are not required to perform core functionality.)

To enable this feature, select the Use IntelliDefense check box and then select one or both of the following check boxes:

  • Automatically block Dangerous programs from running. Programs and processes classified as "Dangerous" will be automatically prevented from executing.

  • Automatically block Unnecessary programs from running. Programs and processes classified as "Unnecessary" will be automatically prevented from executing.


Drive Medic - No Writable CD Drive Detected

Repair an Unbootable PC

No Drive Detected Window

Overview of Repair an Unbootable PC wizard

To create the bootable disk that runs Drive Medic, a writable CD/DVD drive must be connected to your PC.

If you are viewing the No Drive Detected window, you cannot proceed with the creation of the bootable disk because a writable CD/DVD drive is not connected.

If you do have a writable CD/DVD drive and feel that you received this message in error:

  1. Click Exit to close this window and return to the Home page.

  2. Ensure that the drive is connected to your PC.

  3. Reopen the Repair an Unbootable PC wizard and try again.

Note: If you purchased a CD for System Mechanic or System Mechanic Professional, you can also run the DOS-based Drive Medic program by booting directly from that installation CD. Insert the CD into the CD drive and restart your PC; the Drive Medic program will automatically start.